<?php

namespace App\Providers;

use Carbon\Carbon;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    public function boot()
    {
        try {
            if (env('APP_INSTALLED')) {
                $locale = get_settings('default_locale');
                Carbon::setLocale($locale);
            }
        } catch(\Exception $e) {
        }
    }

    public function register()
    {
        $this->app->extend(
            \Illuminate\Translation\Translator::class,
            fn ($translator) => new \App\Helpers\Translator($translator->getLoader(), $translator->getLocale())
        );
    }
}
