import { v4 } from "uuid";
import { useSSRContext, computed, mergeProps } from "vue";
import { ssrRenderAttrs, ssrLooseContain, ssrGetDynamicModelProps, ssrRenderAttr, ssrIncludeBooleanAttr, ssrRenderClass, ssrRenderStyle, ssrRenderSlot } from "vue/server-renderer";
import { b as _sfc_main$3 } from "./InputError-951c1c36.js";
import { _ as _export_sfc } from "../ssr.js";
const _sfc_main$2 = {
  __name: "Checkbox",
  __ssrInlineRender: true,
  props: {
    checked: {
      type: [Array, Boolean],
      default: false
    },
    value: {
      type: String,
      default: null
    }
  },
  emits: ["update:checked"],
  setup(__props, { emit }) {
    const props = __props;
    const proxyChecked = computed({
      get() {
        return props.checked;
      },
      set(val) {
        emit("update:checked", val);
      }
    });
    return (_ctx, _push, _parent, _attrs) => {
      let _temp0;
      _push(`<input${ssrRenderAttrs((_temp0 = mergeProps({
        value: __props.value,
        type: "checkbox",
        checked: Array.isArray(proxyChecked.value) ? ssrLooseContain(proxyChecked.value, __props.value) : proxyChecked.value,
        class: "rounded border-gray-300 dark:border-gray-700 text-blue-600 shadow-sm dark:bg-gray-700"
      }, _attrs), mergeProps(_temp0, ssrGetDynamicModelProps(_temp0, proxyChecked.value))))}>`);
    };
  }
};
const _sfc_setup$2 = _sfc_main$2.setup;
_sfc_main$2.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Jetstream/Checkbox.vue");
  return _sfc_setup$2 ? _sfc_setup$2(props, ctx) : void 0;
};
const _sfc_main$1 = {
  emits: ["update:checked"],
  components: { TecCheckbox: _sfc_main$2, TecInputError: _sfc_main$3 },
  props: {
    id: {
      type: String,
      default() {
        return v4();
      }
    },
    checked: {
      type: [Array, Boolean],
      default: false
    },
    value: {
      default: null
    },
    label: String,
    error: String
  },
  computed: {
    proxyChecked: {
      get() {
        return this.checked;
      },
      set(val) {
        this.$emit("update:checked", val);
      }
    }
  }
};
function _sfc_ssrRender(_ctx, _push, _parent, _attrs, $props, $setup, $data, $options) {
  _push(`<div${ssrRenderAttrs(_attrs)}><label${ssrRenderAttr("for", $props.id)} class="inline-flex items-start"><input${ssrRenderAttr("id", $props.id)}${ssrRenderAttr("value", $props.value)} type="checkbox"${ssrIncludeBooleanAttr(Array.isArray($options.proxyChecked) ? ssrLooseContain($options.proxyChecked, $props.value) : $options.proxyChecked) ? " checked" : ""} class="${ssrRenderClass([{ "border-red-500": $props.error }, "mt-1 rounded border-gray-300 dark:border-gray-700 dark:bg-gray-700 text-blue-600 shadow-sm w-5 h-5 focus:rounded focus:ring-offset-0 focus:ring-blue-200 dark:focus:ring-opacity-50"])}">`);
  if ($props.label) {
    _push(`<span class="ml-2 mt-0.5 text-gray-600 dark:text-gray-400">${$props.label}</span>`);
  } else {
    _push(`<!---->`);
  }
  _push(`</label></div>`);
}
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Shared/CheckBox.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : void 0;
};
const CheckBox = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["ssrRender", _sfc_ssrRender]]);
const _sfc_main = {
  __name: "ActionMessage",
  __ssrInlineRender: true,
  props: {
    on: Boolean
  },
  setup(__props) {
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(_attrs)}><div style="${ssrRenderStyle(__props.on ? null : { display: "none" })}" class="text-sm text-gray-600 dark:text-gray-400">`);
      ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
      _push(`</div></div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Jetstream/ActionMessage.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  CheckBox as C,
  _sfc_main as _
};
