import { mergeProps, unref, withCtx, createTextVNode, toDisplayString, createVNode, useSSRContext } from "vue";
import { ssrRenderComponent, ssrInterpolate } from "vue/server-renderer";
import { useI18n } from "vue-i18n";
import { useForm } from "@inertiajs/vue3";
import "./Create-5f84cc9c.js";
import { _ as _sfc_main$6 } from "./InputError-951c1c36.js";
import { _ as _sfc_main$3 } from "./TextInput-f18b2e86.js";
import { _ as _sfc_main$1 } from "./AppLayout-9f2f965f.js";
import { _ as _sfc_main$4 } from "./CustomFields-6004e621.js";
import { _ as _sfc_main$2 } from "./FormSection-d5f140fc.js";
import { _ as _sfc_main$5 } from "./ActionMessage-cdce5426.js";
import "./SecondaryButton-910b0895.js";
import "../ssr.js";
import "@vue/server-renderer";
import "@inertiajs/vue3/server";
import "uuid";
import "./Input-fb927b71.js";
import "./Modal-4ced3d7d.js";
import "lodash/debounce.js";
import "./AutoComplete-974a17ce.js";
import "axios";
import "lodash/throttle.js";
import "./TextareaInput-651f7dc6.js";
const _sfc_main = {
  __name: "BillingForm",
  __ssrInlineRender: true,
  props: ["edit", "fields"],
  setup(__props) {
    const props = __props;
    const form = useForm({
      company: null,
      name: null,
      email: null,
      phone: null,
      address: null,
      city: null,
      postal_code: null,
      state: null,
      country: null,
      extra_attributes: {}
    });
    if (props.edit) {
      if (props.edit.data.extra_attributes && props.fields) {
        Object.keys(props.edit.data.extra_attributes).filter((k) => {
          var _a;
          return !((_a = props.fields) == null ? void 0 : _a.find((f) => f.name == k));
        }).map((k) => delete props.edit.data.extra_attributes[k]);
      }
      form.company = props.edit.data.company;
      form.name = props.edit.data.name;
      form.email = props.edit.data.email;
      form.phone = props.edit.data.phone;
      form.address = props.edit.data.address;
      form.city = props.edit.data.city;
      form.postal_code = props.edit.data.postal_code;
      form.state = props.edit.data.state;
      form.country = props.edit.data.country;
      form.extra_attributes = props.edit.data.extra_attributes || {};
    }
    const { t } = useI18n({});
    function submit() {
      form.transform((data) => ({ ...data, extra_attributes: { ...data.extra_attributes } })).post(route("customer.update"), {
        preserveScroll: true,
        onSuccess: () => {
          props.edit ? "" : form.reset();
        },
        onError: () => {
          if (form.errors.company) {
            document.getElementById("company").focus();
          }
          if (form.errors.name) {
            document.getElementById("name").focus();
          }
          if (form.errors.email) {
            document.getElementById("email").focus();
          }
          if (form.errors.phone) {
            document.getElementById("phone").focus();
          }
        }
      });
    }
    return (_ctx, _push, _parent, _attrs) => {
      _push(ssrRenderComponent(_sfc_main$1, mergeProps({
        title: unref(t)("Update Billing Details")
      }, _attrs), {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="max-w-7xl mx-auto py-10 sm:px-6 lg:px-8"${_scopeId}>`);
            _push2(ssrRenderComponent(_sfc_main$2, {
              onSubmitted: submit,
              autocomplete: "off"
            }, {
              title: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`${ssrInterpolate(unref(t)("Update Billing Details"))}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(unref(t)("Update Billing Details")), 1)
                  ];
                }
              }),
              description: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`${ssrInterpolate(unref(t)("Please fill the form below to {x}.", { x: unref(t)("update {x}", { x: unref(t)("details") }) }))} <div${_scopeId2}></div>`);
                } else {
                  return [
                    createTextVNode(toDisplayString(unref(t)("Please fill the form below to {x}.", { x: unref(t)("update {x}", { x: unref(t)("details") }) })) + " ", 1),
                    createVNode("div")
                  ];
                }
              }),
              form: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$3, {
                    modelValue: unref(form).name,
                    "onUpdate:modelValue": ($event) => unref(form).name = $event,
                    id: "name",
                    error: unref(form).errors.name,
                    label: unref(t)("Name")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$3, {
                    modelValue: unref(form).company,
                    "onUpdate:modelValue": ($event) => unref(form).company = $event,
                    id: "company",
                    error: unref(form).errors.company,
                    label: unref(t)("Company")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$3, {
                    modelValue: unref(form).email,
                    "onUpdate:modelValue": ($event) => unref(form).email = $event,
                    id: "email",
                    error: unref(form).errors.email,
                    label: unref(t)("Email")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$3, {
                    modelValue: unref(form).phone,
                    "onUpdate:modelValue": ($event) => unref(form).phone = $event,
                    id: "phone",
                    error: unref(form).errors.phone,
                    label: unref(t)("Phone")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-full"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$3, {
                    modelValue: unref(form).address,
                    "onUpdate:modelValue": ($event) => unref(form).address = $event,
                    id: "address",
                    error: unref(form).errors.address,
                    label: unref(t)("Address")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$3, {
                    modelValue: unref(form).city,
                    "onUpdate:modelValue": ($event) => unref(form).city = $event,
                    id: "city",
                    error: unref(form).errors.city,
                    label: unref(t)("City")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$3, {
                    modelValue: unref(form).postal_code,
                    "onUpdate:modelValue": ($event) => unref(form).postal_code = $event,
                    id: "postal_code",
                    error: unref(form).errors.postal_code,
                    label: unref(t)("Postal Code")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$3, {
                    modelValue: unref(form).state,
                    "onUpdate:modelValue": ($event) => unref(form).state = $event,
                    id: "state",
                    error: unref(form).errors.state,
                    label: unref(t)("State")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$3, {
                    modelValue: unref(form).country,
                    "onUpdate:modelValue": ($event) => unref(form).country = $event,
                    id: "country",
                    error: unref(form).errors.country,
                    label: unref(t)("Country")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div>`);
                  _push3(ssrRenderComponent(_sfc_main$4, {
                    fields: __props.fields,
                    errors: unref(form).errors,
                    modelValue: unref(form).extra_attributes,
                    "onUpdate:modelValue": ($event) => unref(form).extra_attributes = $event,
                    className: "col-span-6 sm:col-span-3"
                  }, null, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).name,
                        "onUpdate:modelValue": ($event) => unref(form).name = $event,
                        id: "name",
                        error: unref(form).errors.name,
                        label: unref(t)("Name")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).company,
                        "onUpdate:modelValue": ($event) => unref(form).company = $event,
                        id: "company",
                        error: unref(form).errors.company,
                        label: unref(t)("Company")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).email,
                        "onUpdate:modelValue": ($event) => unref(form).email = $event,
                        id: "email",
                        error: unref(form).errors.email,
                        label: unref(t)("Email")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).phone,
                        "onUpdate:modelValue": ($event) => unref(form).phone = $event,
                        id: "phone",
                        error: unref(form).errors.phone,
                        label: unref(t)("Phone")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).address,
                        "onUpdate:modelValue": ($event) => unref(form).address = $event,
                        id: "address",
                        error: unref(form).errors.address,
                        label: unref(t)("Address")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).city,
                        "onUpdate:modelValue": ($event) => unref(form).city = $event,
                        id: "city",
                        error: unref(form).errors.city,
                        label: unref(t)("City")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).postal_code,
                        "onUpdate:modelValue": ($event) => unref(form).postal_code = $event,
                        id: "postal_code",
                        error: unref(form).errors.postal_code,
                        label: unref(t)("Postal Code")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).state,
                        "onUpdate:modelValue": ($event) => unref(form).state = $event,
                        id: "state",
                        error: unref(form).errors.state,
                        label: unref(t)("State")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).country,
                        "onUpdate:modelValue": ($event) => unref(form).country = $event,
                        id: "country",
                        error: unref(form).errors.country,
                        label: unref(t)("Country")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode(_sfc_main$4, {
                      fields: __props.fields,
                      errors: unref(form).errors,
                      modelValue: unref(form).extra_attributes,
                      "onUpdate:modelValue": ($event) => unref(form).extra_attributes = $event,
                      className: "col-span-6 sm:col-span-3"
                    }, null, 8, ["fields", "errors", "modelValue", "onUpdate:modelValue"])
                  ];
                }
              }),
              actions: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_sfc_main$5, {
                    on: unref(form).recentlySuccessful,
                    class: "mr-3"
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`${ssrInterpolate(unref(t)("Saved."))}`);
                      } else {
                        return [
                          createTextVNode(toDisplayString(unref(t)("Saved.")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(_sfc_main$6, {
                    type: "submit",
                    loading: unref(form).processing
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`${ssrInterpolate(unref(t)("Save"))}`);
                      } else {
                        return [
                          createTextVNode(toDisplayString(unref(t)("Save")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_sfc_main$5, {
                      on: unref(form).recentlySuccessful,
                      class: "mr-3"
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(t)("Saved.")), 1)
                      ]),
                      _: 1
                    }, 8, ["on"]),
                    createVNode(_sfc_main$6, {
                      type: "submit",
                      loading: unref(form).processing
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(t)("Save")), 1)
                      ]),
                      _: 1
                    }, 8, ["loading"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</div>`);
          } else {
            return [
              createVNode("div", { class: "max-w-7xl mx-auto py-10 sm:px-6 lg:px-8" }, [
                createVNode(_sfc_main$2, {
                  onSubmitted: submit,
                  autocomplete: "off"
                }, {
                  title: withCtx(() => [
                    createTextVNode(toDisplayString(unref(t)("Update Billing Details")), 1)
                  ]),
                  description: withCtx(() => [
                    createTextVNode(toDisplayString(unref(t)("Please fill the form below to {x}.", { x: unref(t)("update {x}", { x: unref(t)("details") }) })) + " ", 1),
                    createVNode("div")
                  ]),
                  form: withCtx(() => [
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).name,
                        "onUpdate:modelValue": ($event) => unref(form).name = $event,
                        id: "name",
                        error: unref(form).errors.name,
                        label: unref(t)("Name")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).company,
                        "onUpdate:modelValue": ($event) => unref(form).company = $event,
                        id: "company",
                        error: unref(form).errors.company,
                        label: unref(t)("Company")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).email,
                        "onUpdate:modelValue": ($event) => unref(form).email = $event,
                        id: "email",
                        error: unref(form).errors.email,
                        label: unref(t)("Email")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).phone,
                        "onUpdate:modelValue": ($event) => unref(form).phone = $event,
                        id: "phone",
                        error: unref(form).errors.phone,
                        label: unref(t)("Phone")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).address,
                        "onUpdate:modelValue": ($event) => unref(form).address = $event,
                        id: "address",
                        error: unref(form).errors.address,
                        label: unref(t)("Address")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).city,
                        "onUpdate:modelValue": ($event) => unref(form).city = $event,
                        id: "city",
                        error: unref(form).errors.city,
                        label: unref(t)("City")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).postal_code,
                        "onUpdate:modelValue": ($event) => unref(form).postal_code = $event,
                        id: "postal_code",
                        error: unref(form).errors.postal_code,
                        label: unref(t)("Postal Code")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).state,
                        "onUpdate:modelValue": ($event) => unref(form).state = $event,
                        id: "state",
                        error: unref(form).errors.state,
                        label: unref(t)("State")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$3, {
                        modelValue: unref(form).country,
                        "onUpdate:modelValue": ($event) => unref(form).country = $event,
                        id: "country",
                        error: unref(form).errors.country,
                        label: unref(t)("Country")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode(_sfc_main$4, {
                      fields: __props.fields,
                      errors: unref(form).errors,
                      modelValue: unref(form).extra_attributes,
                      "onUpdate:modelValue": ($event) => unref(form).extra_attributes = $event,
                      className: "col-span-6 sm:col-span-3"
                    }, null, 8, ["fields", "errors", "modelValue", "onUpdate:modelValue"])
                  ]),
                  actions: withCtx(() => [
                    createVNode(_sfc_main$5, {
                      on: unref(form).recentlySuccessful,
                      class: "mr-3"
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(t)("Saved.")), 1)
                      ]),
                      _: 1
                    }, 8, ["on"]),
                    createVNode(_sfc_main$6, {
                      type: "submit",
                      loading: unref(form).processing
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(t)("Save")), 1)
                      ]),
                      _: 1
                    }, 8, ["loading"])
                  ]),
                  _: 1
                })
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Customer/BillingForm.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
