import { ref, mergeProps, unref, withCtx, createTextVNode, useSSRContext } from "vue";
import { ssrRenderAttrs, ssrRenderComponent } from "vue/server-renderer";
import { useI18n } from "vue-i18n";
import { _ as _sfc_main$5 } from "./InputError-951c1c36.js";
import { _ as _sfc_main$1 } from "./TextInput-f18b2e86.js";
import "./AppLayout-9f2f965f.js";
import { _ as _sfc_main$2 } from "./CustomFields-6004e621.js";
import "./FormSection-d5f140fc.js";
import { _ as _sfc_main$4 } from "./ActionMessage-cdce5426.js";
import { _ as _sfc_main$3 } from "./SecondaryButton-910b0895.js";
import "../ssr.js";
import "@vue/server-renderer";
import "@inertiajs/vue3";
import "@inertiajs/vue3/server";
import "uuid";
import "./Input-fb927b71.js";
import "./Modal-4ced3d7d.js";
import "lodash/debounce.js";
import "./AutoComplete-974a17ce.js";
import "axios";
import "lodash/throttle.js";
import "./TextareaInput-651f7dc6.js";
const _sfc_main = {
  __name: "Create",
  __ssrInlineRender: true,
  props: ["fields"],
  emits: ["close", "done"],
  setup(__props, { emit }) {
    const form = ref({
      company: null,
      name: null,
      email: null,
      phone: null,
      address: null,
      city: null,
      postal_code: null,
      state: null,
      country: null,
      extra_attributes: {},
      errors: {}
    });
    const { t } = useI18n({});
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<form${ssrRenderAttrs(mergeProps({ autocomplete: "off" }, _attrs))}><div class="grid grid-cols-1 sm:grid-cols-6 gap-6"><div class="col-span-6 sm:col-span-3">`);
      _push(ssrRenderComponent(_sfc_main$1, {
        modelValue: form.value.name,
        "onUpdate:modelValue": ($event) => form.value.name = $event,
        id: "name",
        error: form.value.errors.name ? form.value.errors.name.join() : null,
        label: unref(t)("Name")
      }, null, _parent));
      _push(`</div><div class="col-span-6 sm:col-span-3">`);
      _push(ssrRenderComponent(_sfc_main$1, {
        modelValue: form.value.company,
        "onUpdate:modelValue": ($event) => form.value.company = $event,
        id: "company",
        error: form.value.errors.company ? form.value.errors.company.join() : null,
        label: unref(t)("Company")
      }, null, _parent));
      _push(`</div><div class="col-span-6 sm:col-span-3">`);
      _push(ssrRenderComponent(_sfc_main$1, {
        modelValue: form.value.email,
        "onUpdate:modelValue": ($event) => form.value.email = $event,
        id: "email",
        error: form.value.errors.email ? form.value.errors.email.join() : null,
        label: unref(t)("Email")
      }, null, _parent));
      _push(`</div><div class="col-span-6 sm:col-span-3">`);
      _push(ssrRenderComponent(_sfc_main$1, {
        modelValue: form.value.phone,
        "onUpdate:modelValue": ($event) => form.value.phone = $event,
        id: "phone",
        error: form.value.errors.phone ? form.value.errors.phone.join() : null,
        label: unref(t)("Phone")
      }, null, _parent));
      _push(`</div><div class="col-span-full">`);
      _push(ssrRenderComponent(_sfc_main$1, {
        modelValue: form.value.address,
        "onUpdate:modelValue": ($event) => form.value.address = $event,
        id: "address",
        error: form.value.errors.address ? form.value.errors.address.join() : null,
        label: unref(t)("Address")
      }, null, _parent));
      _push(`</div><div class="col-span-6 sm:col-span-3">`);
      _push(ssrRenderComponent(_sfc_main$1, {
        modelValue: form.value.city,
        "onUpdate:modelValue": ($event) => form.value.city = $event,
        id: "city",
        error: form.value.errors.city ? form.value.errors.city.join() : null,
        label: unref(t)("City")
      }, null, _parent));
      _push(`</div><div class="col-span-6 sm:col-span-3">`);
      _push(ssrRenderComponent(_sfc_main$1, {
        modelValue: form.value.postal_code,
        "onUpdate:modelValue": ($event) => form.value.postal_code = $event,
        id: "postal_code",
        error: form.value.errors.postal_code ? form.value.errors.postal_code.join() : null,
        label: unref(t)("Postal Code")
      }, null, _parent));
      _push(`</div><div class="col-span-6 sm:col-span-3">`);
      _push(ssrRenderComponent(_sfc_main$1, {
        modelValue: form.value.state,
        "onUpdate:modelValue": ($event) => form.value.state = $event,
        id: "state",
        error: form.value.errors.state ? form.value.errors.state.join() : null,
        label: unref(t)("State")
      }, null, _parent));
      _push(`</div><div class="col-span-6 sm:col-span-3">`);
      _push(ssrRenderComponent(_sfc_main$1, {
        modelValue: form.value.country,
        "onUpdate:modelValue": ($event) => form.value.country = $event,
        id: "country",
        error: form.value.errors.country ? form.value.errors.country.join() : null,
        label: unref(t)("Country")
      }, null, _parent));
      _push(`</div>`);
      _push(ssrRenderComponent(_sfc_main$2, {
        fields: __props.fields,
        errors: form.value.errors,
        modelValue: form.value.extra_attributes,
        "onUpdate:modelValue": ($event) => form.value.extra_attributes = $event,
        className: "col-span-6 sm:col-span-3"
      }, null, _parent));
      _push(`<div class="w-full col-span-full flex items-center justify-between"><div>`);
      _push(ssrRenderComponent(_sfc_main$3, {
        type: "button",
        onClick: ($event) => emit("close")
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(` Cancel `);
          } else {
            return [
              createTextVNode(" Cancel ")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div>`);
      _push(ssrRenderComponent(_sfc_main$4, {
        on: form.value.recentlySuccessful,
        class: "mr-3"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(` Saved. `);
          } else {
            return [
              createTextVNode(" Saved. ")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(ssrRenderComponent(_sfc_main$5, {
        type: "submit",
        loading: form.value.processing
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(` Save `);
          } else {
            return [
              createTextVNode(" Save ")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div></form>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Customer/Create.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
