import { computed, resolveComponent, mergeProps, unref, withCtx, createTextVNode, toDisplayString, createVNode, openBlock, createBlock, createCommentVNode, Fragment, renderList, useSSRContext } from "vue";
import { ssrRenderComponent, ssrInterpolate, ssrRenderClass, ssrRenderList } from "vue/server-renderer";
import route from "ziggy-js";
import { useI18n } from "vue-i18n";
import { usePage } from "@inertiajs/vue3";
import { _ as _sfc_main$1 } from "./AppLayout-9f2f965f.js";
import "../ssr.js";
import "@vue/server-renderer";
import "@inertiajs/vue3/server";
import "./Modal-4ced3d7d.js";
const _sfc_main = {
  __name: "Dashboard",
  __ssrInlineRender: true,
  props: ["data"],
  setup(__props) {
    const { t } = useI18n({});
    const user = computed(() => usePage().props.auth.user);
    const impersonate = computed(() => usePage().props.is_impersonating ? usePage().props.user : null);
    return (_ctx, _push, _parent, _attrs) => {
      const _component_icons = resolveComponent("icons");
      const _component_Link = resolveComponent("Link");
      _push(ssrRenderComponent(_sfc_main$1, mergeProps({
        title: unref(t)("Dashboard")
      }, _attrs), {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          var _a, _b, _c, _d, _e, _f;
          if (_push2) {
            _push2(`<div class="py-8"${_scopeId}><div class="max-w-7xl mx-auto sm:px-6 lg:px-8"${_scopeId}><div class="bg-white dark:bg-gray-900 overflow-hidden shadow sm:rounded-lg"${_scopeId}><div${_scopeId}><div class="p-6"${_scopeId}><div class="text-2xl"${_scopeId}>${ssrInterpolate(unref(t)("Welcome to"))} ${ssrInterpolate(((_a = _ctx.$settings) == null ? void 0 : _a.name) || "SSM")} ${ssrInterpolate(unref(t)("management portal"))}. </div>`);
            if (!impersonate.value && !((_b = user.value) == null ? void 0 : _b.roles.find((r) => r.name == "customer"))) {
              _push2(`<div class="mt-2 text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Last 30 days invoices and quotations with total products & customers followed by invoice statistics and quick links."))}</div>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`</div>`);
            if (__props.data) {
              _push2(`<div class="p-6 bg-blue-50 dark:bg-blue-900/10 border-b border-t border-blue-100 dark:border-gray-700"${_scopeId}>`);
              if (!impersonate.value && !((_c = user.value) == null ? void 0 : _c.roles.find((r) => r.name == "customer"))) {
                _push2(`<div class="mb-6"${_scopeId}><h3 class="text-lg leading-6 font-semibold"${_scopeId}>${ssrInterpolate(unref(t)("Last 30 days"))}</h3><dl class="mt-2 grid grid-cols-1 rounded-lg bg-white dark:bg-gray-900 overflow-hidden border dark:border-gray-700 divide-y divide-gray-200 dark:divide-gray-700 md:grid-cols-2 lg:grid-cols-4 md:divide-x lg:divide-y-0 lg:divide-x"${_scopeId}><div class="px-4 py-5 sm:p-6"${_scopeId}><dt class="text-base font-normal"${_scopeId}>${ssrInterpolate(unref(t)("Invoices Amount"))}</dt><dd class="mt-1 flex justify-between items-end"${_scopeId}><div class="flex items-baseline text-2xl font-semibold text-blue-600 dark:text-blue-400"${_scopeId}>${ssrInterpolate(_ctx.$currency(__props.data.invoices))}</div>`);
                if (__props.data.invoices != 0 && __props.data.previous_invoices != 0) {
                  _push2(`<span class="${ssrRenderClass([__props.data.invoices > __props.data.previous_invoices ? "text-green-500" : "text-red-500", "flex items-center space-x-1 text-sm font-medium leading-none"])}"${_scopeId}>`);
                  if (__props.data.invoices > __props.data.previous_invoices) {
                    _push2(ssrRenderComponent(_component_icons, { name: "up" }, null, _parent2, _scopeId));
                  } else {
                    _push2(ssrRenderComponent(_component_icons, { name: "down" }, null, _parent2, _scopeId));
                  }
                  _push2(`<span${_scopeId}>${ssrInterpolate(_ctx.$number(__props.data.invoices / __props.data.previous_invoices * 100 - 100, "", { maximumFractionDigits: 0 }))}% </span></span>`);
                } else {
                  _push2(`<!---->`);
                }
                _push2(`</dd></div><div class="px-4 py-5 sm:p-6"${_scopeId}><dt class="text-base font-normal"${_scopeId}>${ssrInterpolate(unref(t)("Payments Amount"))}</dt><dd class="mt-1 flex justify-between items-center"${_scopeId}><div class="flex items-baseline text-2xl font-semibold text-blue-600 dark:text-blue-400"${_scopeId}>${ssrInterpolate(_ctx.$currency(__props.data.payments || 0))}</div>`);
                if (__props.data.payments != 0 && __props.data.previous_payments != 0) {
                  _push2(`<span class="${ssrRenderClass([__props.data.payments > __props.data.previous_payments ? "text-green-500" : "text-red-500", "flex items-center space-x-1 text-sm font-medium leading-none"])}"${_scopeId}>`);
                  if (__props.data.payments > __props.data.previous_payments) {
                    _push2(ssrRenderComponent(_component_icons, { name: "up" }, null, _parent2, _scopeId));
                  } else {
                    _push2(ssrRenderComponent(_component_icons, { name: "down" }, null, _parent2, _scopeId));
                  }
                  _push2(`<span${_scopeId}>${ssrInterpolate(_ctx.$number(__props.data.payments / __props.data.previous_payments * 100 - 100, "", { maximumFractionDigits: 0 }))}% </span></span>`);
                } else {
                  _push2(`<!---->`);
                }
                _push2(`</dd></div><div class="px-4 py-5 sm:p-6"${_scopeId}><dt class="text-base font-normal"${_scopeId}>${ssrInterpolate(unref(t)("Quotations"))}</dt><dd class="mt-1 flex justify-between items-center"${_scopeId}><div class="flex items-baseline text-2xl font-semibold text-blue-600 dark:text-blue-400"${_scopeId}>${ssrInterpolate(__props.data.quotations || 0)}</div></dd></div><div class="px-4 py-5 sm:p-6"${_scopeId}><dt class="text-base font-normal"${_scopeId}>${ssrInterpolate(unref(t)("Total Customers"))}</dt><dd class="mt-1 text-2xl font-semibold text-blue-600 dark:text-blue-400"${_scopeId}>${ssrInterpolate(__props.data.customers)}</dd></div></dl></div>`);
              } else {
                _push2(`<!---->`);
              }
              _push2(`<div${_scopeId}><h3 class="text-lg font-medium leading-6 text-gray-900 dark:text-gray-100"${_scopeId}>${ssrInterpolate(unref(t)("Invoice Statistics"))}</h3><dl class="mt-2 grid grid-cols-1 gap-5 sm:grid-cols-2 lg:grid-cols-4"${_scopeId}><div class="overflow-hidden rounded-lg bg-green-100 dark:bg-green-700 border border-green-200 dark:border-green-800 px-4 py-5 sm:p-6"${_scopeId}><dt class="truncate text-sm font-medium text-green-700 dark:text-green-200"${_scopeId}>${ssrInterpolate(unref(t)("Total Paid Invoices"))}</dt><dd class="flex items-baseline justify-between mt-1 text-2xl font-semibold tracking-tight text-green-900 dark:text-green-100"${_scopeId}>${ssrInterpolate(__props.data.paid || 0)} <p class="ml-2 flex items-baseline text-sm text-green-700 dark:text-green-200"${_scopeId}><span class="sr-only"${_scopeId}>${ssrInterpolate(unref(t)("Percentage"))}</span> ${ssrInterpolate(_ctx.$number((__props.data.paid || 0) / __props.data.total * 100))}% </p></dd></div><div class="overflow-hidden rounded-lg bg-blue-100 dark:bg-blue-700 border border-blue-200 dark:border-blue-800 px-4 py-5 sm:p-6"${_scopeId}><dt class="truncate text-sm font-medium text-blue-700 dark:text-blue-200"${_scopeId}>${ssrInterpolate(unref(t)("Total Pending Invoices"))}</dt><dd class="flex items-baseline justify-between mt-1 text-2xl font-semibold tracking-tight text-blue-900 dark:text-blue-100"${_scopeId}>${ssrInterpolate(__props.data.pending || 0)} <p class="ml-2 flex items-baseline text-sm text-blue-700 dark:text-blue-200"${_scopeId}><span class="sr-only"${_scopeId}>${ssrInterpolate(unref(t)("Percentage"))}</span> ${ssrInterpolate(_ctx.$number((__props.data.pending || 0) / __props.data.total * 100))}% </p></dd></div><div class="overflow-hidden rounded-lg bg-yellow-100 dark:bg-yellow-700 border border-yellow-200 dark:border-yellow-800 px-4 py-5 sm:p-6"${_scopeId}><dt class="truncate text-sm font-medium text-yellow-700 dark:text-yellow-200"${_scopeId}>${ssrInterpolate(unref(t)("Total Overdue Invoices"))}</dt><dd class="flex items-baseline justify-between mt-1 text-2xl font-semibold tracking-tight text-yellow-900 dark:text-yellow-100"${_scopeId}>${ssrInterpolate(__props.data.overdue || 0)} <p class="ml-2 flex items-baseline text-sm text-yellow-700 dark:text-yellow-200"${_scopeId}><span class="sr-only"${_scopeId}>${ssrInterpolate(unref(t)("Percentage"))}</span> ${ssrInterpolate(_ctx.$number((__props.data.overdue || 0) / __props.data.total * 100))}% </p></dd></div><div class="overflow-hidden rounded-lg bg-red-100 dark:bg-red-700 border border-red-200 dark:border-red-800 px-4 py-5 sm:p-6"${_scopeId}><dt class="truncate text-sm font-medium text-red-700 dark:text-red-200"${_scopeId}>${ssrInterpolate(unref(t)("Total Canceled Invoices"))}</dt><dd class="flex items-baseline justify-between mt-1 text-2xl font-semibold tracking-tight text-red-900 dark:text-red-100"${_scopeId}>${ssrInterpolate(__props.data.canceled || 0)} <p class="ml-2 flex items-baseline text-sm text-red-700 dark:text-red-200"${_scopeId}><span class="sr-only"${_scopeId}>${ssrInterpolate(unref(t)("Percentage"))}</span> ${ssrInterpolate(_ctx.$number((__props.data.canceled || 0) / __props.data.total * 100))}% </p></dd></div></dl></div></div>`);
            } else {
              _push2(`<!---->`);
            }
            if (!impersonate.value && _ctx.$isAdmin) {
              _push2(`<div class="grid grid-cols-1 md:grid-cols-2"${_scopeId}><div class="p-6"${_scopeId}><div class="flex items-center"${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" class="w-8 h-8 text-gray-400" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2"${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="M12 4v1m6 11h2m-6 0h-2v4m0-11v3m0 0h.01M12 12h4.01M16 20h4M4 12h4m12 0h.01M5 8h2a1 1 0 001-1V5a1 1 0 00-1-1H5a1 1 0 00-1 1v2a1 1 0 001 1zm12 0h2a1 1 0 001-1V5a1 1 0 00-1-1h-2a1 1 0 00-1 1v2a1 1 0 001 1zM5 20h2a1 1 0 001-1v-2a1 1 0 00-1-1H5a1 1 0 00-1 1v2a1 1 0 001 1z"${_scopeId}></path></svg><div class="ml-4 text-lg leading-7 font-semibold"${_scopeId}>`);
              _push2(ssrRenderComponent(_component_Link, {
                href: unref(route)("products.index")
              }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`${ssrInterpolate(unref(t)("Products"))}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(unref(t)("Products")), 1)
                    ];
                  }
                }),
                _: 1
              }, _parent2, _scopeId));
              _push2(`</div></div><div class="ml-12 flex flex-wrap gap-y-4 gap-x-6"${_scopeId}><div class="w-full mt-2 text-sm text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Manage products for invoicing"))}</div><!--[-->`);
              ssrRenderList([
                ["List", "products.index"],
                ["Add", "products.create"],
                ["Import", "products.import"]
              ], ([title, rn]) => {
                _push2(ssrRenderComponent(_component_Link, {
                  href: unref(route)(rn),
                  class: "inline-flex items-center text-sm font-semibold text-blue-700 hover:text-blue-500 dark:text-blue-400 dark:hover:text-blue-300"
                }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(`${ssrInterpolate(unref(t)(title))}`);
                    } else {
                      return [
                        createTextVNode(toDisplayString(unref(t)(title)), 1)
                      ];
                    }
                  }),
                  _: 2
                }, _parent2, _scopeId));
              });
              _push2(`<!--]--></div></div><div class="p-6 border-t dark:border-gray-700 md:border-t-0 md:border-l"${_scopeId}><div class="flex items-center"${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-8 h-8 text-gray-400"${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="M18 18.72a9.094 9.094 0 003.741-.479 3 3 0 00-4.682-2.72m.94 3.198l.001.031c0 .225-.012.447-.037.666A11.944 11.944 0 0112 21c-2.17 0-4.207-.576-5.963-1.584A6.062 6.062 0 016 18.719m12 0a5.971 5.971 0 00-.941-3.197m0 0A5.995 5.995 0 0012 12.75a5.995 5.995 0 00-5.058 2.772m0 0a3 3 0 00-4.681 2.72 8.986 8.986 0 003.74.477m.94-3.197a5.971 5.971 0 00-.94 3.197M15 6.75a3 3 0 11-6 0 3 3 0 016 0zm6 3a2.25 2.25 0 11-4.5 0 2.25 2.25 0 014.5 0zm-13.5 0a2.25 2.25 0 11-4.5 0 2.25 2.25 0 014.5 0z"${_scopeId}></path></svg><div class="ml-4 text-lg leading-7 font-semibold"${_scopeId}>`);
              _push2(ssrRenderComponent(_component_Link, {
                href: unref(route)("customers.index")
              }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`${ssrInterpolate(unref(t)("Customers"))}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(unref(t)("Customers")), 1)
                    ];
                  }
                }),
                _: 1
              }, _parent2, _scopeId));
              _push2(`</div></div><div class="ml-12 flex flex-wrap gap-y-4 gap-x-6"${_scopeId}><div class="w-full mt-2 text-sm text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Manage your customers"))}</div><!--[-->`);
              ssrRenderList([
                ["List", "customers.index"],
                ["Add", "customers.create"],
                ["Import", "customers.import"]
              ], ([title, rn]) => {
                _push2(ssrRenderComponent(_component_Link, {
                  href: unref(route)(rn),
                  class: "inline-flex items-center text-sm font-semibold text-blue-700 hover:text-blue-500 dark:text-blue-400 dark:hover:text-blue-300"
                }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(`${ssrInterpolate(unref(t)(title))}`);
                    } else {
                      return [
                        createTextVNode(toDisplayString(unref(t)(title)), 1)
                      ];
                    }
                  }),
                  _: 2
                }, _parent2, _scopeId));
              });
              _push2(`<!--]--></div></div><div class="p-6 border-t dark:border-gray-700"${_scopeId}><div class="flex items-center"${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-8 h-8 text-gray-400"${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="M19.5 14.25v-2.625a3.375 3.375 0 00-3.375-3.375h-1.5A1.125 1.125 0 0113.5 7.125v-1.5a3.375 3.375 0 00-3.375-3.375H8.25m0 12.75h7.5m-7.5 3H12M10.5 2.25H5.625c-.621 0-1.125.504-1.125 1.125v17.25c0 .621.504 1.125 1.125 1.125h12.75c.621 0 1.125-.504 1.125-1.125V11.25a9 9 0 00-9-9z"${_scopeId}></path></svg><div class="ml-4 text-lg leading-7 font-semibold"${_scopeId}>`);
              _push2(ssrRenderComponent(_component_Link, {
                href: unref(route)("invoices.index")
              }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`${ssrInterpolate(unref(t)("Invoices"))}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(unref(t)("Invoices")), 1)
                    ];
                  }
                }),
                _: 1
              }, _parent2, _scopeId));
              _push2(`</div></div><div class="ml-12 flex flex-wrap gap-y-4 gap-x-6"${_scopeId}><div class="w-full mt-2 text-sm text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Manage your invoices"))}</div><!--[-->`);
              ssrRenderList([
                ["List", "invoices.index"],
                ["Add", "invoices.create"]
              ], ([title, rn]) => {
                _push2(ssrRenderComponent(_component_Link, {
                  href: unref(route)(rn),
                  class: "inline-flex items-center text-sm font-semibold text-blue-700 hover:text-blue-500 dark:text-blue-400 dark:hover:text-blue-300"
                }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(`${ssrInterpolate(unref(t)(title))}`);
                    } else {
                      return [
                        createTextVNode(toDisplayString(unref(t)(title)), 1)
                      ];
                    }
                  }),
                  _: 2
                }, _parent2, _scopeId));
              });
              _push2(`<!--]--></div></div><div class="p-6 border-t dark:border-gray-700 md:border-l"${_scopeId}><div class="flex items-center"${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-8 h-8 text-gray-400"${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="M19.5 14.25v-2.625a3.375 3.375 0 00-3.375-3.375h-1.5A1.125 1.125 0 0113.5 7.125v-1.5a3.375 3.375 0 00-3.375-3.375H8.25m2.25 0H5.625c-.621 0-1.125.504-1.125 1.125v17.25c0 .621.504 1.125 1.125 1.125h12.75c.621 0 1.125-.504 1.125-1.125V11.25a9 9 0 00-9-9z"${_scopeId}></path></svg><div class="ml-4 text-lg leading-7 font-semibold"${_scopeId}>`);
              _push2(ssrRenderComponent(_component_Link, {
                href: unref(route)("quotations.index")
              }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`${ssrInterpolate(unref(t)("Quotations"))}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(unref(t)("Quotations")), 1)
                    ];
                  }
                }),
                _: 1
              }, _parent2, _scopeId));
              _push2(`</div></div><div class="ml-12 flex flex-wrap gap-y-4 gap-x-6"${_scopeId}><div class="w-full mt-2 text-sm text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Manage your quotations"))}</div><!--[-->`);
              ssrRenderList([
                ["List", "quotations.index"],
                ["Add", "quotations.create"]
              ], ([title, rn]) => {
                _push2(ssrRenderComponent(_component_Link, {
                  href: unref(route)(rn),
                  class: "inline-flex items-center text-sm font-semibold text-blue-700 hover:text-blue-500 dark:text-blue-400 dark:hover:text-blue-300"
                }, {
                  default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(`${ssrInterpolate(unref(t)(title))}`);
                    } else {
                      return [
                        createTextVNode(toDisplayString(unref(t)(title)), 1)
                      ];
                    }
                  }),
                  _: 2
                }, _parent2, _scopeId));
              });
              _push2(`<!--]--></div></div></div>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`</div></div></div></div>`);
          } else {
            return [
              createVNode("div", { class: "py-8" }, [
                createVNode("div", { class: "max-w-7xl mx-auto sm:px-6 lg:px-8" }, [
                  createVNode("div", { class: "bg-white dark:bg-gray-900 overflow-hidden shadow sm:rounded-lg" }, [
                    createVNode("div", null, [
                      createVNode("div", { class: "p-6" }, [
                        createVNode("div", { class: "text-2xl" }, toDisplayString(unref(t)("Welcome to")) + " " + toDisplayString(((_d = _ctx.$settings) == null ? void 0 : _d.name) || "SSM") + " " + toDisplayString(unref(t)("management portal")) + ". ", 1),
                        !impersonate.value && !((_e = user.value) == null ? void 0 : _e.roles.find((r) => r.name == "customer")) ? (openBlock(), createBlock("div", {
                          key: 0,
                          class: "mt-2 text-gray-500 dark:text-gray-400"
                        }, toDisplayString(unref(t)("Last 30 days invoices and quotations with total products & customers followed by invoice statistics and quick links.")), 1)) : createCommentVNode("", true)
                      ]),
                      __props.data ? (openBlock(), createBlock("div", {
                        key: 0,
                        class: "p-6 bg-blue-50 dark:bg-blue-900/10 border-b border-t border-blue-100 dark:border-gray-700"
                      }, [
                        !impersonate.value && !((_f = user.value) == null ? void 0 : _f.roles.find((r) => r.name == "customer")) ? (openBlock(), createBlock("div", {
                          key: 0,
                          class: "mb-6"
                        }, [
                          createVNode("h3", { class: "text-lg leading-6 font-semibold" }, toDisplayString(unref(t)("Last 30 days")), 1),
                          createVNode("dl", { class: "mt-2 grid grid-cols-1 rounded-lg bg-white dark:bg-gray-900 overflow-hidden border dark:border-gray-700 divide-y divide-gray-200 dark:divide-gray-700 md:grid-cols-2 lg:grid-cols-4 md:divide-x lg:divide-y-0 lg:divide-x" }, [
                            createVNode("div", { class: "px-4 py-5 sm:p-6" }, [
                              createVNode("dt", { class: "text-base font-normal" }, toDisplayString(unref(t)("Invoices Amount")), 1),
                              createVNode("dd", { class: "mt-1 flex justify-between items-end" }, [
                                createVNode("div", { class: "flex items-baseline text-2xl font-semibold text-blue-600 dark:text-blue-400" }, toDisplayString(_ctx.$currency(__props.data.invoices)), 1),
                                __props.data.invoices != 0 && __props.data.previous_invoices != 0 ? (openBlock(), createBlock("span", {
                                  key: 0,
                                  class: ["flex items-center space-x-1 text-sm font-medium leading-none", __props.data.invoices > __props.data.previous_invoices ? "text-green-500" : "text-red-500"]
                                }, [
                                  __props.data.invoices > __props.data.previous_invoices ? (openBlock(), createBlock(_component_icons, {
                                    key: 0,
                                    name: "up"
                                  })) : (openBlock(), createBlock(_component_icons, {
                                    key: 1,
                                    name: "down"
                                  })),
                                  createVNode("span", null, toDisplayString(_ctx.$number(__props.data.invoices / __props.data.previous_invoices * 100 - 100, "", { maximumFractionDigits: 0 })) + "% ", 1)
                                ], 2)) : createCommentVNode("", true)
                              ])
                            ]),
                            createVNode("div", { class: "px-4 py-5 sm:p-6" }, [
                              createVNode("dt", { class: "text-base font-normal" }, toDisplayString(unref(t)("Payments Amount")), 1),
                              createVNode("dd", { class: "mt-1 flex justify-between items-center" }, [
                                createVNode("div", { class: "flex items-baseline text-2xl font-semibold text-blue-600 dark:text-blue-400" }, toDisplayString(_ctx.$currency(__props.data.payments || 0)), 1),
                                __props.data.payments != 0 && __props.data.previous_payments != 0 ? (openBlock(), createBlock("span", {
                                  key: 0,
                                  class: ["flex items-center space-x-1 text-sm font-medium leading-none", __props.data.payments > __props.data.previous_payments ? "text-green-500" : "text-red-500"]
                                }, [
                                  __props.data.payments > __props.data.previous_payments ? (openBlock(), createBlock(_component_icons, {
                                    key: 0,
                                    name: "up"
                                  })) : (openBlock(), createBlock(_component_icons, {
                                    key: 1,
                                    name: "down"
                                  })),
                                  createVNode("span", null, toDisplayString(_ctx.$number(__props.data.payments / __props.data.previous_payments * 100 - 100, "", { maximumFractionDigits: 0 })) + "% ", 1)
                                ], 2)) : createCommentVNode("", true)
                              ])
                            ]),
                            createVNode("div", { class: "px-4 py-5 sm:p-6" }, [
                              createVNode("dt", { class: "text-base font-normal" }, toDisplayString(unref(t)("Quotations")), 1),
                              createVNode("dd", { class: "mt-1 flex justify-between items-center" }, [
                                createVNode("div", { class: "flex items-baseline text-2xl font-semibold text-blue-600 dark:text-blue-400" }, toDisplayString(__props.data.quotations || 0), 1)
                              ])
                            ]),
                            createVNode("div", { class: "px-4 py-5 sm:p-6" }, [
                              createVNode("dt", { class: "text-base font-normal" }, toDisplayString(unref(t)("Total Customers")), 1),
                              createVNode("dd", { class: "mt-1 text-2xl font-semibold text-blue-600 dark:text-blue-400" }, toDisplayString(__props.data.customers), 1)
                            ])
                          ])
                        ])) : createCommentVNode("", true),
                        createVNode("div", null, [
                          createVNode("h3", { class: "text-lg font-medium leading-6 text-gray-900 dark:text-gray-100" }, toDisplayString(unref(t)("Invoice Statistics")), 1),
                          createVNode("dl", { class: "mt-2 grid grid-cols-1 gap-5 sm:grid-cols-2 lg:grid-cols-4" }, [
                            createVNode("div", { class: "overflow-hidden rounded-lg bg-green-100 dark:bg-green-700 border border-green-200 dark:border-green-800 px-4 py-5 sm:p-6" }, [
                              createVNode("dt", { class: "truncate text-sm font-medium text-green-700 dark:text-green-200" }, toDisplayString(unref(t)("Total Paid Invoices")), 1),
                              createVNode("dd", { class: "flex items-baseline justify-between mt-1 text-2xl font-semibold tracking-tight text-green-900 dark:text-green-100" }, [
                                createTextVNode(toDisplayString(__props.data.paid || 0) + " ", 1),
                                createVNode("p", { class: "ml-2 flex items-baseline text-sm text-green-700 dark:text-green-200" }, [
                                  createVNode("span", { class: "sr-only" }, toDisplayString(unref(t)("Percentage")), 1),
                                  createTextVNode(" " + toDisplayString(_ctx.$number((__props.data.paid || 0) / __props.data.total * 100)) + "% ", 1)
                                ])
                              ])
                            ]),
                            createVNode("div", { class: "overflow-hidden rounded-lg bg-blue-100 dark:bg-blue-700 border border-blue-200 dark:border-blue-800 px-4 py-5 sm:p-6" }, [
                              createVNode("dt", { class: "truncate text-sm font-medium text-blue-700 dark:text-blue-200" }, toDisplayString(unref(t)("Total Pending Invoices")), 1),
                              createVNode("dd", { class: "flex items-baseline justify-between mt-1 text-2xl font-semibold tracking-tight text-blue-900 dark:text-blue-100" }, [
                                createTextVNode(toDisplayString(__props.data.pending || 0) + " ", 1),
                                createVNode("p", { class: "ml-2 flex items-baseline text-sm text-blue-700 dark:text-blue-200" }, [
                                  createVNode("span", { class: "sr-only" }, toDisplayString(unref(t)("Percentage")), 1),
                                  createTextVNode(" " + toDisplayString(_ctx.$number((__props.data.pending || 0) / __props.data.total * 100)) + "% ", 1)
                                ])
                              ])
                            ]),
                            createVNode("div", { class: "overflow-hidden rounded-lg bg-yellow-100 dark:bg-yellow-700 border border-yellow-200 dark:border-yellow-800 px-4 py-5 sm:p-6" }, [
                              createVNode("dt", { class: "truncate text-sm font-medium text-yellow-700 dark:text-yellow-200" }, toDisplayString(unref(t)("Total Overdue Invoices")), 1),
                              createVNode("dd", { class: "flex items-baseline justify-between mt-1 text-2xl font-semibold tracking-tight text-yellow-900 dark:text-yellow-100" }, [
                                createTextVNode(toDisplayString(__props.data.overdue || 0) + " ", 1),
                                createVNode("p", { class: "ml-2 flex items-baseline text-sm text-yellow-700 dark:text-yellow-200" }, [
                                  createVNode("span", { class: "sr-only" }, toDisplayString(unref(t)("Percentage")), 1),
                                  createTextVNode(" " + toDisplayString(_ctx.$number((__props.data.overdue || 0) / __props.data.total * 100)) + "% ", 1)
                                ])
                              ])
                            ]),
                            createVNode("div", { class: "overflow-hidden rounded-lg bg-red-100 dark:bg-red-700 border border-red-200 dark:border-red-800 px-4 py-5 sm:p-6" }, [
                              createVNode("dt", { class: "truncate text-sm font-medium text-red-700 dark:text-red-200" }, toDisplayString(unref(t)("Total Canceled Invoices")), 1),
                              createVNode("dd", { class: "flex items-baseline justify-between mt-1 text-2xl font-semibold tracking-tight text-red-900 dark:text-red-100" }, [
                                createTextVNode(toDisplayString(__props.data.canceled || 0) + " ", 1),
                                createVNode("p", { class: "ml-2 flex items-baseline text-sm text-red-700 dark:text-red-200" }, [
                                  createVNode("span", { class: "sr-only" }, toDisplayString(unref(t)("Percentage")), 1),
                                  createTextVNode(" " + toDisplayString(_ctx.$number((__props.data.canceled || 0) / __props.data.total * 100)) + "% ", 1)
                                ])
                              ])
                            ])
                          ])
                        ])
                      ])) : createCommentVNode("", true),
                      !impersonate.value && _ctx.$isAdmin ? (openBlock(), createBlock("div", {
                        key: 1,
                        class: "grid grid-cols-1 md:grid-cols-2"
                      }, [
                        createVNode("div", { class: "p-6" }, [
                          createVNode("div", { class: "flex items-center" }, [
                            (openBlock(), createBlock("svg", {
                              xmlns: "http://www.w3.org/2000/svg",
                              class: "w-8 h-8 text-gray-400",
                              fill: "none",
                              viewBox: "0 0 24 24",
                              stroke: "currentColor",
                              "stroke-width": "2"
                            }, [
                              createVNode("path", {
                                "stroke-linecap": "round",
                                "stroke-linejoin": "round",
                                d: "M12 4v1m6 11h2m-6 0h-2v4m0-11v3m0 0h.01M12 12h4.01M16 20h4M4 12h4m12 0h.01M5 8h2a1 1 0 001-1V5a1 1 0 00-1-1H5a1 1 0 00-1 1v2a1 1 0 001 1zm12 0h2a1 1 0 001-1V5a1 1 0 00-1-1h-2a1 1 0 00-1 1v2a1 1 0 001 1zM5 20h2a1 1 0 001-1v-2a1 1 0 00-1-1H5a1 1 0 00-1 1v2a1 1 0 001 1z"
                              })
                            ])),
                            createVNode("div", { class: "ml-4 text-lg leading-7 font-semibold" }, [
                              createVNode(_component_Link, {
                                href: unref(route)("products.index")
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString(unref(t)("Products")), 1)
                                ]),
                                _: 1
                              }, 8, ["href"])
                            ])
                          ]),
                          createVNode("div", { class: "ml-12 flex flex-wrap gap-y-4 gap-x-6" }, [
                            createVNode("div", { class: "w-full mt-2 text-sm text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Manage products for invoicing")), 1),
                            (openBlock(true), createBlock(Fragment, null, renderList([
                              ["List", "products.index"],
                              ["Add", "products.create"],
                              ["Import", "products.import"]
                            ], ([title, rn]) => {
                              return openBlock(), createBlock(_component_Link, {
                                key: rn,
                                href: unref(route)(rn),
                                class: "inline-flex items-center text-sm font-semibold text-blue-700 hover:text-blue-500 dark:text-blue-400 dark:hover:text-blue-300"
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString(unref(t)(title)), 1)
                                ]),
                                _: 2
                              }, 1032, ["href"]);
                            }), 128))
                          ])
                        ]),
                        createVNode("div", { class: "p-6 border-t dark:border-gray-700 md:border-t-0 md:border-l" }, [
                          createVNode("div", { class: "flex items-center" }, [
                            (openBlock(), createBlock("svg", {
                              xmlns: "http://www.w3.org/2000/svg",
                              fill: "none",
                              viewBox: "0 0 24 24",
                              "stroke-width": "1.5",
                              stroke: "currentColor",
                              class: "w-8 h-8 text-gray-400"
                            }, [
                              createVNode("path", {
                                "stroke-linecap": "round",
                                "stroke-linejoin": "round",
                                d: "M18 18.72a9.094 9.094 0 003.741-.479 3 3 0 00-4.682-2.72m.94 3.198l.001.031c0 .225-.012.447-.037.666A11.944 11.944 0 0112 21c-2.17 0-4.207-.576-5.963-1.584A6.062 6.062 0 016 18.719m12 0a5.971 5.971 0 00-.941-3.197m0 0A5.995 5.995 0 0012 12.75a5.995 5.995 0 00-5.058 2.772m0 0a3 3 0 00-4.681 2.72 8.986 8.986 0 003.74.477m.94-3.197a5.971 5.971 0 00-.94 3.197M15 6.75a3 3 0 11-6 0 3 3 0 016 0zm6 3a2.25 2.25 0 11-4.5 0 2.25 2.25 0 014.5 0zm-13.5 0a2.25 2.25 0 11-4.5 0 2.25 2.25 0 014.5 0z"
                              })
                            ])),
                            createVNode("div", { class: "ml-4 text-lg leading-7 font-semibold" }, [
                              createVNode(_component_Link, {
                                href: unref(route)("customers.index")
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString(unref(t)("Customers")), 1)
                                ]),
                                _: 1
                              }, 8, ["href"])
                            ])
                          ]),
                          createVNode("div", { class: "ml-12 flex flex-wrap gap-y-4 gap-x-6" }, [
                            createVNode("div", { class: "w-full mt-2 text-sm text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Manage your customers")), 1),
                            (openBlock(true), createBlock(Fragment, null, renderList([
                              ["List", "customers.index"],
                              ["Add", "customers.create"],
                              ["Import", "customers.import"]
                            ], ([title, rn]) => {
                              return openBlock(), createBlock(_component_Link, {
                                key: rn,
                                href: unref(route)(rn),
                                class: "inline-flex items-center text-sm font-semibold text-blue-700 hover:text-blue-500 dark:text-blue-400 dark:hover:text-blue-300"
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString(unref(t)(title)), 1)
                                ]),
                                _: 2
                              }, 1032, ["href"]);
                            }), 128))
                          ])
                        ]),
                        createVNode("div", { class: "p-6 border-t dark:border-gray-700" }, [
                          createVNode("div", { class: "flex items-center" }, [
                            (openBlock(), createBlock("svg", {
                              xmlns: "http://www.w3.org/2000/svg",
                              fill: "none",
                              viewBox: "0 0 24 24",
                              "stroke-width": "1.5",
                              stroke: "currentColor",
                              class: "w-8 h-8 text-gray-400"
                            }, [
                              createVNode("path", {
                                "stroke-linecap": "round",
                                "stroke-linejoin": "round",
                                d: "M19.5 14.25v-2.625a3.375 3.375 0 00-3.375-3.375h-1.5A1.125 1.125 0 0113.5 7.125v-1.5a3.375 3.375 0 00-3.375-3.375H8.25m0 12.75h7.5m-7.5 3H12M10.5 2.25H5.625c-.621 0-1.125.504-1.125 1.125v17.25c0 .621.504 1.125 1.125 1.125h12.75c.621 0 1.125-.504 1.125-1.125V11.25a9 9 0 00-9-9z"
                              })
                            ])),
                            createVNode("div", { class: "ml-4 text-lg leading-7 font-semibold" }, [
                              createVNode(_component_Link, {
                                href: unref(route)("invoices.index")
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString(unref(t)("Invoices")), 1)
                                ]),
                                _: 1
                              }, 8, ["href"])
                            ])
                          ]),
                          createVNode("div", { class: "ml-12 flex flex-wrap gap-y-4 gap-x-6" }, [
                            createVNode("div", { class: "w-full mt-2 text-sm text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Manage your invoices")), 1),
                            (openBlock(true), createBlock(Fragment, null, renderList([
                              ["List", "invoices.index"],
                              ["Add", "invoices.create"]
                            ], ([title, rn]) => {
                              return openBlock(), createBlock(_component_Link, {
                                key: rn,
                                href: unref(route)(rn),
                                class: "inline-flex items-center text-sm font-semibold text-blue-700 hover:text-blue-500 dark:text-blue-400 dark:hover:text-blue-300"
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString(unref(t)(title)), 1)
                                ]),
                                _: 2
                              }, 1032, ["href"]);
                            }), 128))
                          ])
                        ]),
                        createVNode("div", { class: "p-6 border-t dark:border-gray-700 md:border-l" }, [
                          createVNode("div", { class: "flex items-center" }, [
                            (openBlock(), createBlock("svg", {
                              xmlns: "http://www.w3.org/2000/svg",
                              fill: "none",
                              viewBox: "0 0 24 24",
                              "stroke-width": "1.5",
                              stroke: "currentColor",
                              class: "w-8 h-8 text-gray-400"
                            }, [
                              createVNode("path", {
                                "stroke-linecap": "round",
                                "stroke-linejoin": "round",
                                d: "M19.5 14.25v-2.625a3.375 3.375 0 00-3.375-3.375h-1.5A1.125 1.125 0 0113.5 7.125v-1.5a3.375 3.375 0 00-3.375-3.375H8.25m2.25 0H5.625c-.621 0-1.125.504-1.125 1.125v17.25c0 .621.504 1.125 1.125 1.125h12.75c.621 0 1.125-.504 1.125-1.125V11.25a9 9 0 00-9-9z"
                              })
                            ])),
                            createVNode("div", { class: "ml-4 text-lg leading-7 font-semibold" }, [
                              createVNode(_component_Link, {
                                href: unref(route)("quotations.index")
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString(unref(t)("Quotations")), 1)
                                ]),
                                _: 1
                              }, 8, ["href"])
                            ])
                          ]),
                          createVNode("div", { class: "ml-12 flex flex-wrap gap-y-4 gap-x-6" }, [
                            createVNode("div", { class: "w-full mt-2 text-sm text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Manage your quotations")), 1),
                            (openBlock(true), createBlock(Fragment, null, renderList([
                              ["List", "quotations.index"],
                              ["Add", "quotations.create"]
                            ], ([title, rn]) => {
                              return openBlock(), createBlock(_component_Link, {
                                key: rn,
                                href: unref(route)(rn),
                                class: "inline-flex items-center text-sm font-semibold text-blue-700 hover:text-blue-500 dark:text-blue-400 dark:hover:text-blue-300"
                              }, {
                                default: withCtx(() => [
                                  createTextVNode(toDisplayString(unref(t)(title)), 1)
                                ]),
                                _: 2
                              }, 1032, ["href"]);
                            }), 128))
                          ])
                        ])
                      ])) : createCommentVNode("", true)
                    ])
                  ])
                ])
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Dashboard.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
