import { mergeProps, unref, withCtx, createTextVNode, toDisplayString, createVNode, openBlock, createBlock, createCommentVNode, useSSRContext } from "vue";
import { ssrRenderComponent, ssrInterpolate } from "vue/server-renderer";
import { useI18n } from "vue-i18n";
import { useForm } from "@inertiajs/vue3";
import { _ as _sfc_main$3 } from "./InputError-951c1c36.js";
import { C as CheckBox, _ as _sfc_main$6 } from "./ActionMessage-cdce5426.js";
import { _ as _sfc_main$4 } from "./TextInput-f18b2e86.js";
import { _ as _sfc_main$1 } from "./AppLayout-9f2f965f.js";
import { _ as _sfc_main$5 } from "./AutoComplete-974a17ce.js";
import { _ as _sfc_main$2 } from "./FormSection-d5f140fc.js";
import "../ssr.js";
import "@vue/server-renderer";
import "@inertiajs/vue3/server";
import "uuid";
import "./Input-fb927b71.js";
import "./Modal-4ced3d7d.js";
import "axios";
import "lodash/throttle.js";
const _sfc_main = {
  __name: "Form",
  __ssrInlineRender: true,
  props: ["edit"],
  setup(__props) {
    const props = __props;
    const form = useForm({
      name: null,
      slug: null,
      order: null,
      type: "text",
      options: null,
      models: [],
      show: false,
      required: false,
      description: null
    });
    let selected = [];
    if (props.edit) {
      selected = props.edit.data.models;
      form.name = props.edit.data.name;
      form.slug = props.edit.data.slug;
      form.order = props.edit.data.order;
      form.type = props.edit.data.type;
      form.options = props.edit.data.options;
      form.models = props.edit.data.models.map((m) => m.value);
      form.show = props.edit.data.show == 1;
      form.required = props.edit.data.required == 1;
      form.description = props.edit.data.description;
    }
    const { t } = useI18n({});
    const models = [
      { value: "customer", label: "Customer" },
      { value: "company", label: "Company" },
      { value: "maininvoice", label: "Invoice" },
      { value: "invoiceitem", label: "InvoiceItem" },
      { value: "payment", label: "Payment" },
      { value: "product", label: "Product" },
      { value: "mainquotation", label: "Quotation" },
      { value: "quotationitem", label: "QuotationItem" },
      { value: "user", label: "User" }
    ];
    function submit() {
      let method = props.edit ? "put" : "post";
      let url = props.edit ? route("fields.update", props.edit.data.id) : route("fields.store");
      form.models = models.filter((m) => form.models.includes(m.value));
      form[method](url, {
        preserveScroll: true,
        onSuccess: () => {
          props.edit ? "" : form.reset();
        },
        onError: () => {
          if (form.errors.name) {
            document.getElementById("name").focus();
          }
        }
      });
    }
    return (_ctx, _push, _parent, _attrs) => {
      _push(ssrRenderComponent(_sfc_main$1, mergeProps({
        title: props.edit ? unref(t)("Edit Custom Field") : unref(t)("Add New Custom Field")
      }, _attrs), {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="max-w-7xl mx-auto py-10 sm:px-6 lg:px-8"${_scopeId}>`);
            _push2(ssrRenderComponent(_sfc_main$2, {
              onSubmitted: submit,
              autocomplete: "off"
            }, {
              title: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`${ssrInterpolate(props.edit ? unref(t)("Edit Custom Field") : unref(t)("Add New Custom Field"))}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(props.edit ? unref(t)("Edit Custom Field") : unref(t)("Add New Custom Field")), 1)
                  ];
                }
              }),
              description: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`${ssrInterpolate(unref(t)("Please fill the form below to {x}.", {
                    x: props.edit ? unref(t)("update {x}", { x: unref(t)("field") }) : unref(t)("add {x}", { x: unref(t)("field") })
                  }))} <div${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$3, {
                    href: _ctx.route("fields.index"),
                    class: "mt-4"
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`${ssrInterpolate(unref(t)("List Custom Fields"))}`);
                      } else {
                        return [
                          createTextVNode(toDisplayString(unref(t)("List Custom Fields")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(`</div>`);
                } else {
                  return [
                    createTextVNode(toDisplayString(unref(t)("Please fill the form below to {x}.", {
                      x: props.edit ? unref(t)("update {x}", { x: unref(t)("field") }) : unref(t)("add {x}", { x: unref(t)("field") })
                    })) + " ", 1),
                    createVNode("div", null, [
                      createVNode(_sfc_main$3, {
                        href: _ctx.route("fields.index"),
                        class: "mt-4"
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString(unref(t)("List Custom Fields")), 1)
                        ]),
                        _: 1
                      }, 8, ["href"])
                    ])
                  ];
                }
              }),
              form: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div class="col-span-full"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$4, {
                    modelValue: unref(form).name,
                    "onUpdate:modelValue": ($event) => unref(form).name = $event,
                    id: "name",
                    error: unref(form).errors.name,
                    label: unref(t)("Name")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$5, {
                    json: true,
                    id: "field_type",
                    label: unref(t)("Type"),
                    searchable: false,
                    modelValue: unref(form).type,
                    "onUpdate:modelValue": ($event) => unref(form).type = $event,
                    error: unref(form).errors.type,
                    suggestions: [
                      { value: "checkbox", label: "Checkbox field" },
                      { value: "date", label: "Date field" },
                      { value: "datetime", label: "Date & time field" },
                      { value: "radio", label: "Radio field" },
                      { value: "select", label: "Select field" },
                      { value: "select_multiple", label: "Multiple select field" },
                      { value: "text", label: "Text field" },
                      { value: "textarea", label: "Textarea field" }
                    ]
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$4, {
                    modelValue: unref(form).order,
                    "onUpdate:modelValue": ($event) => unref(form).order = $event,
                    id: "order",
                    error: unref(form).errors.order,
                    label: unref(t)("Order")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div>`);
                  if (unref(form).type == "select" || unref(form).type == "select_multiple" || unref(form).type == "checkbox" || unref(form).type == "radio") {
                    _push3(`<div class="col-span-full"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_sfc_main$4, {
                      modelValue: unref(form).options,
                      "onUpdate:modelValue": ($event) => unref(form).options = $event,
                      id: "options",
                      error: unref(form).errors.options,
                      label: unref(t)("Options, separated by comma")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div>`);
                  } else {
                    _push3(`<!---->`);
                  }
                  _push3(`<div class="col-span-full"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$5, {
                    id: "models",
                    json: true,
                    multiple: true,
                    searchable: false,
                    label: unref(t)("Models"),
                    selected: unref(selected),
                    modelValue: unref(form).models,
                    "onUpdate:modelValue": ($event) => unref(form).models = $event,
                    suggestions: models,
                    error: unref(form).errors.models
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-full"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$4, {
                    modelValue: unref(form).description,
                    "onUpdate:modelValue": ($event) => unref(form).description = $event,
                    id: "description",
                    error: unref(form).errors.description,
                    label: unref(t)("Description")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-full"${_scopeId2}>`);
                  _push3(ssrRenderComponent(CheckBox, {
                    id: "required",
                    label: unref(t)("This is required field"),
                    checked: unref(form).required,
                    "onUpdate:checked": ($event) => unref(form).required = $event,
                    error: unref(form).errors.required
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-full"${_scopeId2}>`);
                  _push3(ssrRenderComponent(CheckBox, {
                    id: "show",
                    label: unref(t)("Show this field on order"),
                    checked: unref(form).show,
                    "onUpdate:checked": ($event) => unref(form).show = $event,
                    error: unref(form).errors.show
                  }, null, _parent3, _scopeId2));
                  _push3(`</div>`);
                } else {
                  return [
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(_sfc_main$4, {
                        modelValue: unref(form).name,
                        "onUpdate:modelValue": ($event) => unref(form).name = $event,
                        id: "name",
                        error: unref(form).errors.name,
                        label: unref(t)("Name")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$5, {
                        json: true,
                        id: "field_type",
                        label: unref(t)("Type"),
                        searchable: false,
                        modelValue: unref(form).type,
                        "onUpdate:modelValue": ($event) => unref(form).type = $event,
                        error: unref(form).errors.type,
                        suggestions: [
                          { value: "checkbox", label: "Checkbox field" },
                          { value: "date", label: "Date field" },
                          { value: "datetime", label: "Date & time field" },
                          { value: "radio", label: "Radio field" },
                          { value: "select", label: "Select field" },
                          { value: "select_multiple", label: "Multiple select field" },
                          { value: "text", label: "Text field" },
                          { value: "textarea", label: "Textarea field" }
                        ]
                      }, null, 8, ["label", "modelValue", "onUpdate:modelValue", "error"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$4, {
                        modelValue: unref(form).order,
                        "onUpdate:modelValue": ($event) => unref(form).order = $event,
                        id: "order",
                        error: unref(form).errors.order,
                        label: unref(t)("Order")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    unref(form).type == "select" || unref(form).type == "select_multiple" || unref(form).type == "checkbox" || unref(form).type == "radio" ? (openBlock(), createBlock("div", {
                      key: 0,
                      class: "col-span-full"
                    }, [
                      createVNode(_sfc_main$4, {
                        modelValue: unref(form).options,
                        "onUpdate:modelValue": ($event) => unref(form).options = $event,
                        id: "options",
                        error: unref(form).errors.options,
                        label: unref(t)("Options, separated by comma")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ])) : createCommentVNode("", true),
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(_sfc_main$5, {
                        id: "models",
                        json: true,
                        multiple: true,
                        searchable: false,
                        label: unref(t)("Models"),
                        selected: unref(selected),
                        modelValue: unref(form).models,
                        "onUpdate:modelValue": ($event) => unref(form).models = $event,
                        suggestions: models,
                        error: unref(form).errors.models
                      }, null, 8, ["label", "selected", "modelValue", "onUpdate:modelValue", "error"])
                    ]),
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(_sfc_main$4, {
                        modelValue: unref(form).description,
                        "onUpdate:modelValue": ($event) => unref(form).description = $event,
                        id: "description",
                        error: unref(form).errors.description,
                        label: unref(t)("Description")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(CheckBox, {
                        id: "required",
                        label: unref(t)("This is required field"),
                        checked: unref(form).required,
                        "onUpdate:checked": ($event) => unref(form).required = $event,
                        error: unref(form).errors.required
                      }, null, 8, ["label", "checked", "onUpdate:checked", "error"])
                    ]),
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(CheckBox, {
                        id: "show",
                        label: unref(t)("Show this field on order"),
                        checked: unref(form).show,
                        "onUpdate:checked": ($event) => unref(form).show = $event,
                        error: unref(form).errors.show
                      }, null, 8, ["label", "checked", "onUpdate:checked", "error"])
                    ])
                  ];
                }
              }),
              actions: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_sfc_main$6, {
                    on: unref(form).recentlySuccessful,
                    class: "mr-3"
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`${ssrInterpolate(unref(t)("Saved."))}`);
                      } else {
                        return [
                          createTextVNode(toDisplayString(unref(t)("Saved.")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(_sfc_main$3, {
                    type: "submit",
                    loading: unref(form).processing
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`${ssrInterpolate(unref(t)("Save"))}`);
                      } else {
                        return [
                          createTextVNode(toDisplayString(unref(t)("Save")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_sfc_main$6, {
                      on: unref(form).recentlySuccessful,
                      class: "mr-3"
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(t)("Saved.")), 1)
                      ]),
                      _: 1
                    }, 8, ["on"]),
                    createVNode(_sfc_main$3, {
                      type: "submit",
                      loading: unref(form).processing
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(t)("Save")), 1)
                      ]),
                      _: 1
                    }, 8, ["loading"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</div>`);
          } else {
            return [
              createVNode("div", { class: "max-w-7xl mx-auto py-10 sm:px-6 lg:px-8" }, [
                createVNode(_sfc_main$2, {
                  onSubmitted: submit,
                  autocomplete: "off"
                }, {
                  title: withCtx(() => [
                    createTextVNode(toDisplayString(props.edit ? unref(t)("Edit Custom Field") : unref(t)("Add New Custom Field")), 1)
                  ]),
                  description: withCtx(() => [
                    createTextVNode(toDisplayString(unref(t)("Please fill the form below to {x}.", {
                      x: props.edit ? unref(t)("update {x}", { x: unref(t)("field") }) : unref(t)("add {x}", { x: unref(t)("field") })
                    })) + " ", 1),
                    createVNode("div", null, [
                      createVNode(_sfc_main$3, {
                        href: _ctx.route("fields.index"),
                        class: "mt-4"
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString(unref(t)("List Custom Fields")), 1)
                        ]),
                        _: 1
                      }, 8, ["href"])
                    ])
                  ]),
                  form: withCtx(() => [
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(_sfc_main$4, {
                        modelValue: unref(form).name,
                        "onUpdate:modelValue": ($event) => unref(form).name = $event,
                        id: "name",
                        error: unref(form).errors.name,
                        label: unref(t)("Name")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$5, {
                        json: true,
                        id: "field_type",
                        label: unref(t)("Type"),
                        searchable: false,
                        modelValue: unref(form).type,
                        "onUpdate:modelValue": ($event) => unref(form).type = $event,
                        error: unref(form).errors.type,
                        suggestions: [
                          { value: "checkbox", label: "Checkbox field" },
                          { value: "date", label: "Date field" },
                          { value: "datetime", label: "Date & time field" },
                          { value: "radio", label: "Radio field" },
                          { value: "select", label: "Select field" },
                          { value: "select_multiple", label: "Multiple select field" },
                          { value: "text", label: "Text field" },
                          { value: "textarea", label: "Textarea field" }
                        ]
                      }, null, 8, ["label", "modelValue", "onUpdate:modelValue", "error"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$4, {
                        modelValue: unref(form).order,
                        "onUpdate:modelValue": ($event) => unref(form).order = $event,
                        id: "order",
                        error: unref(form).errors.order,
                        label: unref(t)("Order")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    unref(form).type == "select" || unref(form).type == "select_multiple" || unref(form).type == "checkbox" || unref(form).type == "radio" ? (openBlock(), createBlock("div", {
                      key: 0,
                      class: "col-span-full"
                    }, [
                      createVNode(_sfc_main$4, {
                        modelValue: unref(form).options,
                        "onUpdate:modelValue": ($event) => unref(form).options = $event,
                        id: "options",
                        error: unref(form).errors.options,
                        label: unref(t)("Options, separated by comma")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ])) : createCommentVNode("", true),
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(_sfc_main$5, {
                        id: "models",
                        json: true,
                        multiple: true,
                        searchable: false,
                        label: unref(t)("Models"),
                        selected: unref(selected),
                        modelValue: unref(form).models,
                        "onUpdate:modelValue": ($event) => unref(form).models = $event,
                        suggestions: models,
                        error: unref(form).errors.models
                      }, null, 8, ["label", "selected", "modelValue", "onUpdate:modelValue", "error"])
                    ]),
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(_sfc_main$4, {
                        modelValue: unref(form).description,
                        "onUpdate:modelValue": ($event) => unref(form).description = $event,
                        id: "description",
                        error: unref(form).errors.description,
                        label: unref(t)("Description")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(CheckBox, {
                        id: "required",
                        label: unref(t)("This is required field"),
                        checked: unref(form).required,
                        "onUpdate:checked": ($event) => unref(form).required = $event,
                        error: unref(form).errors.required
                      }, null, 8, ["label", "checked", "onUpdate:checked", "error"])
                    ]),
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(CheckBox, {
                        id: "show",
                        label: unref(t)("Show this field on order"),
                        checked: unref(form).show,
                        "onUpdate:checked": ($event) => unref(form).show = $event,
                        error: unref(form).errors.show
                      }, null, 8, ["label", "checked", "onUpdate:checked", "error"])
                    ])
                  ]),
                  actions: withCtx(() => [
                    createVNode(_sfc_main$6, {
                      on: unref(form).recentlySuccessful,
                      class: "mr-3"
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(t)("Saved.")), 1)
                      ]),
                      _: 1
                    }, 8, ["on"]),
                    createVNode(_sfc_main$3, {
                      type: "submit",
                      loading: unref(form).processing
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(t)("Save")), 1)
                      ]),
                      _: 1
                    }, 8, ["loading"])
                  ]),
                  _: 1
                })
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Field/Form.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
