import { ref, computed, onMounted, resolveComponent, mergeProps, unref, withCtx, createTextVNode, toDisplayString, createVNode, openBlock, createBlock, createCommentVNode, withModifiers, Fragment, renderList, withDirectives, vModelCheckbox, useSSRContext } from "vue";
import { ssrRenderComponent, ssrInterpolate, ssrRenderAttr, ssrIncludeBooleanAttr, ssrRenderList, ssrRenderClass, ssrLooseContain } from "vue/server-renderer";
import route from "ziggy-js";
import { useI18n } from "vue-i18n";
import { usePage, useForm, router } from "@inertiajs/vue3";
import _sfc_main$c from "./Details-a97b4422.js";
import { _ as _sfc_main$2 } from "./InputError-951c1c36.js";
import { _ as _sfc_main$a } from "./Modal-4ced3d7d.js";
import { C as CheckBox } from "./ActionMessage-cdce5426.js";
import { _ as _sfc_main$4 } from "./TextInput-f18b2e86.js";
import { _ as _sfc_main$1 } from "./AppLayout-9f2f965f.js";
import { _ as _sfc_main$3, a as _sfc_main$9 } from "./SearchFilter-f1d2d6c1.js";
import { _ as _sfc_main$8 } from "./RowActions-ddcfd30f.js";
import _sfc_main$b from "./Form-c82706c9.js";
import { S as SelectInput } from "./SelectInput-0eee531e.js";
import { _ as _sfc_main$5, a as _sfc_main$7 } from "./DangerButton-933af61d.js";
import { _ as _sfc_main$6 } from "./SecondaryButton-910b0895.js";
import "@paypal/paypal-js";
import "@stripe/stripe-js";
import "./Attachments-86c51ade.js";
import "vue-stripe-js";
import "../ssr.js";
import "@vue/server-renderer";
import "@inertiajs/vue3/server";
import "uuid";
import "./Input-fb927b71.js";
import "./CustomFields-6004e621.js";
import "lodash/debounce.js";
import "./AutoComplete-974a17ce.js";
import "axios";
import "lodash/throttle.js";
import "./TextareaInput-651f7dc6.js";
import "./FormSection-d5f140fc.js";
const _sfc_main = {
  __name: "List",
  __ssrInlineRender: true,
  props: ["invoices", "payment_fields"],
  setup(__props) {
    const props = __props;
    const { t } = useI18n({});
    const show = ref(false);
    const invoice = ref(null);
    const bulkDelete = ref(false);
    const paymentModal = ref(false);
    const user = computed(() => usePage().props.auth.user);
    const form = useForm({ selection: [], force: false });
    const impersonate = computed(() => usePage().props.is_impersonating ? usePage().props.user : null);
    const search = useForm({ search: "", recurring: false, start_date: null, end_date: null, trashed: null });
    const indeterminate = computed(() => form.selection.length > 0 && form.selection.length < props.invoices.data.length);
    onMounted(() => {
      const queryString = window.location.search;
      const urlParams = new URLSearchParams(queryString);
      search.search = urlParams.has("search") ? urlParams.get("search") : null;
      search.trashed = urlParams.has("trashed") ? urlParams.get("trashed") : null;
      search.end_date = urlParams.has("end_date") ? urlParams.get("end_date") : null;
      search.start_date = urlParams.has("start_date") ? urlParams.get("start_date") : null;
      search.recurring = urlParams.has("recurring") ? urlParams.get("recurring") : false;
    });
    const print = () => {
      window.print();
    };
    const addPayment = (si) => {
      invoice.value = si;
      paymentModal.value = true;
    };
    const paymentAdded = (e) => {
      show.value = false;
      paymentModal.value = false;
      router.reload({ only: ["invoices"] });
    };
    const emailInvoice = (id) => {
      router.post(route("invoice.notification", id));
    };
    const deleteRow = (id, force = false) => {
      router.delete(route("invoices.destroy" + (force ? ".permanently" : ""), id));
    };
    const restoreRow = (id) => {
      router.put(route("invoices.restore", id));
    };
    const closeModal = () => {
      bulkDelete.value = false;
    };
    const showInvoice = (ch) => {
      show.value = true;
      invoice.value = ch;
    };
    const hideInvoice = (ch) => {
      show.value = false;
      invoice.value = null;
    };
    const confirmDelete = (force) => {
      form.force = force || false;
      bulkDelete.value = true;
    };
    const deleteSelected = (force) => {
      form.delete(route("invoices.destroy.many"), {
        onSuccess: () => {
          form.reset();
        },
        onFinish: () => {
          bulkDelete.value = false;
        }
      });
    };
    const searchNow = () => {
      search.transform((data) => {
        let obj = {
          ...data,
          remember: data.remember ? "on" : ""
        };
        return Object.entries(obj).reduce((a, [k, v]) => v ? (a[k] = v, a) : a, {});
      }).get(route("invoices.index"), { preserveState: true });
    };
    const resetSearch = () => {
      search.search = "";
      search.trashed = null;
      searchNow();
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_icons = resolveComponent("icons");
      const _component_Link = resolveComponent("Link");
      _push(ssrRenderComponent(_sfc_main$1, mergeProps({
        title: unref(t)("List Invoices")
      }, _attrs), {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="contents"${_scopeId}><div class="py-8"${_scopeId}><div class="max-w-7xl mx-auto sm:px-6 lg:px-8"${_scopeId}><div class="bg-white dark:bg-gray-900 shadow sm:rounded-lg"${_scopeId}><div class="sm:rounded-lg"${_scopeId}><div class="p-6 sm:rounded-t-lg border-b border-gray-200 dark:border-gray-700 block md:flex md:items-center md:justify-between"${_scopeId}><div${_scopeId}><div class="text-2xl"${_scopeId}>${ssrInterpolate(unref(t)("Invoices"))} <span class="text-base"${_scopeId}>${ssrInterpolate(unref(search).start_date ? "(from: " + _ctx.$date(unref(search).start_date) + ")" : "")} ${ssrInterpolate(unref(search).end_date ? "(to: " + _ctx.$date(unref(search).end_date) + ")" : "")} ${ssrInterpolate({ with: "(" + unref(t)("With Trashed") + ")", only: "(" + unref(t)("Only Trashed") + ")" }[unref(search).trashed])}</span></div><div class="mt-1 text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Please review the result below"))}</div></div><div class="mt-4 sm:mt-0 block sm:flex sm:items-center sm:gap-4"${_scopeId}>`);
            if (_ctx.$can("create-invoices")) {
              _push2(ssrRenderComponent(_sfc_main$2, {
                href: unref(route)("invoices.create")
              }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`${ssrInterpolate(unref(t)("Add New Invoice"))}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(unref(t)("Add New Invoice")), 1)
                    ];
                  }
                }),
                _: 1
              }, _parent2, _scopeId));
            } else {
              _push2(`<!---->`);
            }
            _push2(`<form${_scopeId}>`);
            _push2(ssrRenderComponent(_sfc_main$3, {
              onReset: ($event) => resetSearch(),
              modelValue: unref(search).search,
              "onUpdate:modelValue": ($event) => unref(search).search = $event
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<label class="block"${_scopeId2}>${ssrInterpolate(unref(t)("Start Date"))}:</label>`);
                  _push3(ssrRenderComponent(_sfc_main$4, {
                    type: "date",
                    modelValue: unref(search).start_date,
                    "onUpdate:modelValue": ($event) => unref(search).start_date = $event,
                    onChange: ($event) => searchNow(),
                    class: "mt-1 w-full mb-4"
                  }, null, _parent3, _scopeId2));
                  _push3(`<label class="block"${_scopeId2}>${ssrInterpolate(unref(t)("End Date"))}:</label>`);
                  _push3(ssrRenderComponent(_sfc_main$4, {
                    type: "date",
                    modelValue: unref(search).end_date,
                    "onUpdate:modelValue": ($event) => unref(search).end_date = $event,
                    onChange: ($event) => searchNow(),
                    class: "mt-1 w-full mb-4"
                  }, null, _parent3, _scopeId2));
                  _push3(`<label class="block"${_scopeId2}>${ssrInterpolate(unref(t)("Trashed"))}:</label>`);
                  _push3(ssrRenderComponent(SelectInput, {
                    modelValue: unref(search).trashed,
                    "onUpdate:modelValue": ($event) => unref(search).trashed = $event,
                    onChange: ($event) => searchNow(),
                    class: "mt-1 w-full"
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`<option${ssrRenderAttr("value", null)}${_scopeId3}>${ssrInterpolate(unref(t)("Not Trashed"))}</option><option value="with"${_scopeId3}>${ssrInterpolate(unref(t)("With Trashed"))}</option><option value="only"${_scopeId3}>${ssrInterpolate(unref(t)("Only Trashed"))}</option>`);
                      } else {
                        return [
                          createVNode("option", { value: null }, toDisplayString(unref(t)("Not Trashed")), 1),
                          createVNode("option", { value: "with" }, toDisplayString(unref(t)("With Trashed")), 1),
                          createVNode("option", { value: "only" }, toDisplayString(unref(t)("Only Trashed")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(`<div class="mt-4"${_scopeId2}>`);
                  _push3(ssrRenderComponent(CheckBox, {
                    id: "recurring",
                    onChange: ($event) => searchNow(),
                    label: unref(t)("Recurring invoices"),
                    checked: unref(search).recurring,
                    "onUpdate:checked": ($event) => unref(search).recurring = $event
                  }, null, _parent3, _scopeId2));
                  _push3(`</div>`);
                } else {
                  return [
                    createVNode("label", { class: "block" }, toDisplayString(unref(t)("Start Date")) + ":", 1),
                    createVNode(_sfc_main$4, {
                      type: "date",
                      modelValue: unref(search).start_date,
                      "onUpdate:modelValue": ($event) => unref(search).start_date = $event,
                      onChange: ($event) => searchNow(),
                      class: "mt-1 w-full mb-4"
                    }, null, 8, ["modelValue", "onUpdate:modelValue", "onChange"]),
                    createVNode("label", { class: "block" }, toDisplayString(unref(t)("End Date")) + ":", 1),
                    createVNode(_sfc_main$4, {
                      type: "date",
                      modelValue: unref(search).end_date,
                      "onUpdate:modelValue": ($event) => unref(search).end_date = $event,
                      onChange: ($event) => searchNow(),
                      class: "mt-1 w-full mb-4"
                    }, null, 8, ["modelValue", "onUpdate:modelValue", "onChange"]),
                    createVNode("label", { class: "block" }, toDisplayString(unref(t)("Trashed")) + ":", 1),
                    createVNode(SelectInput, {
                      modelValue: unref(search).trashed,
                      "onUpdate:modelValue": ($event) => unref(search).trashed = $event,
                      onChange: ($event) => searchNow(),
                      class: "mt-1 w-full"
                    }, {
                      default: withCtx(() => [
                        createVNode("option", { value: null }, toDisplayString(unref(t)("Not Trashed")), 1),
                        createVNode("option", { value: "with" }, toDisplayString(unref(t)("With Trashed")), 1),
                        createVNode("option", { value: "only" }, toDisplayString(unref(t)("Only Trashed")), 1)
                      ]),
                      _: 1
                    }, 8, ["modelValue", "onUpdate:modelValue", "onChange"]),
                    createVNode("div", { class: "mt-4" }, [
                      createVNode(CheckBox, {
                        id: "recurring",
                        onChange: ($event) => searchNow(),
                        label: unref(t)("Recurring invoices"),
                        checked: unref(search).recurring,
                        "onUpdate:checked": ($event) => unref(search).recurring = $event
                      }, null, 8, ["onChange", "label", "checked", "onUpdate:checked"])
                    ])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</form></div></div><div class="bg-gray-50 dark:bg-black/50 border-b dark:border-gray-700 sm:rounded-b-lg"${_scopeId}>`);
            if (props.invoices && props.invoices.data && props.invoices.data.length) {
              _push2(`<div${_scopeId}><div class="flex flex-col overflow-hidden"${_scopeId}><div class="-my-2 overflow-x-auto sm:-mx-6 lg:-mx-8"${_scopeId}><div class="inline-block min-w-full py-2 align-middle sm:px-6 lg:px-8"${_scopeId}><div class="relative overflow-hidden ring-1 ring-black ring-opacity-5"${_scopeId}>`);
              if (unref(form).selection && unref(form).selection.length) {
                _push2(`<div class="absolute top-0 left-12 flex h-12 items-center space-x-3 sm:left-16"${_scopeId}><button type="button" class="inline-flex items-center rounded border text-white border-red-500 bg-red-500 px-2.5 py-1.5 text-xs font-medium shadow-sm hover:bg-red-600 focus:outline-none focus:ring-2 focus:ring-blue-500 focus:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-30"${_scopeId}>${ssrInterpolate(unref(t)("Move to Trash"))}</button><button type="button" class="inline-flex items-center rounded border text-white border-red-500 bg-red-500 px-2.5 py-1.5 text-xs font-medium shadow-sm hover:bg-red-600 focus:outline-none focus:ring-2 focus:ring-blue-500 focus:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-30"${_scopeId}>${ssrInterpolate(unref(t)("Delete Permanently"))}</button>`);
                _push2(ssrRenderComponent(_sfc_main$5, {
                  show: bulkDelete.value,
                  onClose: closeModal,
                  maxWidth: "sm"
                }, {
                  title: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(`${ssrInterpolate(unref(t)("Delete bulk records"))}`);
                    } else {
                      return [
                        createTextVNode(toDisplayString(unref(t)("Delete bulk records")), 1)
                      ];
                    }
                  }),
                  content: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(`<p${_scopeId2}>${ssrInterpolate(unref(t)("Please confirm that you would like to delete the records?"))}</p>`);
                      if (unref(form).force) {
                        _push3(`<p class="mt-2 text-red-500"${_scopeId2}>${ssrInterpolate(unref(t)("This action will delete the data permanently."))}</p>`);
                      } else {
                        _push3(`<!---->`);
                      }
                    } else {
                      return [
                        createVNode("p", null, toDisplayString(unref(t)("Please confirm that you would like to delete the records?")), 1),
                        unref(form).force ? (openBlock(), createBlock("p", {
                          key: 0,
                          class: "mt-2 text-red-500"
                        }, toDisplayString(unref(t)("This action will delete the data permanently.")), 1)) : createCommentVNode("", true)
                      ];
                    }
                  }),
                  footer: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(ssrRenderComponent(_sfc_main$6, { onClick: closeModal }, {
                        default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                          if (_push4) {
                            _push4(`${ssrInterpolate(unref(t)("Cancel"))}`);
                          } else {
                            return [
                              createTextVNode(toDisplayString(unref(t)("Cancel")), 1)
                            ];
                          }
                        }),
                        _: 1
                      }, _parent3, _scopeId2));
                      _push3(ssrRenderComponent(_sfc_main$7, {
                        onClick: ($event) => deleteSelected()
                      }, {
                        default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                          if (_push4) {
                            _push4(`${ssrInterpolate(unref(t)("Yes, delete"))}`);
                          } else {
                            return [
                              createTextVNode(toDisplayString(unref(t)("Yes, delete")), 1)
                            ];
                          }
                        }),
                        _: 1
                      }, _parent3, _scopeId2));
                    } else {
                      return [
                        createVNode(_sfc_main$6, { onClick: closeModal }, {
                          default: withCtx(() => [
                            createTextVNode(toDisplayString(unref(t)("Cancel")), 1)
                          ]),
                          _: 1
                        }),
                        createVNode(_sfc_main$7, {
                          onClick: ($event) => deleteSelected()
                        }, {
                          default: withCtx(() => [
                            createTextVNode(toDisplayString(unref(t)("Yes, delete")), 1)
                          ]),
                          _: 1
                        }, 8, ["onClick"])
                      ];
                    }
                  }),
                  _: 1
                }, _parent2, _scopeId));
                _push2(`</div>`);
              } else {
                _push2(`<!---->`);
              }
              _push2(`<table class="min-w-full table-fixed divide-y divide-gray-300 dark:divide-gray-700"${_scopeId}><thead class="bg-gray-50 dark:bg-black/50"${_scopeId}><tr${_scopeId}><th scope="col" class="relative w-12 px-6 sm:w-16 sm:px-8"${_scopeId}><input type="checkbox"${ssrRenderAttr("indeterminate", indeterminate.value)}${ssrIncludeBooleanAttr(indeterminate.value || unref(form).selection.length === props.invoices.data.length) ? " checked" : ""} class="absolute left-4 top-1/2 -mt-2 h-4 w-4 rounded border-gray-300 text-blue-600 focus:ring-blue-500 sm:left-6 dark:bg-gray-700 dark:border-gray-700"${_scopeId}></th><th scope="col" class="px-3 py-3.5 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"${_scopeId}>${ssrInterpolate(unref(t)("Invoice"))}</th><th scope="col" class="py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"${_scopeId}>${ssrInterpolate(unref(t)("Relations"))}</th><th scope="col" class="py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"${_scopeId}>${ssrInterpolate(unref(t)("Data"))}</th><th scope="col" class="py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"${_scopeId}>${ssrInterpolate(unref(t)("Total"))}</th><th scope="col" class="relative py-3.5 pl-3 pr-4 sm:pr-6"${_scopeId}><span class="sr-only"${_scopeId}>${ssrInterpolate(unref(t)("Actions"))}</span></th></tr></thead><tbody class="divide-y divide-gray-200 dark:divide-gray-700 bg-white dark:bg-gray-900"${_scopeId}><!--[-->`);
              ssrRenderList(props.invoices.data, (invoice2, ii) => {
                var _a, _b, _c;
                _push2(`<tr class="${ssrRenderClass([
                  unref(form).selection.includes(invoice2.id) && "bg-gray-50 dark:bg-gray-800/50",
                  invoice2.deleted_at && "bg-red-100 dark:bg-red-900"
                ])}"${_scopeId}><td class="relative w-12 px-6 sm:w-16 sm:px-8"${_scopeId}>`);
                if (unref(form).selection.includes(invoice2.id)) {
                  _push2(`<div class="absolute inset-y-0 left-0 w-0.5 bg-blue-600"${_scopeId}></div>`);
                } else {
                  _push2(`<!---->`);
                }
                _push2(`<input type="checkbox"${ssrRenderAttr("value", invoice2.id)}${ssrIncludeBooleanAttr(Array.isArray(unref(form).selection) ? ssrLooseContain(unref(form).selection, invoice2.id) : unref(form).selection) ? " checked" : ""} class="absolute left-4 top-1/2 -mt-2 h-4 w-4 rounded border-gray-300 text-blue-600 focus:ring-blue-500 sm:left-6 dark:bg-gray-700 dark:border-gray-700"${_scopeId}></td><td class="${ssrRenderClass(["row-" + ii, "whitespace-nowrap px-3 py-4 cursor-default text-sm font-medium"])}"${_scopeId}><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Number"))}: </span> ${ssrInterpolate(invoice2.id)}</div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Date"))}: </span> ${ssrInterpolate(_ctx.$date(invoice2.date))}</div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Created at"))}: </span> ${ssrInterpolate(_ctx.$datetime(invoice2.created_at))}</div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Ref"))}: </span> ${ssrInterpolate(invoice2.reference)}</div></td><td class="whitespace-nowrap px-3 py-4 cursor-default text-sm"${_scopeId}><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Company"))}: </span> ${ssrInterpolate((_a = invoice2.company) == null ? void 0 : _a.name)}</div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Customer"))}: </span> ${ssrInterpolate((_b = invoice2.customer) == null ? void 0 : _b.name)}</div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("By user"))}: </span> ${ssrInterpolate((_c = invoice2.user) == null ? void 0 : _c.name)}</div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Products"))}: </span> ${ssrInterpolate(invoice2.items.length)}</div></td><td class="whitespace-nowrap px-3 py-4 cursor-default text-sm font-medium"${_scopeId}><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Status"))}: </span><span class="${ssrRenderClass("status-" + ii)}"${_scopeId}>${ssrInterpolate(unref(t)(_ctx.$capitalize(invoice2.status)))}</span></div>`);
                if (invoice2.due_date) {
                  _push2(`<div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Due Date"))}: </span> ${ssrInterpolate(_ctx.$date(invoice2.due_date))}</div>`);
                } else {
                  _push2(`<!---->`);
                }
                _push2(`<div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Shipping"))}: </span> ${ssrInterpolate(_ctx.$number(invoice2.shipping))}</div>`);
                if (invoice2.recurring) {
                  _push2(`<div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Repeat"))}: </span> ${ssrInterpolate(unref(t)(invoice2.repeat))}</div>`);
                } else {
                  _push2(`<!---->`);
                }
                _push2(`</td><td class="whitespace-nowrap px-3 py-4 cursor-default text-sm"${_scopeId}><div class="flex items-center justify-end gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Discount"))}: </span> ${ssrInterpolate(_ctx.$currency(invoice2.total_discount_amount))}</div><div class="flex items-center justify-end gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Tax"))}: </span> ${ssrInterpolate(_ctx.$currency(invoice2.total_tax_amount))}</div><div class="flex items-center justify-end gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Grand Total"))}: </span><span class="${ssrRenderClass("grand-total-" + ii)}"${_scopeId}>${ssrInterpolate(_ctx.$currency(invoice2.grand_total))}</span></div><div class="flex items-center justify-end gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Paid"))}: </span><span class="${ssrRenderClass("payment-" + ii)}"${_scopeId}>${ssrInterpolate(_ctx.$currency(invoice2.paid))}</span></div></td><td class="whitespace-nowrap py-4 pl-3 pr-4 text-right text-sm font-medium sm:pr-6 w-20"${_scopeId}><div class="flex flex-col items-center justify-end gap-3"${_scopeId}><div class="flex items-center justify-end gap-3"${_scopeId}>`);
                if (invoice2.attachment) {
                  _push2(`<a${ssrRenderAttr("href", invoice2.attachment)} target="_blank" class="text-gray-500 hover:text-gray-800 dark:text-gray-400 dark:hover:text-gray-200"${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5"${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="M13.19 8.688a4.5 4.5 0 011.242 7.244l-4.5 4.5a4.5 4.5 0 01-6.364-6.364l1.757-1.757m13.35-.622l1.757-1.757a4.5 4.5 0 00-6.364-6.364l-4.5 4.5a4.5 4.5 0 001.242 7.244"${_scopeId}></path></svg></a>`);
                } else {
                  _push2(`<!---->`);
                }
                if (!impersonate.value && !user.value.roles.find((r) => r.name == "customer")) {
                  _push2(`<button type="button"${ssrIncludeBooleanAttr(Number(invoice2.paid) >= Number(invoice2.grand_total) || invoice2.status == "canceled") ? " disabled" : ""} class="${ssrRenderClass([
                    Number(invoice2.paid) >= Number(invoice2.grand_total) || invoice2.status == "canceled" ? "add-payment-" + ii : "add-payment-" + ii + " hover:text-gray-800 dark:hover:text-gray-200",
                    "text-gray-500 dark:text-gray-400 disabled:opacity-50"
                  ])}"${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6"${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="M2.25 18.75a60.07 60.07 0 0115.797 2.101c.727.198 1.453-.342 1.453-1.096V18.75M3.75 4.5v.75A.75.75 0 013 6h-.75m0 0v-.375c0-.621.504-1.125 1.125-1.125H20.25M2.25 6v9m18-10.5v.75c0 .414.336.75.75.75h.75m-1.5-1.5h.375c.621 0 1.125.504 1.125 1.125v9.75c0 .621-.504 1.125-1.125 1.125h-.375m1.5-1.5H21a.75.75 0 00-.75.75v.75m0 0H3.75m0 0h-.375a1.125 1.125 0 01-1.125-1.125V15m1.5 1.5v-.75A.75.75 0 003 15h-.75M15 10.5a3 3 0 11-6 0 3 3 0 016 0zm3 0h.008v.008H18V10.5zm-12 0h.008v.008H6V10.5z"${_scopeId}></path></svg></button>`);
                } else {
                  _push2(`<!---->`);
                }
                _push2(`<button type="button" class="text-gray-500 hover:text-gray-800 dark:text-gray-400 dark:hover:text-gray-200"${_scopeId}><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6"${_scopeId}><path stroke-linecap="round" stroke-linejoin="round" d="M2.036 12.322a1.012 1.012 0 010-.639C3.423 7.51 7.36 4.5 12 4.5c4.638 0 8.573 3.007 9.963 7.178.07.207.07.431 0 .639C20.577 16.49 16.64 19.5 12 19.5c-4.638 0-8.573-3.007-9.963-7.178z"${_scopeId}></path><path stroke-linecap="round" stroke-linejoin="round" d="M15 12a3 3 0 11-6 0 3 3 0 016 0z"${_scopeId}></path></svg></button></div><div class="flex-1 w-full flex items-center justify-end justify-self-end gap-3"${_scopeId}>`);
                _push2(ssrRenderComponent(_sfc_main$8, {
                  pm: "invoices",
                  row: invoice2,
                  property: "reference",
                  deleteFn: deleteRow,
                  restoreFn: restoreRow,
                  editStr: unref(route)("invoices.edit", invoice2.id)
                }, null, _parent2, _scopeId));
                _push2(`</div></div></td></tr>`);
              });
              _push2(`<!--]--></tbody></table></div></div></div>`);
              _push2(ssrRenderComponent(_sfc_main$9, {
                class: "m-4",
                meta: props.invoices.meta,
                links: props.invoices.links
              }, null, _parent2, _scopeId));
              _push2(`</div></div>`);
            } else {
              _push2(`<div class="py-4 px-6"${_scopeId}>${ssrInterpolate(unref(t)("There is no data to display."))}</div>`);
            }
            _push2(`</div></div></div></div></div></div>`);
            _push2(ssrRenderComponent(_sfc_main$a, {
              show: paymentModal.value,
              "max-width": "2xl",
              closeable: false,
              onClose: () => paymentModal.value = false
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_sfc_main$b, {
                    invoice: invoice.value,
                    fields: __props.payment_fields,
                    onDone: paymentAdded,
                    onClose: () => paymentModal.value = false
                  }, null, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_sfc_main$b, {
                      invoice: invoice.value,
                      fields: __props.payment_fields,
                      onDone: paymentAdded,
                      onClose: () => paymentModal.value = false
                    }, null, 8, ["invoice", "fields", "onClose"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_sfc_main$a, {
              show: show.value,
              "max-width": "4xl",
              closeable: true,
              onClose: hideInvoice
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div class="px-6 pt-3 pb-6 print:px-0 bg-gray-100 dark:bg-gray-800"${_scopeId2}>`);
                  if (show.value && invoice.value) {
                    _push3(`<div class="flex items-center justify-between print:hidden"${_scopeId2}><div class="text-lg"${_scopeId2}>${ssrInterpolate(unref(t)("Invoice No."))} ${ssrInterpolate(invoice.value.id)} </div><div class="-mr-2 flex items- gap-2"${_scopeId2}><button class="flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_component_icons, {
                      name: "printer",
                      class: "h-5 w-5"
                    }, null, _parent3, _scopeId2));
                    _push3(`</button><button class="flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"${_scopeId2}><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor" class="w-4 h-4"${_scopeId2}><path d="M1.5 8.67v8.58a3 3 0 003 3h15a3 3 0 003-3V8.67l-8.928 5.493a3 3 0 01-3.144 0L1.5 8.67z"${_scopeId2}></path><path d="M22.5 6.908V6.75a3 3 0 00-3-3h-15a3 3 0 00-3 3v.158l9.714 5.978a1.5 1.5 0 001.572 0L22.5 6.908z"${_scopeId2}></path></svg></button>`);
                    if (_ctx.$can("update-invoices")) {
                      _push3(ssrRenderComponent(_component_Link, {
                        id: "edit-invoice",
                        href: unref(route)("invoices.edit", invoice.value.id),
                        class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                      }, {
                        default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                          if (_push4) {
                            _push4(ssrRenderComponent(_component_icons, {
                              name: "edit",
                              class: "h-5 w-5"
                            }, null, _parent4, _scopeId3));
                          } else {
                            return [
                              createVNode(_component_icons, {
                                name: "edit",
                                class: "h-5 w-5"
                              })
                            ];
                          }
                        }),
                        _: 1
                      }, _parent3, _scopeId2));
                    } else {
                      _push3(`<!---->`);
                    }
                    _push3(`<button class="flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_component_icons, {
                      name: "cross",
                      class: "h-5 w-5"
                    }, null, _parent3, _scopeId2));
                    _push3(`</button></div></div>`);
                  } else {
                    _push3(`<!---->`);
                  }
                  _push3(`<div class=""${_scopeId2}>`);
                  if (invoice.value) {
                    _push3(ssrRenderComponent(_sfc_main$c, {
                      invoice: invoice.value,
                      settings: _ctx.$page.props.settings,
                      onDone: paymentAdded
                    }, null, _parent3, _scopeId2));
                  } else {
                    _push3(`<!---->`);
                  }
                  _push3(`</div></div>`);
                } else {
                  return [
                    createVNode("div", { class: "px-6 pt-3 pb-6 print:px-0 bg-gray-100 dark:bg-gray-800" }, [
                      show.value && invoice.value ? (openBlock(), createBlock("div", {
                        key: 0,
                        class: "flex items-center justify-between print:hidden"
                      }, [
                        createVNode("div", { class: "text-lg" }, toDisplayString(unref(t)("Invoice No.")) + " " + toDisplayString(invoice.value.id) + " ", 1),
                        createVNode("div", { class: "-mr-2 flex items- gap-2" }, [
                          createVNode("button", {
                            onClick: ($event) => print(),
                            class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                          }, [
                            createVNode(_component_icons, {
                              name: "printer",
                              class: "h-5 w-5"
                            })
                          ], 8, ["onClick"]),
                          createVNode("button", {
                            onClick: ($event) => emailInvoice(invoice.value.id),
                            class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                          }, [
                            (openBlock(), createBlock("svg", {
                              xmlns: "http://www.w3.org/2000/svg",
                              viewBox: "0 0 24 24",
                              fill: "currentColor",
                              class: "w-4 h-4"
                            }, [
                              createVNode("path", { d: "M1.5 8.67v8.58a3 3 0 003 3h15a3 3 0 003-3V8.67l-8.928 5.493a3 3 0 01-3.144 0L1.5 8.67z" }),
                              createVNode("path", { d: "M22.5 6.908V6.75a3 3 0 00-3-3h-15a3 3 0 00-3 3v.158l9.714 5.978a1.5 1.5 0 001.572 0L22.5 6.908z" })
                            ]))
                          ], 8, ["onClick"]),
                          _ctx.$can("update-invoices") ? (openBlock(), createBlock(_component_Link, {
                            key: 0,
                            id: "edit-invoice",
                            href: unref(route)("invoices.edit", invoice.value.id),
                            class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                          }, {
                            default: withCtx(() => [
                              createVNode(_component_icons, {
                                name: "edit",
                                class: "h-5 w-5"
                              })
                            ]),
                            _: 1
                          }, 8, ["href"])) : createCommentVNode("", true),
                          createVNode("button", {
                            onClick: ($event) => hideInvoice(),
                            class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                          }, [
                            createVNode(_component_icons, {
                              name: "cross",
                              class: "h-5 w-5"
                            })
                          ], 8, ["onClick"])
                        ])
                      ])) : createCommentVNode("", true),
                      createVNode("div", { class: "" }, [
                        invoice.value ? (openBlock(), createBlock(_sfc_main$c, {
                          key: 0,
                          invoice: invoice.value,
                          settings: _ctx.$page.props.settings,
                          onDone: paymentAdded
                        }, null, 8, ["invoice", "settings"])) : createCommentVNode("", true)
                      ])
                    ])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode("div", { class: "contents" }, [
                createVNode("div", { class: "py-8" }, [
                  createVNode("div", { class: "max-w-7xl mx-auto sm:px-6 lg:px-8" }, [
                    createVNode("div", { class: "bg-white dark:bg-gray-900 shadow sm:rounded-lg" }, [
                      createVNode("div", { class: "sm:rounded-lg" }, [
                        createVNode("div", { class: "p-6 sm:rounded-t-lg border-b border-gray-200 dark:border-gray-700 block md:flex md:items-center md:justify-between" }, [
                          createVNode("div", null, [
                            createVNode("div", { class: "text-2xl" }, [
                              createTextVNode(toDisplayString(unref(t)("Invoices")) + " ", 1),
                              createVNode("span", { class: "text-base" }, toDisplayString(unref(search).start_date ? "(from: " + _ctx.$date(unref(search).start_date) + ")" : "") + " " + toDisplayString(unref(search).end_date ? "(to: " + _ctx.$date(unref(search).end_date) + ")" : "") + " " + toDisplayString({ with: "(" + unref(t)("With Trashed") + ")", only: "(" + unref(t)("Only Trashed") + ")" }[unref(search).trashed]), 1)
                            ]),
                            createVNode("div", { class: "mt-1 text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Please review the result below")), 1)
                          ]),
                          createVNode("div", { class: "mt-4 sm:mt-0 block sm:flex sm:items-center sm:gap-4" }, [
                            _ctx.$can("create-invoices") ? (openBlock(), createBlock(_sfc_main$2, {
                              key: 0,
                              href: unref(route)("invoices.create")
                            }, {
                              default: withCtx(() => [
                                createTextVNode(toDisplayString(unref(t)("Add New Invoice")), 1)
                              ]),
                              _: 1
                            }, 8, ["href"])) : createCommentVNode("", true),
                            createVNode("form", {
                              onSubmit: withModifiers(searchNow, ["prevent"])
                            }, [
                              createVNode(_sfc_main$3, {
                                onReset: ($event) => resetSearch(),
                                modelValue: unref(search).search,
                                "onUpdate:modelValue": ($event) => unref(search).search = $event
                              }, {
                                default: withCtx(() => [
                                  createVNode("label", { class: "block" }, toDisplayString(unref(t)("Start Date")) + ":", 1),
                                  createVNode(_sfc_main$4, {
                                    type: "date",
                                    modelValue: unref(search).start_date,
                                    "onUpdate:modelValue": ($event) => unref(search).start_date = $event,
                                    onChange: ($event) => searchNow(),
                                    class: "mt-1 w-full mb-4"
                                  }, null, 8, ["modelValue", "onUpdate:modelValue", "onChange"]),
                                  createVNode("label", { class: "block" }, toDisplayString(unref(t)("End Date")) + ":", 1),
                                  createVNode(_sfc_main$4, {
                                    type: "date",
                                    modelValue: unref(search).end_date,
                                    "onUpdate:modelValue": ($event) => unref(search).end_date = $event,
                                    onChange: ($event) => searchNow(),
                                    class: "mt-1 w-full mb-4"
                                  }, null, 8, ["modelValue", "onUpdate:modelValue", "onChange"]),
                                  createVNode("label", { class: "block" }, toDisplayString(unref(t)("Trashed")) + ":", 1),
                                  createVNode(SelectInput, {
                                    modelValue: unref(search).trashed,
                                    "onUpdate:modelValue": ($event) => unref(search).trashed = $event,
                                    onChange: ($event) => searchNow(),
                                    class: "mt-1 w-full"
                                  }, {
                                    default: withCtx(() => [
                                      createVNode("option", { value: null }, toDisplayString(unref(t)("Not Trashed")), 1),
                                      createVNode("option", { value: "with" }, toDisplayString(unref(t)("With Trashed")), 1),
                                      createVNode("option", { value: "only" }, toDisplayString(unref(t)("Only Trashed")), 1)
                                    ]),
                                    _: 1
                                  }, 8, ["modelValue", "onUpdate:modelValue", "onChange"]),
                                  createVNode("div", { class: "mt-4" }, [
                                    createVNode(CheckBox, {
                                      id: "recurring",
                                      onChange: ($event) => searchNow(),
                                      label: unref(t)("Recurring invoices"),
                                      checked: unref(search).recurring,
                                      "onUpdate:checked": ($event) => unref(search).recurring = $event
                                    }, null, 8, ["onChange", "label", "checked", "onUpdate:checked"])
                                  ])
                                ]),
                                _: 1
                              }, 8, ["onReset", "modelValue", "onUpdate:modelValue"])
                            ], 40, ["onSubmit"])
                          ])
                        ]),
                        createVNode("div", { class: "bg-gray-50 dark:bg-black/50 border-b dark:border-gray-700 sm:rounded-b-lg" }, [
                          props.invoices && props.invoices.data && props.invoices.data.length ? (openBlock(), createBlock("div", { key: 0 }, [
                            createVNode("div", { class: "flex flex-col overflow-hidden" }, [
                              createVNode("div", { class: "-my-2 overflow-x-auto sm:-mx-6 lg:-mx-8" }, [
                                createVNode("div", { class: "inline-block min-w-full py-2 align-middle sm:px-6 lg:px-8" }, [
                                  createVNode("div", { class: "relative overflow-hidden ring-1 ring-black ring-opacity-5" }, [
                                    unref(form).selection && unref(form).selection.length ? (openBlock(), createBlock("div", {
                                      key: 0,
                                      class: "absolute top-0 left-12 flex h-12 items-center space-x-3 sm:left-16"
                                    }, [
                                      createVNode("button", {
                                        type: "button",
                                        onClick: ($event) => confirmDelete(),
                                        class: "inline-flex items-center rounded border text-white border-red-500 bg-red-500 px-2.5 py-1.5 text-xs font-medium shadow-sm hover:bg-red-600 focus:outline-none focus:ring-2 focus:ring-blue-500 focus:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-30"
                                      }, toDisplayString(unref(t)("Move to Trash")), 9, ["onClick"]),
                                      createVNode("button", {
                                        type: "button",
                                        onClick: ($event) => confirmDelete(true),
                                        class: "inline-flex items-center rounded border text-white border-red-500 bg-red-500 px-2.5 py-1.5 text-xs font-medium shadow-sm hover:bg-red-600 focus:outline-none focus:ring-2 focus:ring-blue-500 focus:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-30"
                                      }, toDisplayString(unref(t)("Delete Permanently")), 9, ["onClick"]),
                                      createVNode(_sfc_main$5, {
                                        show: bulkDelete.value,
                                        onClose: closeModal,
                                        maxWidth: "sm"
                                      }, {
                                        title: withCtx(() => [
                                          createTextVNode(toDisplayString(unref(t)("Delete bulk records")), 1)
                                        ]),
                                        content: withCtx(() => [
                                          createVNode("p", null, toDisplayString(unref(t)("Please confirm that you would like to delete the records?")), 1),
                                          unref(form).force ? (openBlock(), createBlock("p", {
                                            key: 0,
                                            class: "mt-2 text-red-500"
                                          }, toDisplayString(unref(t)("This action will delete the data permanently.")), 1)) : createCommentVNode("", true)
                                        ]),
                                        footer: withCtx(() => [
                                          createVNode(_sfc_main$6, { onClick: closeModal }, {
                                            default: withCtx(() => [
                                              createTextVNode(toDisplayString(unref(t)("Cancel")), 1)
                                            ]),
                                            _: 1
                                          }),
                                          createVNode(_sfc_main$7, {
                                            onClick: ($event) => deleteSelected()
                                          }, {
                                            default: withCtx(() => [
                                              createTextVNode(toDisplayString(unref(t)("Yes, delete")), 1)
                                            ]),
                                            _: 1
                                          }, 8, ["onClick"])
                                        ]),
                                        _: 1
                                      }, 8, ["show"])
                                    ])) : createCommentVNode("", true),
                                    createVNode("table", { class: "min-w-full table-fixed divide-y divide-gray-300 dark:divide-gray-700" }, [
                                      createVNode("thead", { class: "bg-gray-50 dark:bg-black/50" }, [
                                        createVNode("tr", null, [
                                          createVNode("th", {
                                            scope: "col",
                                            class: "relative w-12 px-6 sm:w-16 sm:px-8"
                                          }, [
                                            createVNode("input", {
                                              type: "checkbox",
                                              indeterminate: indeterminate.value,
                                              checked: indeterminate.value || unref(form).selection.length === props.invoices.data.length,
                                              onChange: ($event) => unref(form).selection = $event.target.checked ? props.invoices.data.map((p) => p.id) : [],
                                              class: "absolute left-4 top-1/2 -mt-2 h-4 w-4 rounded border-gray-300 text-blue-600 focus:ring-blue-500 sm:left-6 dark:bg-gray-700 dark:border-gray-700"
                                            }, null, 40, ["indeterminate", "checked", "onChange"])
                                          ]),
                                          createVNode("th", {
                                            scope: "col",
                                            class: "px-3 py-3.5 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"
                                          }, toDisplayString(unref(t)("Invoice")), 1),
                                          createVNode("th", {
                                            scope: "col",
                                            class: "py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"
                                          }, toDisplayString(unref(t)("Relations")), 1),
                                          createVNode("th", {
                                            scope: "col",
                                            class: "py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"
                                          }, toDisplayString(unref(t)("Data")), 1),
                                          createVNode("th", {
                                            scope: "col",
                                            class: "py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"
                                          }, toDisplayString(unref(t)("Total")), 1),
                                          createVNode("th", {
                                            scope: "col",
                                            class: "relative py-3.5 pl-3 pr-4 sm:pr-6"
                                          }, [
                                            createVNode("span", { class: "sr-only" }, toDisplayString(unref(t)("Actions")), 1)
                                          ])
                                        ])
                                      ]),
                                      createVNode("tbody", { class: "divide-y divide-gray-200 dark:divide-gray-700 bg-white dark:bg-gray-900" }, [
                                        (openBlock(true), createBlock(Fragment, null, renderList(props.invoices.data, (invoice2, ii) => {
                                          var _a, _b, _c;
                                          return openBlock(), createBlock("tr", {
                                            key: invoice2.id,
                                            class: [
                                              unref(form).selection.includes(invoice2.id) && "bg-gray-50 dark:bg-gray-800/50",
                                              invoice2.deleted_at && "bg-red-100 dark:bg-red-900"
                                            ]
                                          }, [
                                            createVNode("td", { class: "relative w-12 px-6 sm:w-16 sm:px-8" }, [
                                              unref(form).selection.includes(invoice2.id) ? (openBlock(), createBlock("div", {
                                                key: 0,
                                                class: "absolute inset-y-0 left-0 w-0.5 bg-blue-600"
                                              })) : createCommentVNode("", true),
                                              withDirectives(createVNode("input", {
                                                type: "checkbox",
                                                value: invoice2.id,
                                                "onUpdate:modelValue": ($event) => unref(form).selection = $event,
                                                class: "absolute left-4 top-1/2 -mt-2 h-4 w-4 rounded border-gray-300 text-blue-600 focus:ring-blue-500 sm:left-6 dark:bg-gray-700 dark:border-gray-700"
                                              }, null, 8, ["value", "onUpdate:modelValue"]), [
                                                [vModelCheckbox, unref(form).selection]
                                              ])
                                            ]),
                                            createVNode("td", {
                                              class: ["row-" + ii, "whitespace-nowrap px-3 py-4 cursor-default text-sm font-medium"],
                                              onClick: ($event) => showInvoice(invoice2)
                                            }, [
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Number")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString(invoice2.id), 1)
                                              ]),
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Date")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString(_ctx.$date(invoice2.date)), 1)
                                              ]),
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Created at")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString(_ctx.$datetime(invoice2.created_at)), 1)
                                              ]),
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Ref")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString(invoice2.reference), 1)
                                              ])
                                            ], 10, ["onClick"]),
                                            createVNode("td", {
                                              class: "whitespace-nowrap px-3 py-4 cursor-default text-sm",
                                              onClick: ($event) => showInvoice(invoice2)
                                            }, [
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Company")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString((_a = invoice2.company) == null ? void 0 : _a.name), 1)
                                              ]),
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Customer")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString((_b = invoice2.customer) == null ? void 0 : _b.name), 1)
                                              ]),
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("By user")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString((_c = invoice2.user) == null ? void 0 : _c.name), 1)
                                              ]),
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Products")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString(invoice2.items.length), 1)
                                              ])
                                            ], 8, ["onClick"]),
                                            createVNode("td", {
                                              class: "whitespace-nowrap px-3 py-4 cursor-default text-sm font-medium",
                                              onClick: ($event) => showInvoice(invoice2)
                                            }, [
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Status")) + ": ", 1),
                                                createVNode("span", {
                                                  class: "status-" + ii
                                                }, toDisplayString(unref(t)(_ctx.$capitalize(invoice2.status))), 3)
                                              ]),
                                              invoice2.due_date ? (openBlock(), createBlock("div", {
                                                key: 0,
                                                class: "flex items-center gap-1"
                                              }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Due Date")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString(_ctx.$date(invoice2.due_date)), 1)
                                              ])) : createCommentVNode("", true),
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Shipping")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString(_ctx.$number(invoice2.shipping)), 1)
                                              ]),
                                              invoice2.recurring ? (openBlock(), createBlock("div", {
                                                key: 1,
                                                class: "flex items-center gap-1"
                                              }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Repeat")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString(unref(t)(invoice2.repeat)), 1)
                                              ])) : createCommentVNode("", true)
                                            ], 8, ["onClick"]),
                                            createVNode("td", {
                                              class: "whitespace-nowrap px-3 py-4 cursor-default text-sm",
                                              onClick: ($event) => showInvoice(invoice2)
                                            }, [
                                              createVNode("div", { class: "flex items-center justify-end gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Discount")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString(_ctx.$currency(invoice2.total_discount_amount)), 1)
                                              ]),
                                              createVNode("div", { class: "flex items-center justify-end gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Tax")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString(_ctx.$currency(invoice2.total_tax_amount)), 1)
                                              ]),
                                              createVNode("div", { class: "flex items-center justify-end gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Grand Total")) + ": ", 1),
                                                createVNode("span", {
                                                  class: "grand-total-" + ii
                                                }, toDisplayString(_ctx.$currency(invoice2.grand_total)), 3)
                                              ]),
                                              createVNode("div", { class: "flex items-center justify-end gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Paid")) + ": ", 1),
                                                createVNode("span", {
                                                  class: "payment-" + ii
                                                }, toDisplayString(_ctx.$currency(invoice2.paid)), 3)
                                              ])
                                            ], 8, ["onClick"]),
                                            createVNode("td", { class: "whitespace-nowrap py-4 pl-3 pr-4 text-right text-sm font-medium sm:pr-6 w-20" }, [
                                              createVNode("div", { class: "flex flex-col items-center justify-end gap-3" }, [
                                                createVNode("div", { class: "flex items-center justify-end gap-3" }, [
                                                  invoice2.attachment ? (openBlock(), createBlock("a", {
                                                    key: 0,
                                                    href: invoice2.attachment,
                                                    target: "_blank",
                                                    class: "text-gray-500 hover:text-gray-800 dark:text-gray-400 dark:hover:text-gray-200"
                                                  }, [
                                                    (openBlock(), createBlock("svg", {
                                                      xmlns: "http://www.w3.org/2000/svg",
                                                      fill: "none",
                                                      viewBox: "0 0 24 24",
                                                      "stroke-width": "1.5",
                                                      stroke: "currentColor",
                                                      class: "w-5 h-5"
                                                    }, [
                                                      createVNode("path", {
                                                        "stroke-linecap": "round",
                                                        "stroke-linejoin": "round",
                                                        d: "M13.19 8.688a4.5 4.5 0 011.242 7.244l-4.5 4.5a4.5 4.5 0 01-6.364-6.364l1.757-1.757m13.35-.622l1.757-1.757a4.5 4.5 0 00-6.364-6.364l-4.5 4.5a4.5 4.5 0 001.242 7.244"
                                                      })
                                                    ]))
                                                  ], 8, ["href"])) : createCommentVNode("", true),
                                                  !impersonate.value && !user.value.roles.find((r) => r.name == "customer") ? (openBlock(), createBlock("button", {
                                                    key: 1,
                                                    type: "button",
                                                    onClick: ($event) => addPayment(invoice2),
                                                    disabled: Number(invoice2.paid) >= Number(invoice2.grand_total) || invoice2.status == "canceled",
                                                    class: [
                                                      Number(invoice2.paid) >= Number(invoice2.grand_total) || invoice2.status == "canceled" ? "add-payment-" + ii : "add-payment-" + ii + " hover:text-gray-800 dark:hover:text-gray-200",
                                                      "text-gray-500 dark:text-gray-400 disabled:opacity-50"
                                                    ]
                                                  }, [
                                                    (openBlock(), createBlock("svg", {
                                                      xmlns: "http://www.w3.org/2000/svg",
                                                      fill: "none",
                                                      viewBox: "0 0 24 24",
                                                      "stroke-width": "1.5",
                                                      stroke: "currentColor",
                                                      class: "w-6 h-6"
                                                    }, [
                                                      createVNode("path", {
                                                        "stroke-linecap": "round",
                                                        "stroke-linejoin": "round",
                                                        d: "M2.25 18.75a60.07 60.07 0 0115.797 2.101c.727.198 1.453-.342 1.453-1.096V18.75M3.75 4.5v.75A.75.75 0 013 6h-.75m0 0v-.375c0-.621.504-1.125 1.125-1.125H20.25M2.25 6v9m18-10.5v.75c0 .414.336.75.75.75h.75m-1.5-1.5h.375c.621 0 1.125.504 1.125 1.125v9.75c0 .621-.504 1.125-1.125 1.125h-.375m1.5-1.5H21a.75.75 0 00-.75.75v.75m0 0H3.75m0 0h-.375a1.125 1.125 0 01-1.125-1.125V15m1.5 1.5v-.75A.75.75 0 003 15h-.75M15 10.5a3 3 0 11-6 0 3 3 0 016 0zm3 0h.008v.008H18V10.5zm-12 0h.008v.008H6V10.5z"
                                                      })
                                                    ]))
                                                  ], 10, ["onClick", "disabled"])) : createCommentVNode("", true),
                                                  createVNode("button", {
                                                    type: "button",
                                                    onClick: ($event) => showInvoice(invoice2),
                                                    class: "text-gray-500 hover:text-gray-800 dark:text-gray-400 dark:hover:text-gray-200"
                                                  }, [
                                                    (openBlock(), createBlock("svg", {
                                                      xmlns: "http://www.w3.org/2000/svg",
                                                      fill: "none",
                                                      viewBox: "0 0 24 24",
                                                      "stroke-width": "1.5",
                                                      stroke: "currentColor",
                                                      class: "w-6 h-6"
                                                    }, [
                                                      createVNode("path", {
                                                        "stroke-linecap": "round",
                                                        "stroke-linejoin": "round",
                                                        d: "M2.036 12.322a1.012 1.012 0 010-.639C3.423 7.51 7.36 4.5 12 4.5c4.638 0 8.573 3.007 9.963 7.178.07.207.07.431 0 .639C20.577 16.49 16.64 19.5 12 19.5c-4.638 0-8.573-3.007-9.963-7.178z"
                                                      }),
                                                      createVNode("path", {
                                                        "stroke-linecap": "round",
                                                        "stroke-linejoin": "round",
                                                        d: "M15 12a3 3 0 11-6 0 3 3 0 016 0z"
                                                      })
                                                    ]))
                                                  ], 8, ["onClick"])
                                                ]),
                                                createVNode("div", { class: "flex-1 w-full flex items-center justify-end justify-self-end gap-3" }, [
                                                  createVNode(_sfc_main$8, {
                                                    pm: "invoices",
                                                    row: invoice2,
                                                    property: "reference",
                                                    deleteFn: deleteRow,
                                                    restoreFn: restoreRow,
                                                    editStr: unref(route)("invoices.edit", invoice2.id)
                                                  }, null, 8, ["row", "editStr"])
                                                ])
                                              ])
                                            ])
                                          ], 2);
                                        }), 128))
                                      ])
                                    ])
                                  ])
                                ])
                              ]),
                              createVNode(_sfc_main$9, {
                                class: "m-4",
                                meta: props.invoices.meta,
                                links: props.invoices.links
                              }, null, 8, ["meta", "links"])
                            ])
                          ])) : (openBlock(), createBlock("div", {
                            key: 1,
                            class: "py-4 px-6"
                          }, toDisplayString(unref(t)("There is no data to display.")), 1))
                        ])
                      ])
                    ])
                  ])
                ])
              ]),
              createVNode(_sfc_main$a, {
                show: paymentModal.value,
                "max-width": "2xl",
                closeable: false,
                onClose: () => paymentModal.value = false
              }, {
                default: withCtx(() => [
                  createVNode(_sfc_main$b, {
                    invoice: invoice.value,
                    fields: __props.payment_fields,
                    onDone: paymentAdded,
                    onClose: () => paymentModal.value = false
                  }, null, 8, ["invoice", "fields", "onClose"])
                ]),
                _: 1
              }, 8, ["show", "onClose"]),
              createVNode(_sfc_main$a, {
                show: show.value,
                "max-width": "4xl",
                closeable: true,
                onClose: hideInvoice
              }, {
                default: withCtx(() => [
                  createVNode("div", { class: "px-6 pt-3 pb-6 print:px-0 bg-gray-100 dark:bg-gray-800" }, [
                    show.value && invoice.value ? (openBlock(), createBlock("div", {
                      key: 0,
                      class: "flex items-center justify-between print:hidden"
                    }, [
                      createVNode("div", { class: "text-lg" }, toDisplayString(unref(t)("Invoice No.")) + " " + toDisplayString(invoice.value.id) + " ", 1),
                      createVNode("div", { class: "-mr-2 flex items- gap-2" }, [
                        createVNode("button", {
                          onClick: ($event) => print(),
                          class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                        }, [
                          createVNode(_component_icons, {
                            name: "printer",
                            class: "h-5 w-5"
                          })
                        ], 8, ["onClick"]),
                        createVNode("button", {
                          onClick: ($event) => emailInvoice(invoice.value.id),
                          class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                        }, [
                          (openBlock(), createBlock("svg", {
                            xmlns: "http://www.w3.org/2000/svg",
                            viewBox: "0 0 24 24",
                            fill: "currentColor",
                            class: "w-4 h-4"
                          }, [
                            createVNode("path", { d: "M1.5 8.67v8.58a3 3 0 003 3h15a3 3 0 003-3V8.67l-8.928 5.493a3 3 0 01-3.144 0L1.5 8.67z" }),
                            createVNode("path", { d: "M22.5 6.908V6.75a3 3 0 00-3-3h-15a3 3 0 00-3 3v.158l9.714 5.978a1.5 1.5 0 001.572 0L22.5 6.908z" })
                          ]))
                        ], 8, ["onClick"]),
                        _ctx.$can("update-invoices") ? (openBlock(), createBlock(_component_Link, {
                          key: 0,
                          id: "edit-invoice",
                          href: unref(route)("invoices.edit", invoice.value.id),
                          class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                        }, {
                          default: withCtx(() => [
                            createVNode(_component_icons, {
                              name: "edit",
                              class: "h-5 w-5"
                            })
                          ]),
                          _: 1
                        }, 8, ["href"])) : createCommentVNode("", true),
                        createVNode("button", {
                          onClick: ($event) => hideInvoice(),
                          class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                        }, [
                          createVNode(_component_icons, {
                            name: "cross",
                            class: "h-5 w-5"
                          })
                        ], 8, ["onClick"])
                      ])
                    ])) : createCommentVNode("", true),
                    createVNode("div", { class: "" }, [
                      invoice.value ? (openBlock(), createBlock(_sfc_main$c, {
                        key: 0,
                        invoice: invoice.value,
                        settings: _ctx.$page.props.settings,
                        onDone: paymentAdded
                      }, null, 8, ["invoice", "settings"])) : createCommentVNode("", true)
                    ])
                  ])
                ]),
                _: 1
              }, 8, ["show"])
            ];
          }
        }),
        _: 1
      }, _parent));
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Invoice/List.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
