import { ref, computed, onMounted, resolveComponent, mergeProps, unref, withCtx, createVNode, toDisplayString, createTextVNode, openBlock, createBlock, createCommentVNode, withModifiers, Fragment, renderList, withDirectives, vModelCheckbox, useSSRContext } from "vue";
import { ssrRenderComponent, ssrInterpolate, ssrRenderAttr, ssrIncludeBooleanAttr, ssrRenderList, ssrRenderClass, ssrLooseContain } from "vue/server-renderer";
import route from "ziggy-js";
import { useI18n } from "vue-i18n";
import { useForm, router } from "@inertiajs/vue3";
import _sfc_main$a from "./Details-afd9fc42.js";
import "./InputError-951c1c36.js";
import { _ as _sfc_main$8 } from "./Modal-4ced3d7d.js";
import { _ as _sfc_main$1 } from "./AppLayout-9f2f965f.js";
import { _ as _sfc_main$2, a as _sfc_main$7 } from "./SearchFilter-f1d2d6c1.js";
import { _ as _sfc_main$6 } from "./RowActions-ddcfd30f.js";
import _sfc_main$9 from "./Form-c82706c9.js";
import { S as SelectInput } from "./SelectInput-0eee531e.js";
import { _ as _sfc_main$3, a as _sfc_main$5 } from "./DangerButton-933af61d.js";
import { _ as _sfc_main$4 } from "./SecondaryButton-910b0895.js";
import "../ssr.js";
import "@vue/server-renderer";
import "@inertiajs/vue3/server";
import "./TextInput-f18b2e86.js";
import "uuid";
import "./Input-fb927b71.js";
import "./CustomFields-6004e621.js";
import "lodash/debounce.js";
import "./ActionMessage-cdce5426.js";
import "./AutoComplete-974a17ce.js";
import "axios";
import "lodash/throttle.js";
import "./TextareaInput-651f7dc6.js";
import "./FormSection-d5f140fc.js";
const _sfc_main = {
  __name: "List",
  __ssrInlineRender: true,
  props: ["payments", "fields"],
  setup(__props) {
    const props = __props;
    const { t } = useI18n({});
    const edit = ref(null);
    const show = ref(false);
    const payment = ref(null);
    const showEdit = ref(false);
    const bulkDelete = ref(false);
    const form = useForm({ selection: [], force: false });
    const search = useForm({ search: "", trashed: null });
    const indeterminate = computed(() => form.selection.length > 0 && form.selection.length < props.payments.data.length);
    onMounted(() => {
      const queryString = window.location.search;
      const urlParams = new URLSearchParams(queryString);
      search.trashed = urlParams.has("trashed") ? urlParams.get("trashed") : null;
    });
    const print = () => {
      window.print();
    };
    const editRow = (row) => {
      edit.value = row;
      show.value = false;
      showEdit.value = true;
    };
    const paymentUpdated = (e) => {
      showEdit.value = false;
      router.reload({ only: ["payments"] });
    };
    const showPayment = (ch) => {
      show.value = true;
      payment.value = ch;
    };
    const hidePayment = (ch) => {
      show.value = false;
      payment.value = null;
    };
    const emailPayment = (id) => {
      router.post(route("payment.notification", id));
    };
    const deleteRow = (id, force = false) => {
      router.delete(route("payments.destroy" + (force ? ".permanently" : ""), id));
    };
    const restoreRow = (id) => {
      router.put(route("payments.restore", id));
    };
    const closeModal = () => {
      bulkDelete.value = false;
    };
    const confirmDelete = (force) => {
      form.force = force || false;
      bulkDelete.value = true;
    };
    const deleteSelected = (force) => {
      form.delete(route("payments.destroy.many"), {
        onSuccess: () => {
          form.reset();
        },
        onFinish: () => {
          bulkDelete.value = false;
        }
      });
    };
    const searchNow = () => {
      search.transform((data) => {
        let obj = {
          ...data,
          remember: data.remember ? "on" : ""
        };
        return Object.entries(obj).reduce((a, [k, v]) => v ? (a[k] = v, a) : a, {});
      }).get(route("payments.index"), { preserveState: true });
    };
    const resetSearch = () => {
      search.search = "";
      search.trashed = null;
      searchNow();
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_icons = resolveComponent("icons");
      _push(ssrRenderComponent(_sfc_main$1, mergeProps({
        title: unref(t)("List Payments")
      }, _attrs), {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="py-8"${_scopeId}><div class="max-w-7xl mx-auto sm:px-6 lg:px-8"${_scopeId}><div class="bg-white dark:bg-gray-900 shadow sm:rounded-lg"${_scopeId}><div class="sm:rounded-lg"${_scopeId}><div class="p-6 sm:rounded-t-lg border-b border-gray-200 dark:border-gray-700 block md:flex md:items-center md:justify-between"${_scopeId}><div${_scopeId}><div class="text-2xl"${_scopeId}>${ssrInterpolate(unref(t)("Payments"))} <span class="text-base"${_scopeId}>${ssrInterpolate({ with: "(" + unref(t)("With Trashed") + ")", only: "(" + unref(t)("Only Trashed") + ")" }[unref(search).trashed])}</span></div><div class="mt-1 text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Please review the result below"))}</div></div><div class="mt-4 sm:mt-0 block sm:flex sm:items-center sm:gap-4"${_scopeId}><form${_scopeId}>`);
            _push2(ssrRenderComponent(_sfc_main$2, {
              onReset: ($event) => resetSearch(),
              modelValue: unref(search).search,
              "onUpdate:modelValue": ($event) => unref(search).search = $event
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<label class="block"${_scopeId2}>${ssrInterpolate(unref(t)("Trashed"))}:</label>`);
                  _push3(ssrRenderComponent(SelectInput, {
                    modelValue: unref(search).trashed,
                    "onUpdate:modelValue": ($event) => unref(search).trashed = $event,
                    onChange: ($event) => searchNow(),
                    class: "mt-1 w-full"
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`<option${ssrRenderAttr("value", null)}${_scopeId3}>${ssrInterpolate(unref(t)("Not Trashed"))}</option><option value="with"${_scopeId3}>${ssrInterpolate(unref(t)("With Trashed"))}</option><option value="only"${_scopeId3}>${ssrInterpolate(unref(t)("Only Trashed"))}</option>`);
                      } else {
                        return [
                          createVNode("option", { value: null }, toDisplayString(unref(t)("Not Trashed")), 1),
                          createVNode("option", { value: "with" }, toDisplayString(unref(t)("With Trashed")), 1),
                          createVNode("option", { value: "only" }, toDisplayString(unref(t)("Only Trashed")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode("label", { class: "block" }, toDisplayString(unref(t)("Trashed")) + ":", 1),
                    createVNode(SelectInput, {
                      modelValue: unref(search).trashed,
                      "onUpdate:modelValue": ($event) => unref(search).trashed = $event,
                      onChange: ($event) => searchNow(),
                      class: "mt-1 w-full"
                    }, {
                      default: withCtx(() => [
                        createVNode("option", { value: null }, toDisplayString(unref(t)("Not Trashed")), 1),
                        createVNode("option", { value: "with" }, toDisplayString(unref(t)("With Trashed")), 1),
                        createVNode("option", { value: "only" }, toDisplayString(unref(t)("Only Trashed")), 1)
                      ]),
                      _: 1
                    }, 8, ["modelValue", "onUpdate:modelValue", "onChange"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</form></div></div><div class="bg-gray-50 dark:bg-black/50 border-b dark:border-gray-700 sm:rounded-b-lg"${_scopeId}>`);
            if (props.payments && props.payments.data && props.payments.data.length) {
              _push2(`<div${_scopeId}><div class="flex flex-col"${_scopeId}><div class="-my-2 overflow-x-auto sm:-mx-6 lg:-mx-8"${_scopeId}><div class="inline-block min-w-full py-2 align-middle sm:px-6 lg:px-8"${_scopeId}><div class="relative overflow-hidden ring-1 ring-black ring-opacity-5"${_scopeId}>`);
              if (unref(form).selection && unref(form).selection.length) {
                _push2(`<div class="absolute top-0 left-12 flex h-12 items-center space-x-3 sm:left-16"${_scopeId}><button type="button" class="inline-flex items-center rounded border text-white border-red-500 bg-red-500 px-2.5 py-1.5 text-xs font-medium shadow-sm hover:bg-red-600 focus:outline-none focus:ring-2 focus:ring-blue-500 focus:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-30"${_scopeId}>${ssrInterpolate(unref(t)("Move to Trash"))}</button><button type="button" class="inline-flex items-center rounded border text-white border-red-500 bg-red-500 px-2.5 py-1.5 text-xs font-medium shadow-sm hover:bg-red-600 focus:outline-none focus:ring-2 focus:ring-blue-500 focus:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-30"${_scopeId}>${ssrInterpolate(unref(t)("Delete Permanently"))}</button>`);
                _push2(ssrRenderComponent(_sfc_main$3, {
                  show: bulkDelete.value,
                  onClose: closeModal,
                  maxWidth: "sm"
                }, {
                  title: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(`${ssrInterpolate(unref(t)("Delete bulk records"))}`);
                    } else {
                      return [
                        createTextVNode(toDisplayString(unref(t)("Delete bulk records")), 1)
                      ];
                    }
                  }),
                  content: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(`<p${_scopeId2}>${ssrInterpolate(unref(t)("Please confirm that you would like to delete the records?"))}</p>`);
                      if (unref(form).force) {
                        _push3(`<p class="mt-2 text-red-500"${_scopeId2}>${ssrInterpolate(unref(t)("This action will delete the data permanently."))}</p>`);
                      } else {
                        _push3(`<!---->`);
                      }
                    } else {
                      return [
                        createVNode("p", null, toDisplayString(unref(t)("Please confirm that you would like to delete the records?")), 1),
                        unref(form).force ? (openBlock(), createBlock("p", {
                          key: 0,
                          class: "mt-2 text-red-500"
                        }, toDisplayString(unref(t)("This action will delete the data permanently.")), 1)) : createCommentVNode("", true)
                      ];
                    }
                  }),
                  footer: withCtx((_2, _push3, _parent3, _scopeId2) => {
                    if (_push3) {
                      _push3(ssrRenderComponent(_sfc_main$4, { onClick: closeModal }, {
                        default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                          if (_push4) {
                            _push4(`${ssrInterpolate(unref(t)("Cancel"))}`);
                          } else {
                            return [
                              createTextVNode(toDisplayString(unref(t)("Cancel")), 1)
                            ];
                          }
                        }),
                        _: 1
                      }, _parent3, _scopeId2));
                      _push3(ssrRenderComponent(_sfc_main$5, {
                        onClick: ($event) => deleteSelected()
                      }, {
                        default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                          if (_push4) {
                            _push4(`${ssrInterpolate(unref(t)("Yes, delete"))}`);
                          } else {
                            return [
                              createTextVNode(toDisplayString(unref(t)("Yes, delete")), 1)
                            ];
                          }
                        }),
                        _: 1
                      }, _parent3, _scopeId2));
                    } else {
                      return [
                        createVNode(_sfc_main$4, { onClick: closeModal }, {
                          default: withCtx(() => [
                            createTextVNode(toDisplayString(unref(t)("Cancel")), 1)
                          ]),
                          _: 1
                        }),
                        createVNode(_sfc_main$5, {
                          onClick: ($event) => deleteSelected()
                        }, {
                          default: withCtx(() => [
                            createTextVNode(toDisplayString(unref(t)("Yes, delete")), 1)
                          ]),
                          _: 1
                        }, 8, ["onClick"])
                      ];
                    }
                  }),
                  _: 1
                }, _parent2, _scopeId));
                _push2(`</div>`);
              } else {
                _push2(`<!---->`);
              }
              _push2(`<table class="min-w-full table-fixed divide-y divide-gray-300 dark:divide-gray-700"${_scopeId}><thead class="bg-gray-50 dark:bg-black/50"${_scopeId}><tr${_scopeId}><th scope="col" class="relative w-12 px-6 sm:w-16 sm:px-8"${_scopeId}><input type="checkbox"${ssrRenderAttr("indeterminate", indeterminate.value)}${ssrIncludeBooleanAttr(indeterminate.value || unref(form).selection.length === props.payments.data.length) ? " checked" : ""} class="absolute left-4 top-1/2 -mt-2 h-4 w-4 rounded border-gray-300 text-blue-600 focus:ring-blue-500 sm:left-6 dark:bg-gray-700 dark:border-gray-700"${_scopeId}></th><th scope="col" class="px-3 py-3.5 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"${_scopeId}>${ssrInterpolate(unref(t)("Payment"))}</th><th scope="col" class="py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"${_scopeId}>${ssrInterpolate(unref(t)("Relations"))}</th><th scope="col" class="py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"${_scopeId}>${ssrInterpolate(unref(t)("Amount"))}</th><th scope="col" class="py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"${_scopeId}>${ssrInterpolate(unref(t)("Custom Fields"))}</th><th scope="col" class="relative py-3.5 pl-3 pr-4 sm:pr-6"${_scopeId}><span class="sr-only"${_scopeId}>${ssrInterpolate(unref(t)("Actions"))}</span></th></tr></thead><tbody class="divide-y divide-gray-200 dark:divide-gray-700 bg-white dark:bg-gray-900"${_scopeId}><!--[-->`);
              ssrRenderList(props.payments.data, (payment2, pi) => {
                var _a, _b, _c;
                _push2(`<tr class="${ssrRenderClass([
                  unref(form).selection.includes(payment2.id) && "bg-gray-50 dark:bg-gray-800/50",
                  payment2.deleted_at && "bg-red-100 dark:bg-red-900"
                ])}"${_scopeId}><td class="relative w-12 px-6 sm:w-16 sm:px-8"${_scopeId}>`);
                if (unref(form).selection.includes(payment2.id)) {
                  _push2(`<div class="absolute inset-y-0 left-0 w-0.5 bg-blue-600"${_scopeId}></div>`);
                } else {
                  _push2(`<!---->`);
                }
                _push2(`<input type="checkbox"${ssrRenderAttr("value", payment2.id)}${ssrIncludeBooleanAttr(Array.isArray(unref(form).selection) ? ssrLooseContain(unref(form).selection, payment2.id) : unref(form).selection) ? " checked" : ""} class="absolute left-4 top-1/2 -mt-2 h-4 w-4 rounded border-gray-300 text-blue-600 focus:ring-blue-500 sm:left-6 dark:bg-gray-700 dark:border-gray-700"${_scopeId}></td><td class="whitespace-nowrap px-3 py-4 text-sm font-medium"${_scopeId}><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Number"))}: </span> ${ssrInterpolate(payment2.id)}</div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Date"))}: </span> ${ssrInterpolate(_ctx.$date(payment2.date))}</div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Created at"))}: </span> ${ssrInterpolate(_ctx.$datetime(payment2.created_at))}</div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Ref"))}: </span> ${ssrInterpolate(payment2.reference)}</div></td><td class="whitespace-nowrap px-3 py-4 text-sm font-medium"${_scopeId}><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Invoice No."))}: </span> ${ssrInterpolate(payment2.invoice_id)}</div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Customer"))}: </span><span class="${ssrRenderClass("customer-" + pi)}"${_scopeId}>${ssrInterpolate((_a = payment2.customer) == null ? void 0 : _a.name)}</span></div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Company"))}: </span> ${ssrInterpolate((_b = payment2.company) == null ? void 0 : _b.name)}</div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("By user"))}: </span> ${ssrInterpolate((_c = payment2.user) == null ? void 0 : _c.name)}</div></td><td class="whitespace-nowrap px-3 py-4 text-sm font-bold text-right"${_scopeId}><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Amount"))}: </span><span class="text-base"${_scopeId}>${ssrInterpolate(_ctx.$currency(payment2.amount))}</span></div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Method"))}: </span><span class="capitalize text-base"${_scopeId}>${ssrInterpolate(payment2.method)}</span></div></td><td class="px-3 py-4 text-sm"${_scopeId}><div class="flex items-center flex-wrap gap-x-4 gap-y-2 min-w-[200px] max-w-xs"${_scopeId}>${_ctx.$extra_attributes(payment2.extra_attributes)}</div></td><td class="whitespace-nowrap py-4 pl-3 pr-4 text-right text-sm font-medium sm:pr-6 w-20"${_scopeId}>`);
                _push2(ssrRenderComponent(_sfc_main$6, {
                  pm: "payments",
                  property: "name",
                  row: payment2,
                  editFn: editRow,
                  deleteFn: deleteRow,
                  restoreFn: restoreRow
                }, null, _parent2, _scopeId));
                _push2(`</td></tr>`);
              });
              _push2(`<!--]--></tbody></table></div></div></div>`);
              _push2(ssrRenderComponent(_sfc_main$7, {
                class: "m-4",
                meta: props.payments.meta,
                links: props.payments.links
              }, null, _parent2, _scopeId));
              _push2(`</div></div>`);
            } else {
              _push2(`<div class="py-4 px-6"${_scopeId}>${ssrInterpolate(unref(t)("There is no data to display."))}</div>`);
            }
            _push2(`</div></div></div></div></div>`);
            _push2(ssrRenderComponent(_sfc_main$8, {
              show: showEdit.value,
              "max-width": "2xl",
              closeable: false,
              onClose: () => showEdit.value = false
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_sfc_main$9, {
                    edit: { data: edit.value },
                    fields: __props.fields,
                    onDone: paymentUpdated,
                    onClose: () => showEdit.value = false
                  }, null, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_sfc_main$9, {
                      edit: { data: edit.value },
                      fields: __props.fields,
                      onDone: paymentUpdated,
                      onClose: () => showEdit.value = false
                    }, null, 8, ["edit", "fields", "onClose"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_sfc_main$8, {
              show: show.value,
              "max-width": "4xl",
              closeable: true,
              onClose: hidePayment
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div class="px-6 pt-3 pb-6 print:px-0 bg-gray-100 dark:bg-gray-800"${_scopeId2}>`);
                  if (show.value && payment.value) {
                    _push3(`<div class="flex items-center justify-between print:hidden"${_scopeId2}><div class="text-lg"${_scopeId2}>${ssrInterpolate(unref(t)("Payment No."))} ${ssrInterpolate(payment.value.id)} </div><div class="-mr-2 flex items- gap-2"${_scopeId2}><button class="flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_component_icons, {
                      name: "printer",
                      class: "h-5 w-5"
                    }, null, _parent3, _scopeId2));
                    _push3(`</button><button class="flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"${_scopeId2}><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor" class="w-4 h-4"${_scopeId2}><path d="M1.5 8.67v8.58a3 3 0 003 3h15a3 3 0 003-3V8.67l-8.928 5.493a3 3 0 01-3.144 0L1.5 8.67z"${_scopeId2}></path><path d="M22.5 6.908V6.75a3 3 0 00-3-3h-15a3 3 0 00-3 3v.158l9.714 5.978a1.5 1.5 0 001.572 0L22.5 6.908z"${_scopeId2}></path></svg></button>`);
                    if (_ctx.$can("update-payments")) {
                      _push3(`<button type="button" id="edit-payment" class="flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"${_scopeId2}>`);
                      _push3(ssrRenderComponent(_component_icons, {
                        name: "edit",
                        class: "h-5 w-5"
                      }, null, _parent3, _scopeId2));
                      _push3(`</button>`);
                    } else {
                      _push3(`<!---->`);
                    }
                    _push3(`<button class="flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_component_icons, {
                      name: "cross",
                      class: "h-5 w-5"
                    }, null, _parent3, _scopeId2));
                    _push3(`</button></div></div>`);
                  } else {
                    _push3(`<!---->`);
                  }
                  _push3(`<div class=""${_scopeId2}>`);
                  if (payment.value) {
                    _push3(ssrRenderComponent(_sfc_main$a, { payment: payment.value }, null, _parent3, _scopeId2));
                  } else {
                    _push3(`<!---->`);
                  }
                  _push3(`</div></div>`);
                } else {
                  return [
                    createVNode("div", { class: "px-6 pt-3 pb-6 print:px-0 bg-gray-100 dark:bg-gray-800" }, [
                      show.value && payment.value ? (openBlock(), createBlock("div", {
                        key: 0,
                        class: "flex items-center justify-between print:hidden"
                      }, [
                        createVNode("div", { class: "text-lg" }, toDisplayString(unref(t)("Payment No.")) + " " + toDisplayString(payment.value.id) + " ", 1),
                        createVNode("div", { class: "-mr-2 flex items- gap-2" }, [
                          createVNode("button", {
                            onClick: ($event) => print(),
                            class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                          }, [
                            createVNode(_component_icons, {
                              name: "printer",
                              class: "h-5 w-5"
                            })
                          ], 8, ["onClick"]),
                          createVNode("button", {
                            onClick: ($event) => emailPayment(payment.value.id),
                            class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                          }, [
                            (openBlock(), createBlock("svg", {
                              xmlns: "http://www.w3.org/2000/svg",
                              viewBox: "0 0 24 24",
                              fill: "currentColor",
                              class: "w-4 h-4"
                            }, [
                              createVNode("path", { d: "M1.5 8.67v8.58a3 3 0 003 3h15a3 3 0 003-3V8.67l-8.928 5.493a3 3 0 01-3.144 0L1.5 8.67z" }),
                              createVNode("path", { d: "M22.5 6.908V6.75a3 3 0 00-3-3h-15a3 3 0 00-3 3v.158l9.714 5.978a1.5 1.5 0 001.572 0L22.5 6.908z" })
                            ]))
                          ], 8, ["onClick"]),
                          _ctx.$can("update-payments") ? (openBlock(), createBlock("button", {
                            key: 0,
                            type: "button",
                            id: "edit-payment",
                            onClick: ($event) => editRow(payment.value),
                            class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                          }, [
                            createVNode(_component_icons, {
                              name: "edit",
                              class: "h-5 w-5"
                            })
                          ], 8, ["onClick"])) : createCommentVNode("", true),
                          createVNode("button", {
                            onClick: ($event) => hidePayment(),
                            class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                          }, [
                            createVNode(_component_icons, {
                              name: "cross",
                              class: "h-5 w-5"
                            })
                          ], 8, ["onClick"])
                        ])
                      ])) : createCommentVNode("", true),
                      createVNode("div", { class: "" }, [
                        payment.value ? (openBlock(), createBlock(_sfc_main$a, {
                          key: 0,
                          payment: payment.value
                        }, null, 8, ["payment"])) : createCommentVNode("", true)
                      ])
                    ])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode("div", { class: "py-8" }, [
                createVNode("div", { class: "max-w-7xl mx-auto sm:px-6 lg:px-8" }, [
                  createVNode("div", { class: "bg-white dark:bg-gray-900 shadow sm:rounded-lg" }, [
                    createVNode("div", { class: "sm:rounded-lg" }, [
                      createVNode("div", { class: "p-6 sm:rounded-t-lg border-b border-gray-200 dark:border-gray-700 block md:flex md:items-center md:justify-between" }, [
                        createVNode("div", null, [
                          createVNode("div", { class: "text-2xl" }, [
                            createTextVNode(toDisplayString(unref(t)("Payments")) + " ", 1),
                            createVNode("span", { class: "text-base" }, toDisplayString({ with: "(" + unref(t)("With Trashed") + ")", only: "(" + unref(t)("Only Trashed") + ")" }[unref(search).trashed]), 1)
                          ]),
                          createVNode("div", { class: "mt-1 text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Please review the result below")), 1)
                        ]),
                        createVNode("div", { class: "mt-4 sm:mt-0 block sm:flex sm:items-center sm:gap-4" }, [
                          createVNode("form", {
                            onSubmit: withModifiers(searchNow, ["prevent"])
                          }, [
                            createVNode(_sfc_main$2, {
                              onReset: ($event) => resetSearch(),
                              modelValue: unref(search).search,
                              "onUpdate:modelValue": ($event) => unref(search).search = $event
                            }, {
                              default: withCtx(() => [
                                createVNode("label", { class: "block" }, toDisplayString(unref(t)("Trashed")) + ":", 1),
                                createVNode(SelectInput, {
                                  modelValue: unref(search).trashed,
                                  "onUpdate:modelValue": ($event) => unref(search).trashed = $event,
                                  onChange: ($event) => searchNow(),
                                  class: "mt-1 w-full"
                                }, {
                                  default: withCtx(() => [
                                    createVNode("option", { value: null }, toDisplayString(unref(t)("Not Trashed")), 1),
                                    createVNode("option", { value: "with" }, toDisplayString(unref(t)("With Trashed")), 1),
                                    createVNode("option", { value: "only" }, toDisplayString(unref(t)("Only Trashed")), 1)
                                  ]),
                                  _: 1
                                }, 8, ["modelValue", "onUpdate:modelValue", "onChange"])
                              ]),
                              _: 1
                            }, 8, ["onReset", "modelValue", "onUpdate:modelValue"])
                          ], 40, ["onSubmit"])
                        ])
                      ]),
                      createVNode("div", { class: "bg-gray-50 dark:bg-black/50 border-b dark:border-gray-700 sm:rounded-b-lg" }, [
                        props.payments && props.payments.data && props.payments.data.length ? (openBlock(), createBlock("div", { key: 0 }, [
                          createVNode("div", { class: "flex flex-col" }, [
                            createVNode("div", { class: "-my-2 overflow-x-auto sm:-mx-6 lg:-mx-8" }, [
                              createVNode("div", { class: "inline-block min-w-full py-2 align-middle sm:px-6 lg:px-8" }, [
                                createVNode("div", { class: "relative overflow-hidden ring-1 ring-black ring-opacity-5" }, [
                                  unref(form).selection && unref(form).selection.length ? (openBlock(), createBlock("div", {
                                    key: 0,
                                    class: "absolute top-0 left-12 flex h-12 items-center space-x-3 sm:left-16"
                                  }, [
                                    createVNode("button", {
                                      type: "button",
                                      onClick: ($event) => confirmDelete(),
                                      class: "inline-flex items-center rounded border text-white border-red-500 bg-red-500 px-2.5 py-1.5 text-xs font-medium shadow-sm hover:bg-red-600 focus:outline-none focus:ring-2 focus:ring-blue-500 focus:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-30"
                                    }, toDisplayString(unref(t)("Move to Trash")), 9, ["onClick"]),
                                    createVNode("button", {
                                      type: "button",
                                      onClick: ($event) => confirmDelete(true),
                                      class: "inline-flex items-center rounded border text-white border-red-500 bg-red-500 px-2.5 py-1.5 text-xs font-medium shadow-sm hover:bg-red-600 focus:outline-none focus:ring-2 focus:ring-blue-500 focus:ring-offset-2 disabled:cursor-not-allowed disabled:opacity-30"
                                    }, toDisplayString(unref(t)("Delete Permanently")), 9, ["onClick"]),
                                    createVNode(_sfc_main$3, {
                                      show: bulkDelete.value,
                                      onClose: closeModal,
                                      maxWidth: "sm"
                                    }, {
                                      title: withCtx(() => [
                                        createTextVNode(toDisplayString(unref(t)("Delete bulk records")), 1)
                                      ]),
                                      content: withCtx(() => [
                                        createVNode("p", null, toDisplayString(unref(t)("Please confirm that you would like to delete the records?")), 1),
                                        unref(form).force ? (openBlock(), createBlock("p", {
                                          key: 0,
                                          class: "mt-2 text-red-500"
                                        }, toDisplayString(unref(t)("This action will delete the data permanently.")), 1)) : createCommentVNode("", true)
                                      ]),
                                      footer: withCtx(() => [
                                        createVNode(_sfc_main$4, { onClick: closeModal }, {
                                          default: withCtx(() => [
                                            createTextVNode(toDisplayString(unref(t)("Cancel")), 1)
                                          ]),
                                          _: 1
                                        }),
                                        createVNode(_sfc_main$5, {
                                          onClick: ($event) => deleteSelected()
                                        }, {
                                          default: withCtx(() => [
                                            createTextVNode(toDisplayString(unref(t)("Yes, delete")), 1)
                                          ]),
                                          _: 1
                                        }, 8, ["onClick"])
                                      ]),
                                      _: 1
                                    }, 8, ["show"])
                                  ])) : createCommentVNode("", true),
                                  createVNode("table", { class: "min-w-full table-fixed divide-y divide-gray-300 dark:divide-gray-700" }, [
                                    createVNode("thead", { class: "bg-gray-50 dark:bg-black/50" }, [
                                      createVNode("tr", null, [
                                        createVNode("th", {
                                          scope: "col",
                                          class: "relative w-12 px-6 sm:w-16 sm:px-8"
                                        }, [
                                          createVNode("input", {
                                            type: "checkbox",
                                            indeterminate: indeterminate.value,
                                            checked: indeterminate.value || unref(form).selection.length === props.payments.data.length,
                                            onChange: ($event) => unref(form).selection = $event.target.checked ? props.payments.data.map((p) => p.id) : [],
                                            class: "absolute left-4 top-1/2 -mt-2 h-4 w-4 rounded border-gray-300 text-blue-600 focus:ring-blue-500 sm:left-6 dark:bg-gray-700 dark:border-gray-700"
                                          }, null, 40, ["indeterminate", "checked", "onChange"])
                                        ]),
                                        createVNode("th", {
                                          scope: "col",
                                          class: "px-3 py-3.5 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"
                                        }, toDisplayString(unref(t)("Payment")), 1),
                                        createVNode("th", {
                                          scope: "col",
                                          class: "py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"
                                        }, toDisplayString(unref(t)("Relations")), 1),
                                        createVNode("th", {
                                          scope: "col",
                                          class: "py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"
                                        }, toDisplayString(unref(t)("Amount")), 1),
                                        createVNode("th", {
                                          scope: "col",
                                          class: "py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"
                                        }, toDisplayString(unref(t)("Custom Fields")), 1),
                                        createVNode("th", {
                                          scope: "col",
                                          class: "relative py-3.5 pl-3 pr-4 sm:pr-6"
                                        }, [
                                          createVNode("span", { class: "sr-only" }, toDisplayString(unref(t)("Actions")), 1)
                                        ])
                                      ])
                                    ]),
                                    createVNode("tbody", { class: "divide-y divide-gray-200 dark:divide-gray-700 bg-white dark:bg-gray-900" }, [
                                      (openBlock(true), createBlock(Fragment, null, renderList(props.payments.data, (payment2, pi) => {
                                        var _a, _b, _c;
                                        return openBlock(), createBlock("tr", {
                                          key: payment2.id,
                                          class: [
                                            unref(form).selection.includes(payment2.id) && "bg-gray-50 dark:bg-gray-800/50",
                                            payment2.deleted_at && "bg-red-100 dark:bg-red-900"
                                          ]
                                        }, [
                                          createVNode("td", { class: "relative w-12 px-6 sm:w-16 sm:px-8" }, [
                                            unref(form).selection.includes(payment2.id) ? (openBlock(), createBlock("div", {
                                              key: 0,
                                              class: "absolute inset-y-0 left-0 w-0.5 bg-blue-600"
                                            })) : createCommentVNode("", true),
                                            withDirectives(createVNode("input", {
                                              type: "checkbox",
                                              value: payment2.id,
                                              "onUpdate:modelValue": ($event) => unref(form).selection = $event,
                                              class: "absolute left-4 top-1/2 -mt-2 h-4 w-4 rounded border-gray-300 text-blue-600 focus:ring-blue-500 sm:left-6 dark:bg-gray-700 dark:border-gray-700"
                                            }, null, 8, ["value", "onUpdate:modelValue"]), [
                                              [vModelCheckbox, unref(form).selection]
                                            ])
                                          ]),
                                          createVNode("td", {
                                            class: "whitespace-nowrap px-3 py-4 text-sm font-medium",
                                            onClick: ($event) => showPayment(payment2)
                                          }, [
                                            createVNode("div", { class: "flex items-center gap-1" }, [
                                              createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Number")) + ": ", 1),
                                              createTextVNode(" " + toDisplayString(payment2.id), 1)
                                            ]),
                                            createVNode("div", { class: "flex items-center gap-1" }, [
                                              createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Date")) + ": ", 1),
                                              createTextVNode(" " + toDisplayString(_ctx.$date(payment2.date)), 1)
                                            ]),
                                            createVNode("div", { class: "flex items-center gap-1" }, [
                                              createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Created at")) + ": ", 1),
                                              createTextVNode(" " + toDisplayString(_ctx.$datetime(payment2.created_at)), 1)
                                            ]),
                                            createVNode("div", { class: "flex items-center gap-1" }, [
                                              createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Ref")) + ": ", 1),
                                              createTextVNode(" " + toDisplayString(payment2.reference), 1)
                                            ])
                                          ], 8, ["onClick"]),
                                          createVNode("td", {
                                            class: "whitespace-nowrap px-3 py-4 text-sm font-medium",
                                            onClick: ($event) => showPayment(payment2)
                                          }, [
                                            createVNode("div", { class: "flex items-center gap-1" }, [
                                              createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Invoice No.")) + ": ", 1),
                                              createTextVNode(" " + toDisplayString(payment2.invoice_id), 1)
                                            ]),
                                            createVNode("div", { class: "flex items-center gap-1" }, [
                                              createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Customer")) + ": ", 1),
                                              createVNode("span", {
                                                class: "customer-" + pi
                                              }, toDisplayString((_a = payment2.customer) == null ? void 0 : _a.name), 3)
                                            ]),
                                            createVNode("div", { class: "flex items-center gap-1" }, [
                                              createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Company")) + ": ", 1),
                                              createTextVNode(" " + toDisplayString((_b = payment2.company) == null ? void 0 : _b.name), 1)
                                            ]),
                                            createVNode("div", { class: "flex items-center gap-1" }, [
                                              createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("By user")) + ": ", 1),
                                              createTextVNode(" " + toDisplayString((_c = payment2.user) == null ? void 0 : _c.name), 1)
                                            ])
                                          ], 8, ["onClick"]),
                                          createVNode("td", {
                                            class: "whitespace-nowrap px-3 py-4 text-sm font-bold text-right",
                                            onClick: ($event) => showPayment(payment2)
                                          }, [
                                            createVNode("div", { class: "flex items-center gap-1" }, [
                                              createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Amount")) + ": ", 1),
                                              createVNode("span", { class: "text-base" }, toDisplayString(_ctx.$currency(payment2.amount)), 1)
                                            ]),
                                            createVNode("div", { class: "flex items-center gap-1" }, [
                                              createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Method")) + ": ", 1),
                                              createVNode("span", { class: "capitalize text-base" }, toDisplayString(payment2.method), 1)
                                            ])
                                          ], 8, ["onClick"]),
                                          createVNode("td", {
                                            class: "px-3 py-4 text-sm",
                                            onClick: ($event) => showPayment(payment2)
                                          }, [
                                            createVNode("div", {
                                              class: "flex items-center flex-wrap gap-x-4 gap-y-2 min-w-[200px] max-w-xs",
                                              innerHTML: _ctx.$extra_attributes(payment2.extra_attributes)
                                            }, null, 8, ["innerHTML"])
                                          ], 8, ["onClick"]),
                                          createVNode("td", { class: "whitespace-nowrap py-4 pl-3 pr-4 text-right text-sm font-medium sm:pr-6 w-20" }, [
                                            createVNode(_sfc_main$6, {
                                              pm: "payments",
                                              property: "name",
                                              row: payment2,
                                              editFn: editRow,
                                              deleteFn: deleteRow,
                                              restoreFn: restoreRow
                                            }, null, 8, ["row"])
                                          ])
                                        ], 2);
                                      }), 128))
                                    ])
                                  ])
                                ])
                              ])
                            ]),
                            createVNode(_sfc_main$7, {
                              class: "m-4",
                              meta: props.payments.meta,
                              links: props.payments.links
                            }, null, 8, ["meta", "links"])
                          ])
                        ])) : (openBlock(), createBlock("div", {
                          key: 1,
                          class: "py-4 px-6"
                        }, toDisplayString(unref(t)("There is no data to display.")), 1))
                      ])
                    ])
                  ])
                ])
              ]),
              createVNode(_sfc_main$8, {
                show: showEdit.value,
                "max-width": "2xl",
                closeable: false,
                onClose: () => showEdit.value = false
              }, {
                default: withCtx(() => [
                  createVNode(_sfc_main$9, {
                    edit: { data: edit.value },
                    fields: __props.fields,
                    onDone: paymentUpdated,
                    onClose: () => showEdit.value = false
                  }, null, 8, ["edit", "fields", "onClose"])
                ]),
                _: 1
              }, 8, ["show", "onClose"]),
              createVNode(_sfc_main$8, {
                show: show.value,
                "max-width": "4xl",
                closeable: true,
                onClose: hidePayment
              }, {
                default: withCtx(() => [
                  createVNode("div", { class: "px-6 pt-3 pb-6 print:px-0 bg-gray-100 dark:bg-gray-800" }, [
                    show.value && payment.value ? (openBlock(), createBlock("div", {
                      key: 0,
                      class: "flex items-center justify-between print:hidden"
                    }, [
                      createVNode("div", { class: "text-lg" }, toDisplayString(unref(t)("Payment No.")) + " " + toDisplayString(payment.value.id) + " ", 1),
                      createVNode("div", { class: "-mr-2 flex items- gap-2" }, [
                        createVNode("button", {
                          onClick: ($event) => print(),
                          class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                        }, [
                          createVNode(_component_icons, {
                            name: "printer",
                            class: "h-5 w-5"
                          })
                        ], 8, ["onClick"]),
                        createVNode("button", {
                          onClick: ($event) => emailPayment(payment.value.id),
                          class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                        }, [
                          (openBlock(), createBlock("svg", {
                            xmlns: "http://www.w3.org/2000/svg",
                            viewBox: "0 0 24 24",
                            fill: "currentColor",
                            class: "w-4 h-4"
                          }, [
                            createVNode("path", { d: "M1.5 8.67v8.58a3 3 0 003 3h15a3 3 0 003-3V8.67l-8.928 5.493a3 3 0 01-3.144 0L1.5 8.67z" }),
                            createVNode("path", { d: "M22.5 6.908V6.75a3 3 0 00-3-3h-15a3 3 0 00-3 3v.158l9.714 5.978a1.5 1.5 0 001.572 0L22.5 6.908z" })
                          ]))
                        ], 8, ["onClick"]),
                        _ctx.$can("update-payments") ? (openBlock(), createBlock("button", {
                          key: 0,
                          type: "button",
                          id: "edit-payment",
                          onClick: ($event) => editRow(payment.value),
                          class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                        }, [
                          createVNode(_component_icons, {
                            name: "edit",
                            class: "h-5 w-5"
                          })
                        ], 8, ["onClick"])) : createCommentVNode("", true),
                        createVNode("button", {
                          onClick: ($event) => hidePayment(),
                          class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                        }, [
                          createVNode(_component_icons, {
                            name: "cross",
                            class: "h-5 w-5"
                          })
                        ], 8, ["onClick"])
                      ])
                    ])) : createCommentVNode("", true),
                    createVNode("div", { class: "" }, [
                      payment.value ? (openBlock(), createBlock(_sfc_main$a, {
                        key: 0,
                        payment: payment.value
                      }, null, 8, ["payment"])) : createCommentVNode("", true)
                    ])
                  ])
                ]),
                _: 1
              }, 8, ["show"])
            ];
          }
        }),
        _: 1
      }, _parent));
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Payment/List.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
