import { ref, onMounted, onUpdated, resolveComponent, mergeProps, unref, withCtx, createTextVNode, toDisplayString, createVNode, withModifiers, openBlock, createBlock, createCommentVNode, Fragment, renderList, useSSRContext } from "vue";
import { ssrRenderComponent, ssrInterpolate, ssrRenderList, ssrRenderClass } from "vue/server-renderer";
import route from "ziggy-js";
import { useI18n } from "vue-i18n";
import { useForm } from "@inertiajs/vue3";
import { _ as _sfc_main$2 } from "./InputError-951c1c36.js";
import { _ as _sfc_main$4 } from "./Modal-4ced3d7d.js";
import "./ActionMessage-cdce5426.js";
import { _ as _sfc_main$6 } from "./TextInput-f18b2e86.js";
import { _ as _sfc_main$1 } from "./AppLayout-9f2f965f.js";
import { a as _sfc_main$3 } from "./SearchFilter-f1d2d6c1.js";
import _sfc_main$8 from "./Details-afd9fc42.js";
import "./Form-c82706c9.js";
import "./SelectInput-0eee531e.js";
import { _ as _sfc_main$5 } from "./AutoComplete-974a17ce.js";
import { _ as _sfc_main$7 } from "./SecondaryButton-910b0895.js";
import "../ssr.js";
import "@vue/server-renderer";
import "@inertiajs/vue3/server";
import "uuid";
import "./Input-fb927b71.js";
import "./CustomFields-6004e621.js";
import "lodash/debounce.js";
import "./TextareaInput-651f7dc6.js";
import "./FormSection-d5f140fc.js";
import "axios";
import "lodash/throttle.js";
const _sfc_main = {
  __name: "Payments",
  __ssrInlineRender: true,
  props: ["payments", "data", "companies", "users"],
  setup(__props) {
    const props = __props;
    const { t } = useI18n({});
    const form = ref(false);
    const show = ref(false);
    const payment = ref(null);
    props.users.unshift({ value: "", label: "All" });
    props.companies.unshift({ value: "", label: "All" });
    const search = useForm({
      search: "",
      start_date: null,
      end_date: null,
      method: null,
      company: null,
      customer: null,
      user: null,
      invoice: null,
      trashed: null
    });
    onMounted(() => {
      const queryString = window.location.search;
      const urlParams = new URLSearchParams(queryString);
      search.search = urlParams.has("search") ? urlParams.get("search") : null;
      search.trashed = urlParams.has("trashed") ? urlParams.get("trashed") : null;
      search.end_date = urlParams.has("end_date") ? urlParams.get("end_date") : null;
      search.start_date = urlParams.has("start_date") ? urlParams.get("start_date") : null;
      search.company = urlParams.has("company") ? urlParams.get("company") : null;
      search.method = urlParams.has("method") ? urlParams.get("method") : null;
      search.customer = urlParams.has("customer") ? urlParams.get("customer") : null;
      search.user = urlParams.has("user") ? urlParams.get("user") : null;
      search.invoice = urlParams.has("invoice") ? urlParams.get("invoice") : null;
    });
    onUpdated(() => {
      if (!props.users.find((u) => u.label == "All")) {
        props.users.unshift({ value: "", label: "All" });
      }
      if (!props.companies.find((u) => u.label == "All")) {
        props.companies.unshift({ value: "", label: "All" });
      }
    });
    const print = () => {
      window.print();
    };
    const showPayment = (ch) => {
      show.value = true;
      payment.value = ch;
    };
    const showForm = () => {
      form.value = true;
    };
    const resetForm = () => {
      search.search = "";
      search.start_date = null;
      search.end_date = null;
      search.method = null;
      search.company = null;
      search.customer = null;
      search.user = null;
      search.invoice = null;
      search.trashed = null;
      form.value = false;
      searchNow();
    };
    const hideForm = () => {
      form.value = false;
    };
    const hidePayment = (ch) => {
      show.value = false;
      payment.value = null;
    };
    const searchNow = () => {
      hideForm();
      search.transform((data) => {
        let obj = {
          ...data,
          remember: data.remember ? "on" : ""
        };
        return Object.entries(obj).reduce((a, [k, v]) => v ? (a[k] = v, a) : a, {});
      }).get(route("reports.payments"), { preserveState: true });
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_icons = resolveComponent("icons");
      _push(ssrRenderComponent(_sfc_main$1, mergeProps({
        title: unref(t)("Payments Report")
      }, _attrs), {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="contents"${_scopeId}><div class="py-8"${_scopeId}><div class="max-w-7xl mx-auto sm:px-6 lg:px-8"${_scopeId}><div class="bg-white dark:bg-gray-900 shadow sm:rounded-lg"${_scopeId}><div class="sm:rounded-lg"${_scopeId}><div class="p-6 sm:rounded-t-lg border-b border-gray-200 dark:border-gray-700 block md:flex md:items-center md:justify-between"${_scopeId}><div${_scopeId}><div class="text-2xl"${_scopeId}>${ssrInterpolate(unref(t)("Payments Report"))} <span class="text-base"${_scopeId}>${ssrInterpolate(unref(search).start_date ? "(from: " + _ctx.$date(unref(search).start_date) + ")" : "")} ${ssrInterpolate(unref(search).end_date ? "(to: " + _ctx.$date(unref(search).end_date) + ")" : "")} ${ssrInterpolate({ with: "(" + unref(t)("With Trashed") + ")", only: "(" + unref(t)("Only Trashed") + ")" }[unref(search).trashed])}</span></div><div class="mt-1 text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Please review the result below"))}</div></div><div class="mt-4 sm:mt-0 block sm:flex sm:items-center sm:gap-4"${_scopeId}>`);
            _push2(ssrRenderComponent(_sfc_main$2, { onClick: showForm }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`${ssrInterpolate(unref(t)("Customize"))}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(unref(t)("Customize")), 1)
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</div></div><div class="p-6 border-b dark:border-gray-700 bg-gray-50 dark:bg-gray-900"${_scopeId}><dl class="grid grid-cols-1 divide-y divide-gray-200 overflow-hidden rounded-lg bg-white dark:bg-gray-800 md:grid-cols-2 md:divide-y-0 md:divide-x dark:divide-gray-700 border dark:border-gray-700"${_scopeId}><div class="px-4 py-5 sm:p-6"${_scopeId}><dt class="text-base font-normal text-gray-900 dark:text-gray-100"${_scopeId}>${ssrInterpolate(unref(t)("Total Payments"))}</dt><dd class="mt-1 flex items-baseline justify-between md:block lg:flex"${_scopeId}><div class="flex items-baseline text-2xl font-semibold text-blue-600 dark:text-blue-400"${_scopeId}>${ssrInterpolate(_ctx.$number(__props.data.count, null, { maximumFractionDigits: 0 }))}</div></dd></div><div class="px-4 py-5 sm:p-6"${_scopeId}><dt class="text-base font-normal text-gray-900 dark:text-gray-100"${_scopeId}>${ssrInterpolate(unref(t)("Total Amount"))}</dt><dd class="mt-1 flex items-baseline justify-between md:block lg:flex"${_scopeId}><div class="flex items-baseline text-2xl font-semibold text-blue-600 dark:text-blue-400"${_scopeId}>${ssrInterpolate(_ctx.$number(__props.data.amount))}</div></dd></div></dl></div><div class="bg-gray-50 dark:bg-black/50 border-b dark:border-gray-700 sm:rounded-b-lg"${_scopeId}>`);
            if (props.payments && props.payments.data && props.payments.data.length) {
              _push2(`<div${_scopeId}><div class="flex flex-col"${_scopeId}><div class="-my-2 overflow-x-auto sm:-mx-6 lg:-mx-8"${_scopeId}><div class="inline-block min-w-full py-2 align-middle sm:px-6 lg:px-8"${_scopeId}><div class="relative overflow-hidden ring-1 ring-black ring-opacity-5"${_scopeId}><table class="min-w-full table-fixed divide-y divide-gray-300 dark:divide-gray-700"${_scopeId}><thead class="bg-gray-50 dark:bg-black/50"${_scopeId}><tr${_scopeId}><th scope="col" class="px-3 py-3.5 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"${_scopeId}>${ssrInterpolate(unref(t)("Payment"))}</th><th scope="col" class="py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"${_scopeId}>${ssrInterpolate(unref(t)("Relations"))}</th><th scope="col" class="py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"${_scopeId}>${ssrInterpolate(unref(t)("Amount"))}</th><th scope="col" class="py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"${_scopeId}>${ssrInterpolate(unref(t)("Custom Fields"))}</th></tr></thead><tbody class="divide-y divide-gray-200 dark:divide-gray-700 bg-white dark:bg-gray-900"${_scopeId}><!--[-->`);
              ssrRenderList(props.payments.data, (payment2, pi) => {
                var _a, _b, _c;
                _push2(`<tr${_scopeId}><td class="whitespace-nowrap px-3 py-4 text-sm font-medium"${_scopeId}><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Number"))}: </span> ${ssrInterpolate(payment2.id)}</div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Date"))}: </span> ${ssrInterpolate(_ctx.$date(payment2.date))}</div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Created at"))}: </span> ${ssrInterpolate(_ctx.$datetime(payment2.created_at))}</div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Ref"))}: </span> ${ssrInterpolate(payment2.reference)}</div></td><td class="whitespace-nowrap px-3 py-4 text-sm font-medium"${_scopeId}><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Invoice No."))}: </span> ${ssrInterpolate(payment2.invoice_id)}</div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Customer"))}: </span><span class="${ssrRenderClass("customer-" + pi)}"${_scopeId}>${ssrInterpolate((_a = payment2.customer) == null ? void 0 : _a.name)}</span></div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Company"))}: </span> ${ssrInterpolate((_b = payment2.company) == null ? void 0 : _b.name)}</div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("By user"))}: </span> ${ssrInterpolate((_c = payment2.user) == null ? void 0 : _c.name)}</div></td><td class="whitespace-nowrap px-3 py-4 text-sm font-bold text-right"${_scopeId}><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Amount"))}: </span><span class="text-base"${_scopeId}>${ssrInterpolate(_ctx.$number(payment2.amount))}</span></div><div class="flex items-center gap-1"${_scopeId}><span class="text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Method"))}: </span><span class="capitalize text-base"${_scopeId}>${ssrInterpolate(payment2.method)}</span></div></td><td class="px-3 py-4 text-sm"${_scopeId}><div class="flex items-center flex-wrap gap-x-4 gap-y-2 min-w-[200px] max-w-xs"${_scopeId}>${_ctx.$extra_attributes(payment2.extra_attributes)}</div></td></tr>`);
              });
              _push2(`<!--]--></tbody></table></div></div></div>`);
              _push2(ssrRenderComponent(_sfc_main$3, {
                class: "m-4",
                meta: props.payments.meta,
                links: props.payments.links
              }, null, _parent2, _scopeId));
              _push2(`</div></div>`);
            } else {
              _push2(`<div class="py-4 px-6"${_scopeId}>${ssrInterpolate(unref(t)("There is no data to display."))}</div>`);
            }
            _push2(`</div></div></div></div></div></div>`);
            _push2(ssrRenderComponent(_sfc_main$4, {
              show: form.value,
              "max-width": "xl",
              closeable: true,
              onClose: hideForm
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                var _a, _b, _c, _d;
                if (_push3) {
                  _push3(`<form${_scopeId2}><div class="relative grid grid-cols-1 sm:grid-cols-2 p-6 gap-4 bg-white dark:bg-gray-800"${_scopeId2}><button class="absolute right-3.5 top-3.5 flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_component_icons, {
                    name: "cross",
                    class: "h-5 w-5"
                  }, null, _parent3, _scopeId2));
                  _push3(`</button><div class="col-span-full bg-gray-100 dark:bg-gray-900 -m-6 px-6 py-4"${_scopeId2}><div class="text-lg"${_scopeId2}>${ssrInterpolate(unref(t)("Customize Payments Report"))}</div></div><div class="col-span-full mt-4"${_scopeId2}><div class="mt-1 text-gray-500 dark:text-gray-400"${_scopeId2}>${ssrInterpolate(unref(t)("Please edit the form to customize the report"))}</div></div><div${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$5, {
                    json: true,
                    id: "company_id",
                    searchable: false,
                    label: unref(t)("Company"),
                    suggestions: __props.companies,
                    modelValue: unref(search).company,
                    "onUpdate:modelValue": ($event) => unref(search).company = $event
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$5, {
                    json: true,
                    id: "customer_id",
                    searchable: true,
                    label: unref(t)("Customer"),
                    modelValue: unref(search).customer,
                    "onUpdate:modelValue": ($event) => unref(search).customer = $event,
                    selected: (_a = unref(search)) == null ? void 0 : _a.customer,
                    suggestions: unref(route)("search.customers")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$5, {
                    json: true,
                    id: "user_id",
                    label: unref(t)("User"),
                    searchable: false,
                    suggestions: __props.users,
                    modelValue: unref(search).user,
                    "onUpdate:modelValue": ($event) => unref(search).user = $event,
                    selected: (_b = unref(search)) == null ? void 0 : _b.user
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$5, {
                    id: "trashed",
                    json: true,
                    searchable: false,
                    label: unref(t)("Trashed"),
                    modelValue: unref(search).trashed,
                    "onUpdate:modelValue": ($event) => unref(search).trashed = $event,
                    suggestions: [
                      { value: "", label: "Not Trashed" },
                      { value: "with", label: "With Trashed" },
                      { value: "only", label: "Only Trashed" }
                    ]
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$6, {
                    type: "text",
                    modelValue: unref(search).invoice,
                    "onUpdate:modelValue": ($event) => unref(search).invoice = $event,
                    id: "invoice",
                    label: unref(t)("Invoice No.")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$6, {
                    type: "text",
                    modelValue: unref(search).method,
                    "onUpdate:modelValue": ($event) => unref(search).method = $event,
                    id: "method",
                    label: unref(t)("Method")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$6, {
                    type: "date",
                    modelValue: unref(search).start_date,
                    "onUpdate:modelValue": ($event) => unref(search).start_date = $event,
                    id: "start_date",
                    label: unref(t)("Start Date")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$6, {
                    type: "date",
                    modelValue: unref(search).end_date,
                    "onUpdate:modelValue": ($event) => unref(search).end_date = $event,
                    id: "end_date",
                    label: unref(t)("End Date")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="mt-2 col-span-full flex gap-6 justify-end items-center bg-gray-100 dark:bg-gray-900 -m-6 px-6 py-4"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$7, { onClick: resetForm }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`${ssrInterpolate(unref(t)("Reset"))}`);
                      } else {
                        return [
                          createTextVNode(toDisplayString(unref(t)("Reset")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(_sfc_main$2, { type: "submit" }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`${ssrInterpolate(unref(t)("Update"))}`);
                      } else {
                        return [
                          createTextVNode(toDisplayString(unref(t)("Update")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(`</div></div></form>`);
                } else {
                  return [
                    createVNode("form", {
                      onSubmit: withModifiers(searchNow, ["prevent"])
                    }, [
                      createVNode("div", { class: "relative grid grid-cols-1 sm:grid-cols-2 p-6 gap-4 bg-white dark:bg-gray-800" }, [
                        createVNode("button", {
                          onClick: ($event) => hideForm(),
                          class: "absolute right-3.5 top-3.5 flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                        }, [
                          createVNode(_component_icons, {
                            name: "cross",
                            class: "h-5 w-5"
                          })
                        ], 8, ["onClick"]),
                        createVNode("div", { class: "col-span-full bg-gray-100 dark:bg-gray-900 -m-6 px-6 py-4" }, [
                          createVNode("div", { class: "text-lg" }, toDisplayString(unref(t)("Customize Payments Report")), 1)
                        ]),
                        createVNode("div", { class: "col-span-full mt-4" }, [
                          createVNode("div", { class: "mt-1 text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Please edit the form to customize the report")), 1)
                        ]),
                        createVNode("div", null, [
                          createVNode(_sfc_main$5, {
                            json: true,
                            id: "company_id",
                            searchable: false,
                            label: unref(t)("Company"),
                            suggestions: __props.companies,
                            modelValue: unref(search).company,
                            "onUpdate:modelValue": ($event) => unref(search).company = $event
                          }, null, 8, ["label", "suggestions", "modelValue", "onUpdate:modelValue"])
                        ]),
                        createVNode("div", null, [
                          createVNode(_sfc_main$5, {
                            json: true,
                            id: "customer_id",
                            searchable: true,
                            label: unref(t)("Customer"),
                            modelValue: unref(search).customer,
                            "onUpdate:modelValue": ($event) => unref(search).customer = $event,
                            selected: (_c = unref(search)) == null ? void 0 : _c.customer,
                            suggestions: unref(route)("search.customers")
                          }, null, 8, ["label", "modelValue", "onUpdate:modelValue", "selected", "suggestions"])
                        ]),
                        createVNode("div", null, [
                          createVNode(_sfc_main$5, {
                            json: true,
                            id: "user_id",
                            label: unref(t)("User"),
                            searchable: false,
                            suggestions: __props.users,
                            modelValue: unref(search).user,
                            "onUpdate:modelValue": ($event) => unref(search).user = $event,
                            selected: (_d = unref(search)) == null ? void 0 : _d.user
                          }, null, 8, ["label", "suggestions", "modelValue", "onUpdate:modelValue", "selected"])
                        ]),
                        createVNode("div", null, [
                          createVNode(_sfc_main$5, {
                            id: "trashed",
                            json: true,
                            searchable: false,
                            label: unref(t)("Trashed"),
                            modelValue: unref(search).trashed,
                            "onUpdate:modelValue": ($event) => unref(search).trashed = $event,
                            suggestions: [
                              { value: "", label: "Not Trashed" },
                              { value: "with", label: "With Trashed" },
                              { value: "only", label: "Only Trashed" }
                            ]
                          }, null, 8, ["label", "modelValue", "onUpdate:modelValue"])
                        ]),
                        createVNode("div", null, [
                          createVNode(_sfc_main$6, {
                            type: "text",
                            modelValue: unref(search).invoice,
                            "onUpdate:modelValue": ($event) => unref(search).invoice = $event,
                            id: "invoice",
                            label: unref(t)("Invoice No.")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "label"])
                        ]),
                        createVNode("div", null, [
                          createVNode(_sfc_main$6, {
                            type: "text",
                            modelValue: unref(search).method,
                            "onUpdate:modelValue": ($event) => unref(search).method = $event,
                            id: "method",
                            label: unref(t)("Method")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "label"])
                        ]),
                        createVNode("div", null, [
                          createVNode(_sfc_main$6, {
                            type: "date",
                            modelValue: unref(search).start_date,
                            "onUpdate:modelValue": ($event) => unref(search).start_date = $event,
                            id: "start_date",
                            label: unref(t)("Start Date")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "label"])
                        ]),
                        createVNode("div", null, [
                          createVNode(_sfc_main$6, {
                            type: "date",
                            modelValue: unref(search).end_date,
                            "onUpdate:modelValue": ($event) => unref(search).end_date = $event,
                            id: "end_date",
                            label: unref(t)("End Date")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "label"])
                        ]),
                        createVNode("div", { class: "mt-2 col-span-full flex gap-6 justify-end items-center bg-gray-100 dark:bg-gray-900 -m-6 px-6 py-4" }, [
                          createVNode(_sfc_main$7, { onClick: resetForm }, {
                            default: withCtx(() => [
                              createTextVNode(toDisplayString(unref(t)("Reset")), 1)
                            ]),
                            _: 1
                          }),
                          createVNode(_sfc_main$2, { type: "submit" }, {
                            default: withCtx(() => [
                              createTextVNode(toDisplayString(unref(t)("Update")), 1)
                            ]),
                            _: 1
                          })
                        ])
                      ])
                    ], 40, ["onSubmit"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_sfc_main$4, {
              show: show.value,
              "max-width": "4xl",
              closeable: true,
              onClose: hidePayment
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div class="px-6 pt-3 pb-6 print:px-0 bg-gray-100 dark:bg-gray-800"${_scopeId2}>`);
                  if (show.value && payment.value) {
                    _push3(`<div class="flex items-center justify-between print:hidden"${_scopeId2}><div class="text-lg"${_scopeId2}>${ssrInterpolate(unref(t)("Payment No."))} ${ssrInterpolate(payment.value.id)} </div><div class="-mr-2 flex items- gap-2"${_scopeId2}><button class="flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_component_icons, {
                      name: "printer",
                      class: "h-5 w-5"
                    }, null, _parent3, _scopeId2));
                    _push3(`</button><button class="flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_component_icons, {
                      name: "cross",
                      class: "h-5 w-5"
                    }, null, _parent3, _scopeId2));
                    _push3(`</button></div></div>`);
                  } else {
                    _push3(`<!---->`);
                  }
                  _push3(`<div class=""${_scopeId2}>`);
                  if (payment.value) {
                    _push3(ssrRenderComponent(_sfc_main$8, { payment: payment.value }, null, _parent3, _scopeId2));
                  } else {
                    _push3(`<!---->`);
                  }
                  _push3(`</div></div>`);
                } else {
                  return [
                    createVNode("div", { class: "px-6 pt-3 pb-6 print:px-0 bg-gray-100 dark:bg-gray-800" }, [
                      show.value && payment.value ? (openBlock(), createBlock("div", {
                        key: 0,
                        class: "flex items-center justify-between print:hidden"
                      }, [
                        createVNode("div", { class: "text-lg" }, toDisplayString(unref(t)("Payment No.")) + " " + toDisplayString(payment.value.id) + " ", 1),
                        createVNode("div", { class: "-mr-2 flex items- gap-2" }, [
                          createVNode("button", {
                            onClick: ($event) => print(),
                            class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                          }, [
                            createVNode(_component_icons, {
                              name: "printer",
                              class: "h-5 w-5"
                            })
                          ], 8, ["onClick"]),
                          createVNode("button", {
                            onClick: ($event) => hidePayment(),
                            class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                          }, [
                            createVNode(_component_icons, {
                              name: "cross",
                              class: "h-5 w-5"
                            })
                          ], 8, ["onClick"])
                        ])
                      ])) : createCommentVNode("", true),
                      createVNode("div", { class: "" }, [
                        payment.value ? (openBlock(), createBlock(_sfc_main$8, {
                          key: 0,
                          payment: payment.value
                        }, null, 8, ["payment"])) : createCommentVNode("", true)
                      ])
                    ])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode("div", { class: "contents" }, [
                createVNode("div", { class: "py-8" }, [
                  createVNode("div", { class: "max-w-7xl mx-auto sm:px-6 lg:px-8" }, [
                    createVNode("div", { class: "bg-white dark:bg-gray-900 shadow sm:rounded-lg" }, [
                      createVNode("div", { class: "sm:rounded-lg" }, [
                        createVNode("div", { class: "p-6 sm:rounded-t-lg border-b border-gray-200 dark:border-gray-700 block md:flex md:items-center md:justify-between" }, [
                          createVNode("div", null, [
                            createVNode("div", { class: "text-2xl" }, [
                              createTextVNode(toDisplayString(unref(t)("Payments Report")) + " ", 1),
                              createVNode("span", { class: "text-base" }, toDisplayString(unref(search).start_date ? "(from: " + _ctx.$date(unref(search).start_date) + ")" : "") + " " + toDisplayString(unref(search).end_date ? "(to: " + _ctx.$date(unref(search).end_date) + ")" : "") + " " + toDisplayString({ with: "(" + unref(t)("With Trashed") + ")", only: "(" + unref(t)("Only Trashed") + ")" }[unref(search).trashed]), 1)
                            ]),
                            createVNode("div", { class: "mt-1 text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Please review the result below")), 1)
                          ]),
                          createVNode("div", { class: "mt-4 sm:mt-0 block sm:flex sm:items-center sm:gap-4" }, [
                            createVNode(_sfc_main$2, { onClick: showForm }, {
                              default: withCtx(() => [
                                createTextVNode(toDisplayString(unref(t)("Customize")), 1)
                              ]),
                              _: 1
                            })
                          ])
                        ]),
                        createVNode("div", { class: "p-6 border-b dark:border-gray-700 bg-gray-50 dark:bg-gray-900" }, [
                          createVNode("dl", { class: "grid grid-cols-1 divide-y divide-gray-200 overflow-hidden rounded-lg bg-white dark:bg-gray-800 md:grid-cols-2 md:divide-y-0 md:divide-x dark:divide-gray-700 border dark:border-gray-700" }, [
                            createVNode("div", { class: "px-4 py-5 sm:p-6" }, [
                              createVNode("dt", { class: "text-base font-normal text-gray-900 dark:text-gray-100" }, toDisplayString(unref(t)("Total Payments")), 1),
                              createVNode("dd", { class: "mt-1 flex items-baseline justify-between md:block lg:flex" }, [
                                createVNode("div", { class: "flex items-baseline text-2xl font-semibold text-blue-600 dark:text-blue-400" }, toDisplayString(_ctx.$number(__props.data.count, null, { maximumFractionDigits: 0 })), 1)
                              ])
                            ]),
                            createVNode("div", { class: "px-4 py-5 sm:p-6" }, [
                              createVNode("dt", { class: "text-base font-normal text-gray-900 dark:text-gray-100" }, toDisplayString(unref(t)("Total Amount")), 1),
                              createVNode("dd", { class: "mt-1 flex items-baseline justify-between md:block lg:flex" }, [
                                createVNode("div", { class: "flex items-baseline text-2xl font-semibold text-blue-600 dark:text-blue-400" }, toDisplayString(_ctx.$number(__props.data.amount)), 1)
                              ])
                            ])
                          ])
                        ]),
                        createVNode("div", { class: "bg-gray-50 dark:bg-black/50 border-b dark:border-gray-700 sm:rounded-b-lg" }, [
                          props.payments && props.payments.data && props.payments.data.length ? (openBlock(), createBlock("div", { key: 0 }, [
                            createVNode("div", { class: "flex flex-col" }, [
                              createVNode("div", { class: "-my-2 overflow-x-auto sm:-mx-6 lg:-mx-8" }, [
                                createVNode("div", { class: "inline-block min-w-full py-2 align-middle sm:px-6 lg:px-8" }, [
                                  createVNode("div", { class: "relative overflow-hidden ring-1 ring-black ring-opacity-5" }, [
                                    createVNode("table", { class: "min-w-full table-fixed divide-y divide-gray-300 dark:divide-gray-700" }, [
                                      createVNode("thead", { class: "bg-gray-50 dark:bg-black/50" }, [
                                        createVNode("tr", null, [
                                          createVNode("th", {
                                            scope: "col",
                                            class: "px-3 py-3.5 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"
                                          }, toDisplayString(unref(t)("Payment")), 1),
                                          createVNode("th", {
                                            scope: "col",
                                            class: "py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"
                                          }, toDisplayString(unref(t)("Relations")), 1),
                                          createVNode("th", {
                                            scope: "col",
                                            class: "py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"
                                          }, toDisplayString(unref(t)("Amount")), 1),
                                          createVNode("th", {
                                            scope: "col",
                                            class: "py-3.5 px-3 text-left text-sm font-semibold text-gray-900 dark:text-gray-100"
                                          }, toDisplayString(unref(t)("Custom Fields")), 1)
                                        ])
                                      ]),
                                      createVNode("tbody", { class: "divide-y divide-gray-200 dark:divide-gray-700 bg-white dark:bg-gray-900" }, [
                                        (openBlock(true), createBlock(Fragment, null, renderList(props.payments.data, (payment2, pi) => {
                                          var _a, _b, _c;
                                          return openBlock(), createBlock("tr", {
                                            key: payment2.id
                                          }, [
                                            createVNode("td", {
                                              class: "whitespace-nowrap px-3 py-4 text-sm font-medium",
                                              onClick: ($event) => showPayment(payment2)
                                            }, [
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Number")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString(payment2.id), 1)
                                              ]),
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Date")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString(_ctx.$date(payment2.date)), 1)
                                              ]),
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Created at")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString(_ctx.$datetime(payment2.created_at)), 1)
                                              ]),
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Ref")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString(payment2.reference), 1)
                                              ])
                                            ], 8, ["onClick"]),
                                            createVNode("td", {
                                              class: "whitespace-nowrap px-3 py-4 text-sm font-medium",
                                              onClick: ($event) => showPayment(payment2)
                                            }, [
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Invoice No.")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString(payment2.invoice_id), 1)
                                              ]),
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Customer")) + ": ", 1),
                                                createVNode("span", {
                                                  class: "customer-" + pi
                                                }, toDisplayString((_a = payment2.customer) == null ? void 0 : _a.name), 3)
                                              ]),
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Company")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString((_b = payment2.company) == null ? void 0 : _b.name), 1)
                                              ]),
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("By user")) + ": ", 1),
                                                createTextVNode(" " + toDisplayString((_c = payment2.user) == null ? void 0 : _c.name), 1)
                                              ])
                                            ], 8, ["onClick"]),
                                            createVNode("td", {
                                              class: "whitespace-nowrap px-3 py-4 text-sm font-bold text-right",
                                              onClick: ($event) => showPayment(payment2)
                                            }, [
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Amount")) + ": ", 1),
                                                createVNode("span", { class: "text-base" }, toDisplayString(_ctx.$number(payment2.amount)), 1)
                                              ]),
                                              createVNode("div", { class: "flex items-center gap-1" }, [
                                                createVNode("span", { class: "text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Method")) + ": ", 1),
                                                createVNode("span", { class: "capitalize text-base" }, toDisplayString(payment2.method), 1)
                                              ])
                                            ], 8, ["onClick"]),
                                            createVNode("td", {
                                              class: "px-3 py-4 text-sm",
                                              onClick: ($event) => showPayment(payment2)
                                            }, [
                                              createVNode("div", {
                                                class: "flex items-center flex-wrap gap-x-4 gap-y-2 min-w-[200px] max-w-xs",
                                                innerHTML: _ctx.$extra_attributes(payment2.extra_attributes)
                                              }, null, 8, ["innerHTML"])
                                            ], 8, ["onClick"])
                                          ]);
                                        }), 128))
                                      ])
                                    ])
                                  ])
                                ])
                              ]),
                              createVNode(_sfc_main$3, {
                                class: "m-4",
                                meta: props.payments.meta,
                                links: props.payments.links
                              }, null, 8, ["meta", "links"])
                            ])
                          ])) : (openBlock(), createBlock("div", {
                            key: 1,
                            class: "py-4 px-6"
                          }, toDisplayString(unref(t)("There is no data to display.")), 1))
                        ])
                      ])
                    ])
                  ])
                ])
              ]),
              createVNode(_sfc_main$4, {
                show: form.value,
                "max-width": "xl",
                closeable: true,
                onClose: hideForm
              }, {
                default: withCtx(() => {
                  var _a, _b;
                  return [
                    createVNode("form", {
                      onSubmit: withModifiers(searchNow, ["prevent"])
                    }, [
                      createVNode("div", { class: "relative grid grid-cols-1 sm:grid-cols-2 p-6 gap-4 bg-white dark:bg-gray-800" }, [
                        createVNode("button", {
                          onClick: ($event) => hideForm(),
                          class: "absolute right-3.5 top-3.5 flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                        }, [
                          createVNode(_component_icons, {
                            name: "cross",
                            class: "h-5 w-5"
                          })
                        ], 8, ["onClick"]),
                        createVNode("div", { class: "col-span-full bg-gray-100 dark:bg-gray-900 -m-6 px-6 py-4" }, [
                          createVNode("div", { class: "text-lg" }, toDisplayString(unref(t)("Customize Payments Report")), 1)
                        ]),
                        createVNode("div", { class: "col-span-full mt-4" }, [
                          createVNode("div", { class: "mt-1 text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Please edit the form to customize the report")), 1)
                        ]),
                        createVNode("div", null, [
                          createVNode(_sfc_main$5, {
                            json: true,
                            id: "company_id",
                            searchable: false,
                            label: unref(t)("Company"),
                            suggestions: __props.companies,
                            modelValue: unref(search).company,
                            "onUpdate:modelValue": ($event) => unref(search).company = $event
                          }, null, 8, ["label", "suggestions", "modelValue", "onUpdate:modelValue"])
                        ]),
                        createVNode("div", null, [
                          createVNode(_sfc_main$5, {
                            json: true,
                            id: "customer_id",
                            searchable: true,
                            label: unref(t)("Customer"),
                            modelValue: unref(search).customer,
                            "onUpdate:modelValue": ($event) => unref(search).customer = $event,
                            selected: (_a = unref(search)) == null ? void 0 : _a.customer,
                            suggestions: unref(route)("search.customers")
                          }, null, 8, ["label", "modelValue", "onUpdate:modelValue", "selected", "suggestions"])
                        ]),
                        createVNode("div", null, [
                          createVNode(_sfc_main$5, {
                            json: true,
                            id: "user_id",
                            label: unref(t)("User"),
                            searchable: false,
                            suggestions: __props.users,
                            modelValue: unref(search).user,
                            "onUpdate:modelValue": ($event) => unref(search).user = $event,
                            selected: (_b = unref(search)) == null ? void 0 : _b.user
                          }, null, 8, ["label", "suggestions", "modelValue", "onUpdate:modelValue", "selected"])
                        ]),
                        createVNode("div", null, [
                          createVNode(_sfc_main$5, {
                            id: "trashed",
                            json: true,
                            searchable: false,
                            label: unref(t)("Trashed"),
                            modelValue: unref(search).trashed,
                            "onUpdate:modelValue": ($event) => unref(search).trashed = $event,
                            suggestions: [
                              { value: "", label: "Not Trashed" },
                              { value: "with", label: "With Trashed" },
                              { value: "only", label: "Only Trashed" }
                            ]
                          }, null, 8, ["label", "modelValue", "onUpdate:modelValue"])
                        ]),
                        createVNode("div", null, [
                          createVNode(_sfc_main$6, {
                            type: "text",
                            modelValue: unref(search).invoice,
                            "onUpdate:modelValue": ($event) => unref(search).invoice = $event,
                            id: "invoice",
                            label: unref(t)("Invoice No.")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "label"])
                        ]),
                        createVNode("div", null, [
                          createVNode(_sfc_main$6, {
                            type: "text",
                            modelValue: unref(search).method,
                            "onUpdate:modelValue": ($event) => unref(search).method = $event,
                            id: "method",
                            label: unref(t)("Method")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "label"])
                        ]),
                        createVNode("div", null, [
                          createVNode(_sfc_main$6, {
                            type: "date",
                            modelValue: unref(search).start_date,
                            "onUpdate:modelValue": ($event) => unref(search).start_date = $event,
                            id: "start_date",
                            label: unref(t)("Start Date")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "label"])
                        ]),
                        createVNode("div", null, [
                          createVNode(_sfc_main$6, {
                            type: "date",
                            modelValue: unref(search).end_date,
                            "onUpdate:modelValue": ($event) => unref(search).end_date = $event,
                            id: "end_date",
                            label: unref(t)("End Date")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "label"])
                        ]),
                        createVNode("div", { class: "mt-2 col-span-full flex gap-6 justify-end items-center bg-gray-100 dark:bg-gray-900 -m-6 px-6 py-4" }, [
                          createVNode(_sfc_main$7, { onClick: resetForm }, {
                            default: withCtx(() => [
                              createTextVNode(toDisplayString(unref(t)("Reset")), 1)
                            ]),
                            _: 1
                          }),
                          createVNode(_sfc_main$2, { type: "submit" }, {
                            default: withCtx(() => [
                              createTextVNode(toDisplayString(unref(t)("Update")), 1)
                            ]),
                            _: 1
                          })
                        ])
                      ])
                    ], 40, ["onSubmit"])
                  ];
                }),
                _: 1
              }, 8, ["show"]),
              createVNode(_sfc_main$4, {
                show: show.value,
                "max-width": "4xl",
                closeable: true,
                onClose: hidePayment
              }, {
                default: withCtx(() => [
                  createVNode("div", { class: "px-6 pt-3 pb-6 print:px-0 bg-gray-100 dark:bg-gray-800" }, [
                    show.value && payment.value ? (openBlock(), createBlock("div", {
                      key: 0,
                      class: "flex items-center justify-between print:hidden"
                    }, [
                      createVNode("div", { class: "text-lg" }, toDisplayString(unref(t)("Payment No.")) + " " + toDisplayString(payment.value.id) + " ", 1),
                      createVNode("div", { class: "-mr-2 flex items- gap-2" }, [
                        createVNode("button", {
                          onClick: ($event) => print(),
                          class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                        }, [
                          createVNode(_component_icons, {
                            name: "printer",
                            class: "h-5 w-5"
                          })
                        ], 8, ["onClick"]),
                        createVNode("button", {
                          onClick: ($event) => hidePayment(),
                          class: "flex items-center justify-center h-8 w-8 rounded-full text-gray-600 hover:text-gray-800 hover:bg-gray-300 dark:text-gray-400 dark:hover:text-gray-200 dark:hover:bg-gray-700 focus:outline-none"
                        }, [
                          createVNode(_component_icons, {
                            name: "cross",
                            class: "h-5 w-5"
                          })
                        ], 8, ["onClick"])
                      ])
                    ])) : createCommentVNode("", true),
                    createVNode("div", { class: "" }, [
                      payment.value ? (openBlock(), createBlock(_sfc_main$8, {
                        key: 0,
                        payment: payment.value
                      }, null, 8, ["payment"])) : createCommentVNode("", true)
                    ])
                  ])
                ]),
                _: 1
              }, 8, ["show"])
            ];
          }
        }),
        _: 1
      }, _parent));
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Report/Payments.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
