import { resolveComponent, unref, withCtx, createTextVNode, toDisplayString, useSSRContext, mergeProps, createVNode, renderSlot } from "vue";
import { ssrRenderAttrs, ssrInterpolate, ssrRenderList, ssrRenderComponent, ssrRenderAttr, ssrRenderClass, ssrRenderSlot } from "vue/server-renderer";
import { useI18n } from "vue-i18n";
import { a as _sfc_main$2 } from "./AppLayout-9f2f965f.js";
const _sfc_main$1 = {
  __name: "Pagination",
  __ssrInlineRender: true,
  props: ["meta", "links"],
  setup(__props) {
    const props = __props;
    const { t } = useI18n({});
    return (_ctx, _push, _parent, _attrs) => {
      const _component_Link = resolveComponent("Link");
      _push(`<div${ssrRenderAttrs(_attrs)}><div class="hidden lg:flex items-center justify-between"><div class="mr-4">${ssrInterpolate(unref(t)("Showing from {from} to {to} of total {total} records", { from: props.meta.from, to: props.meta.to, total: props.meta.total }))}</div><div class="flex flex-wrap -mb-1"><!--[-->`);
      ssrRenderList(props.meta.links, (link, i) => {
        _push(`<!--[-->`);
        if (link.url === null) {
          _push(`<div class="mr-1 mb-1 px-4 py-2 text-sm leading-4 text-gray-400 dark:text-gray-600 shadow opacity-50 bg-white dark:bg-gray-800 rounded-md cursor-default">${link.label}</div>`);
        } else {
          _push(ssrRenderComponent(_component_Link, {
            href: link.url,
            class: [link.active ? "bg-blue-600 border-blue-700 text-white" : "bg-white dark:bg-gray-800", "inline-block whitespace-nowrap mr-1 mb-1 px-4 py-2 text-sm leading-4 shadow rounded-md hover:bg-blue-700 hover:text-white hover:border-blue-700 focus:border-blue-600 focus:text-white"]
          }, null, _parent));
        }
        _push(`<!--]-->`);
      });
      _push(`<!--]--></div></div><div class="block sm:flex items-center justify-between lg:hidden"><div class="mx-3 flex-1 text-center sm:text-left">${ssrInterpolate(unref(t)("Showing from {from} to {to} of total {total} records", { from: props.meta.from, to: props.meta.to, total: props.meta.total }))}</div><div class="flex items-center justify-between gap-3 mt-3 sm:mt-0">`);
      if (props.links.prev) {
        _push(ssrRenderComponent(_component_Link, {
          href: props.links.prev,
          class: "inline-block whitespace-nowrap mr-1 mb-1 px-4 py-2 text-sm leading-4 shadow rounded-md bg-white dark:bg-gray-800 hover:bg-blue-700 hover:text-white hover:border-blue-700 focus:border-blue-600 focus:text-white"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(` « ${ssrInterpolate(unref(t)("Previous"))}`);
            } else {
              return [
                createTextVNode(" « " + toDisplayString(unref(t)("Previous")), 1)
              ];
            }
          }),
          _: 1
        }, _parent));
      } else {
        _push(`<span class="inline-block whitespace-nowrap mr-1 mb-1 px-4 py-2 text-sm leading-4 shadow rounded-md text-gray-600 bg-gray-100 dark:bg-gray-800 cursor-default"> « ${ssrInterpolate(unref(t)("Previous"))}</span>`);
      }
      if (props.links.next) {
        _push(ssrRenderComponent(_component_Link, {
          href: props.links.next,
          class: "inline-block whitespace-nowrap mr-1 mb-1 px-4 py-2 text-sm leading-4 shadow rounded-md bg-white dark:bg-gray-800 hover:bg-blue-700 hover:text-white hover:border-blue-700 focus:border-blue-600 focus:text-white"
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`${ssrInterpolate(unref(t)("Next"))} » `);
            } else {
              return [
                createTextVNode(toDisplayString(unref(t)("Next")) + " » ", 1)
              ];
            }
          }),
          _: 1
        }, _parent));
      } else {
        _push(`<span class="inline-block whitespace-nowrap mr-1 mb-1 px-4 py-2 text-sm leading-4 shadow rounded-md text-gray-600 bg-gray-100 dark:bg-gray-800 cursor-default">${ssrInterpolate(unref(t)("Next"))} » </span>`);
      }
      _push(`</div></div></div>`);
    };
  }
};
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Shared/Pagination.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : void 0;
};
const _sfc_main = {
  __name: "SearchFilter",
  __ssrInlineRender: true,
  props: { modelValue: String, close: { type: Boolean, default: false }, dropdown: { type: Boolean, default: true } },
  emits: ["update:modelValue", "reset"],
  setup(__props) {
    const { t } = useI18n({});
    return (_ctx, _push, _parent, _attrs) => {
      const _component_icons = resolveComponent("icons");
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "mt-4 sm:mt-0 w-full flex items-stretch group bg-white dark:bg-gray-900 border dark:border-gray-700 rounded-md focus-within:border-blue-300 focus-within:ring-2 focus-within:ring-blue-200 dark:focus-within:ring-opacity-50" }, _attrs))}><div class="relative w-full flex items-stretch"><div class="flex items-center w-full rounded-md"><input type="text" name="search" autocomplete="off"${ssrRenderAttr("value", __props.modelValue)}${ssrRenderAttr("placeholder", unref(t)("Search"))} class="${ssrRenderClass([{ "rounded-l-md": !__props.dropdown }, "flex-1 text-sm z-0 w-full pl-3 pr-2 py-2.5 rounded-l-md focus:outline-none focus:ring-0 border-0 dark:bg-gray-800 focus:rounded-r-none"])}"></div><button type="button" class="hidden group-hover:block absolute top-0.5 my-1 right-2 px-2 py-1 text-sm text-gray-500 dark:text-gray-400 hover:text-gray-700 dark:hover:text-gray-300 focus:text-blue-500 rounded-md focus:outline-none focus:rounded-none dark:focus:rounded">${ssrInterpolate(unref(t)("Reset"))}</button></div>`);
      if (__props.dropdown) {
        _push(`<div class="flex items-stretch">`);
        _push(ssrRenderComponent(_sfc_main$2, {
          align: "right",
          width: "56",
          closeOnClick: __props.close
        }, {
          trigger: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<button type="button" class="flex py-1 px-1 md:pl-2 md:pr-0 items-center justify-center rounded-r-md focus:outline-none relative transition duration-150 ease-in-out bg-gray-50 dark:bg-gray-800 hover:bg-gray-100 dark:hover:bg-gray-700 focus:bg-gray-100 dark:focus:bg-gray-700 border-0 border-l border-gray-200 dark:border-gray-700"${_scopeId}><span class="hidden md:inline"${_scopeId}>${ssrInterpolate(unref(t)("Filter"))}</span>`);
              _push2(ssrRenderComponent(_component_icons, {
                name: "chevron-down",
                size: "h-4 w-4 text-gray-400 md:mx-1"
              }, null, _parent2, _scopeId));
              _push2(`</button>`);
            } else {
              return [
                createVNode("button", {
                  type: "button",
                  class: "flex py-1 px-1 md:pl-2 md:pr-0 items-center justify-center rounded-r-md focus:outline-none relative transition duration-150 ease-in-out bg-gray-50 dark:bg-gray-800 hover:bg-gray-100 dark:hover:bg-gray-700 focus:bg-gray-100 dark:focus:bg-gray-700 border-0 border-l border-gray-200 dark:border-gray-700"
                }, [
                  createVNode("span", { class: "hidden md:inline" }, toDisplayString(unref(t)("Filter")), 1),
                  createVNode(_component_icons, {
                    name: "chevron-down",
                    size: "h-4 w-4 text-gray-400 md:mx-1"
                  })
                ])
              ];
            }
          }),
          content: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<div class="p-4"${_scopeId}>`);
              ssrRenderSlot(_ctx.$slots, "default", {}, null, _push2, _parent2, _scopeId);
              _push2(`</div>`);
            } else {
              return [
                createVNode("div", { class: "p-4" }, [
                  renderSlot(_ctx.$slots, "default")
                ])
              ];
            }
          }),
          _: 3
        }, _parent));
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Shared/SearchFilter.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as _,
  _sfc_main$1 as a
};
