import { mergeProps, unref, useSSRContext } from "vue";
import { ssrRenderAttrs, ssrRenderAttr, ssrInterpolate, ssrRenderList } from "vue/server-renderer";
import { useI18n } from "vue-i18n";
const _sfc_main = {
  __name: "Details",
  __ssrInlineRender: true,
  props: { payment: Object },
  setup(__props) {
    const { t } = useI18n({});
    return (_ctx, _push, _parent, _attrs) => {
      var _a, _b, _c, _d, _e, _f, _g, _h;
      if (__props.payment) {
        _push(`<div${ssrRenderAttrs(mergeProps({ class: "mt-auto max-w-4xl print:min-w-[700px] mx-auto h-full bg-gray-100 dark:bg-gray-800 -m-6 pt-3 pb-6 rounded-md leading-relaxed print:bg-white print:mt-0 print:pt-0 print:h-full print:overflow-visible" }, _attrs))}><div class="relative bg-white dark:bg-gray-900 p-4 rounded-md overflow-x-auto border dark:border-gray-700 print:border-0 print:shadow-none print:pt-0"><div class="flex justify-end print:flex"><div class="text-left sm:text-right max-w-md print:text-right">`);
        if (__props.payment.company.logo || _ctx.$page.props.logo) {
          _push(`<div class="h-20 mb-2">`);
          if (__props.payment.company.logo) {
            _push(`<img${ssrRenderAttr("src", __props.payment.company.logo)} alt="" class="w-full h-full">`);
          } else if (_ctx.$page.props.logo) {
            _push(`<img${ssrRenderAttr("src", _ctx.$page.props.logo)} alt="" class="w-full h-full">`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<h2 class="text-2xl font-extrabold">${ssrInterpolate(__props.payment.company.name)}</h2>`);
        if (__props.payment.company.address) {
          _push(`<div>${ssrInterpolate(__props.payment.company.address || "")} ${ssrInterpolate(__props.payment.company.city || "")} ${ssrInterpolate(__props.payment.company.postal_code || "")} ${ssrInterpolate(__props.payment.company.state || "")} ${ssrInterpolate(__props.payment.company.country || "")}</div>`);
        } else {
          _push(`<!---->`);
        }
        if (__props.payment.company.phone) {
          _push(`<div>${ssrInterpolate(__props.payment.company.phone)}</div>`);
        } else {
          _push(`<!---->`);
        }
        if (__props.payment.company.email) {
          _push(`<div>${ssrInterpolate(__props.payment.company.email)}</div>`);
        } else {
          _push(`<!---->`);
        }
        if (__props.payment.customer.extra_attributes) {
          _push(`<!--[-->`);
          ssrRenderList(Object.keys(__props.payment.customer.extra_attributes), (field) => {
            _push(`<div><span class="text-gray-500 dark:text-gray-400">${ssrInterpolate(unref(t)(field))}:</span> ${ssrInterpolate(__props.payment.customer.extra_attributes[field])}</div>`);
          });
          _push(`<!--]-->`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div><div class="mt-4 w-full"><h1 class="text-6xl uppercase font-extrabold">${ssrInterpolate(unref(t)("Payment Note"))}</h1></div><div class="mt-6 block sm:flex print:flex gap-x-6 gap-y-2"><div class="w-full min-w-[250px]"><div class="flex gap-1"><div class="w-24 md:w-28 print:w-28">${ssrInterpolate(unref(t)("Payment No."))}:</div> ${ssrInterpolate(__props.payment.id)}</div><div class="flex gap-1"><div class="w-24 md:w-28 print:w-28">${ssrInterpolate(unref(t)("Reference"))}:</div> ${ssrInterpolate(__props.payment.reference)}</div><div class="flex gap-1"><div class="w-24 md:w-28 print:w-28">${ssrInterpolate(unref(t)("Invoice No."))}:</div> ${ssrInterpolate(__props.payment.invoice_id)}</div></div><div class="w-full min-w-[250px]"><div class="flex gap-1"><div class="w-24 md:w-28 print:w-28">${ssrInterpolate(unref(t)("Date"))}:</div> ${ssrInterpolate(_ctx.$date(__props.payment.date))}</div><div class="flex gap-1"><div class="w-24 md:w-28 print:w-28">${ssrInterpolate(unref(t)("Created at"))}:</div> ${ssrInterpolate(_ctx.$datetime(__props.payment.created_at))}</div></div></div>`);
        if (__props.payment.extra_attributes) {
          _push(`<div class="grid grid-cols-2 gap-x-6 gap-y-2"><!--[-->`);
          ssrRenderList(Object.keys(__props.payment.extra_attributes), (field) => {
            _push(`<div class="flex gap-1"><div class="w-24 md:w-28 print:w-28">${ssrInterpolate(unref(t)(field))}:</div> ${ssrInterpolate(__props.payment.extra_attributes[field])}</div>`);
          });
          _push(`<!--]--></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<div class="mt-6 text-left w-full flex items-start"><div class="w-24 md:w-28 print:w-28">${ssrInterpolate(unref(t)("Received from"))}:</div><div><div>${ssrInterpolate(__props.payment.customer.name)}</div>`);
        if ((_a = __props.payment.customer) == null ? void 0 : _a.company) {
          _push(`<div class="font-bold">${ssrInterpolate((_b = __props.payment.customer) == null ? void 0 : _b.company)}</div>`);
        } else {
          _push(`<!---->`);
        }
        if ((_c = __props.payment.customer) == null ? void 0 : _c.address) {
          _push(`<div>${ssrInterpolate(((_d = __props.payment.customer) == null ? void 0 : _d.address) || "")} ${ssrInterpolate(((_e = __props.payment.customer) == null ? void 0 : _e.city) || "")} ${ssrInterpolate(((_f = __props.payment.customer) == null ? void 0 : _f.postal_code) || "")} ${ssrInterpolate(((_g = __props.payment.customer) == null ? void 0 : _g.state) || "")} ${ssrInterpolate(((_h = __props.payment.customer) == null ? void 0 : _h.country) || "")}</div>`);
        } else {
          _push(`<!---->`);
        }
        if (__props.payment.customer.phone) {
          _push(`<div>${ssrInterpolate(unref(t)("Tel"))}: ${ssrInterpolate(__props.payment.customer.phone)}</div>`);
        } else {
          _push(`<!---->`);
        }
        if (__props.payment.customer.email) {
          _push(`<div>${ssrInterpolate(unref(t)("Email"))}: ${ssrInterpolate(__props.payment.customer.email)}</div>`);
        } else {
          _push(`<!---->`);
        }
        if (__props.payment.customer.extra_attributes) {
          _push(`<!--[-->`);
          ssrRenderList(Object.keys(__props.payment.customer.extra_attributes), (field) => {
            _push(`<div><span class="text-gray-500 dark:text-gray-400">${ssrInterpolate(unref(t)(field))}:</span> ${ssrInterpolate(__props.payment.customer.extra_attributes[field])}</div>`);
          });
          _push(`<!--]-->`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div>`);
        if (__props.payment.attachment) {
          _push(`<div class="print:hidden mt-4 p-4 w-full border dark:border-gray-700 rounded-md">${ssrInterpolate(unref(t)("This record has an attachment"))}, <a${ssrRenderAttr("href", __props.payment.attachment)} target="_blank" class="link">${ssrInterpolate(unref(t)("click here to view"))}</a></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<div class="mt-6 block sm:flex print:flex items-center gap-x-6 gap-y-2"><div class="text-left text-xl w-full flex items-start"><div class="w-24 md:w-28 print:w-28">${ssrInterpolate(unref(t)("Amount"))}:</div><div class="font-bold">${ssrInterpolate(_ctx.$currency(__props.payment.amount))}</div></div>`);
        if (__props.payment.method) {
          _push(`<div class="text-left w-full"><div class="flex items-start"><div class="mr-2">${ssrInterpolate(unref(t)("Method"))}:</div><div class="capitalize">${ssrInterpolate(__props.payment.method)}</div></div>`);
          if (__props.payment.fees) {
            _push(`<div class="flex items-start"><div class="mr-2">${ssrInterpolate(unref(t)(__props.payment.method + " Gateway Fees"))}:</div><div class="capitalize">${ssrInterpolate(_ctx.$currency(__props.payment.fees))}</div></div>`);
          } else {
            _push(`<!---->`);
          }
          if (__props.payment.fees) {
            _push(`<div class="flex items-start"><div class="mr-2">${ssrInterpolate(unref(t)("Total Charged"))}:</div><div class="capitalize font-bold">${ssrInterpolate(_ctx.$currency(Number(__props.payment.amount) + Number(__props.payment.fees)))}</div></div>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
        if (__props.payment.note) {
          _push(`<div class="mt-6 w-full">${ssrInterpolate(__props.payment.note)}</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div><div class="mt-auto pt-4 w-full text-center text-sm text-gray-500 hidden print:block">${ssrInterpolate(unref(t)("This is computer generated document, no signature required."))}</div></div>`);
      } else {
        _push(`<!---->`);
      }
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Payment/Details.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
