import { mergeProps, unref, useSSRContext } from "vue";
import { ssrRenderAttrs, ssrRenderAttr, ssrInterpolate, ssrRenderList, ssrRenderStyle, ssrRenderClass, ssrRenderComponent } from "vue/server-renderer";
import { useI18n } from "vue-i18n";
import { _ as _sfc_main$1 } from "./Attachments-86c51ade.js";
import "@inertiajs/vue3";
import "./DangerButton-933af61d.js";
import "./Modal-4ced3d7d.js";
import "./SecondaryButton-910b0895.js";
const _sfc_main = {
  __name: "Details",
  __ssrInlineRender: true,
  props: { quotation: Object },
  setup(__props) {
    const { t } = useI18n({});
    return (_ctx, _push, _parent, _attrs) => {
      var _a, _b, _c, _d, _e, _f, _g, _h;
      if (__props.quotation) {
        _push(`<div${ssrRenderAttrs(mergeProps({ class: "mt-auto max-w-4xl print:min-w-[700px] mx-auto h-full bg-gray-100 dark:bg-gray-800 -m-6 pt-3 pb-6 rounded-md leading-relaxed print:bg-white print:mt-0 print:pt-0 print:h-full print:overflow-visible" }, _attrs))}><div class="bg-white dark:bg-gray-900 p-4 rounded-md overflow-x-auto border dark:border-gray-700 print:border-0 print:shadow-none print:pt-0"><div class="flex justify-end print:flex"><div class="text-left sm:text-right max-w-md print:text-right">`);
        if (__props.quotation.company.logo || _ctx.$page.props.logo) {
          _push(`<div class="h-20 mb-2 flex items-center justify-end">`);
          if (__props.quotation.company.logo) {
            _push(`<img${ssrRenderAttr("src", __props.quotation.company.logo)} alt="" class="h-full max-h-48">`);
          } else if (_ctx.$page.props.logo) {
            _push(`<img${ssrRenderAttr("src", _ctx.$page.props.logo)} alt="" class="h-full max-h-48">`);
          } else {
            _push(`<!---->`);
          }
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<h2 class="text-2xl font-extrabold">${ssrInterpolate(__props.quotation.company.name)}</h2>`);
        if (__props.quotation.company.address) {
          _push(`<div>${ssrInterpolate(__props.quotation.company.address || "")} ${ssrInterpolate(__props.quotation.company.city || "")} ${ssrInterpolate(__props.quotation.company.postal_code || "")} ${ssrInterpolate(__props.quotation.company.state || "")} ${ssrInterpolate(__props.quotation.company.country || "")}</div>`);
        } else {
          _push(`<!---->`);
        }
        if (__props.quotation.company.phone) {
          _push(`<div>${ssrInterpolate(__props.quotation.company.phone)}</div>`);
        } else {
          _push(`<!---->`);
        }
        if (__props.quotation.company.email) {
          _push(`<div>${ssrInterpolate(__props.quotation.company.email)}</div>`);
        } else {
          _push(`<!---->`);
        }
        if (__props.quotation.customer.extra_attributes) {
          _push(`<!--[-->`);
          ssrRenderList(Object.keys(__props.quotation.customer.extra_attributes), (field) => {
            _push(`<div><span class="text-gray-500 dark:text-gray-400">${ssrInterpolate(unref(t)(field))}:</span> ${ssrInterpolate(__props.quotation.customer.extra_attributes[field])}</div>`);
          });
          _push(`<!--]-->`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div><div class="mt-4 w-full"><h1 class="text-5xl uppercase font-extrabold">${ssrInterpolate(unref(t)("Quotation"))}</h1></div><div class="mt-6 block sm:flex print:flex gap-x-6 gap-y-2"><div class="w-full min-w-[250px]"><div class="flex gap-1"><div class="w-24 md:w-28 print:w-28">${ssrInterpolate(unref(t)("Quotation No."))}:</div> ${ssrInterpolate(__props.quotation.id)}</div><div class="flex gap-1"><div class="w-24 md:w-28 print:w-28">${ssrInterpolate(unref(t)("Reference"))}:</div> ${ssrInterpolate(__props.quotation.reference)}</div></div><div class="w-full min-w-[250px]"><div class="flex gap-1"><div class="w-24 md:w-28 print:w-28">${ssrInterpolate(unref(t)("Date"))}:</div> ${ssrInterpolate(_ctx.$date(__props.quotation.date))}</div><div class="flex gap-1"><div class="w-24 md:w-28 print:w-28">${ssrInterpolate(unref(t)("Created at"))}:</div> ${ssrInterpolate(_ctx.$datetime(__props.quotation.created_at))}</div>`);
        if (__props.quotation.expiry_date) {
          _push(`<div class="flex gap-1"><div class="w-24 md:w-28 print:w-28">${ssrInterpolate(unref(t)("Expiry Date"))}:</div> ${ssrInterpolate(_ctx.$date(__props.quotation.expiry_date))}</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div>`);
        if (__props.quotation.extra_attributes) {
          _push(`<div class="grid grid-cols-2 gap-x-6 gap-y-2"><!--[-->`);
          ssrRenderList(Object.keys(__props.quotation.extra_attributes), (field) => {
            _push(`<div class="flex gap-1"><div class="w-24 md:w-28 print:w-28">${ssrInterpolate(unref(t)(field))}:</div> ${ssrInterpolate(__props.quotation.extra_attributes[field])}</div>`);
          });
          _push(`<!--]--></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<div class="mt-6 text-left w-full flex items-start"><div class="w-24 md:w-28 print:w-28">${ssrInterpolate(unref(t)("Quote to"))}:</div><div><div>${ssrInterpolate(__props.quotation.customer.name)}</div>`);
        if ((_a = __props.quotation.customer) == null ? void 0 : _a.company) {
          _push(`<div class="font-bold">${ssrInterpolate((_b = __props.quotation.customer) == null ? void 0 : _b.company)}</div>`);
        } else {
          _push(`<!---->`);
        }
        if ((_c = __props.quotation.customer) == null ? void 0 : _c.address) {
          _push(`<div>${ssrInterpolate(((_d = __props.quotation.customer) == null ? void 0 : _d.address) || "")} ${ssrInterpolate(((_e = __props.quotation.customer) == null ? void 0 : _e.city) || "")} ${ssrInterpolate(((_f = __props.quotation.customer) == null ? void 0 : _f.postal_code) || "")} ${ssrInterpolate(((_g = __props.quotation.customer) == null ? void 0 : _g.state) || "")} ${ssrInterpolate(((_h = __props.quotation.customer) == null ? void 0 : _h.country) || "")}</div>`);
        } else {
          _push(`<!---->`);
        }
        if (__props.quotation.customer.phone) {
          _push(`<div>${ssrInterpolate(unref(t)("Tel"))}: ${ssrInterpolate(__props.quotation.customer.phone)}</div>`);
        } else {
          _push(`<!---->`);
        }
        if (__props.quotation.customer.email) {
          _push(`<div>${ssrInterpolate(unref(t)("Email"))}: ${ssrInterpolate(__props.quotation.customer.email)}</div>`);
        } else {
          _push(`<!---->`);
        }
        if (__props.quotation.customer.extra_attributes) {
          _push(`<!--[-->`);
          ssrRenderList(Object.keys(__props.quotation.customer.extra_attributes), (field) => {
            _push(`<div><span class="text-gray-500 dark:text-gray-400">${ssrInterpolate(unref(t)(field))}:</span> ${ssrInterpolate(__props.quotation.customer.extra_attributes[field])}</div>`);
          });
          _push(`<!--]-->`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div></div>`);
        if (__props.quotation.attachment) {
          _push(`<div class="print:hidden mt-4 p-4 w-full border dark:border-gray-700 rounded-md">${ssrInterpolate(unref(t)("This record has an attachment"))}, <a${ssrRenderAttr("href", __props.quotation.attachment)} target="_blank" class="link">${ssrInterpolate(unref(t)("click here to view"))}</a></div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<div class="overflow-x-auto"><table class="w-full mt-6 mb-4" style="${ssrRenderStyle({ "min-width": "650px" })}"><thead><tr class="border-t-2 border-b-2 dark:border-gray-700"><th class="px-6 py-3 text-left">${ssrInterpolate(unref(t)("Description"))}</th><th class="px-6 py-3 w-32 text-center">${ssrInterpolate(unref(t)("Quantity"))}</th><th class="px-6 py-3 w-32 text-center">${ssrInterpolate(unref(t)("Unit Price"))}</th><th class="px-6 py-3 w-32 text-center">${ssrInterpolate(unref(t)("Total"))}</th></tr></thead><tbody><!--[-->`);
        ssrRenderList(__props.quotation.items, (item, ii) => {
          _push(`<tr class="group avoid"><td class="${ssrRenderClass([{
            "pt-4 pb-2": ii == 0,
            "pb-4 pt-2": ii == __props.quotation.items.length - 1,
            "py-2": ii > 0 && ii + _ctx.i != __props.quotation.items.length
          }, "align-top px-6"])}"><span class="-ml-5 mr-1 text-xs">${ssrInterpolate(ii + 1)}.</span> ${ssrInterpolate(item.name)} `);
          if (item.details) {
            _push(`<div>${ssrInterpolate(item.details)}</div>`);
          } else {
            _push(`<!---->`);
          }
          if (item.extra_attributes) {
            _push(`<div class="flex flex-wrap gap-x-4"><!--[-->`);
            ssrRenderList(Object.keys(item.extra_attributes), (field) => {
              _push(`<div><span class="text-gray-500 dark:text-gray-400">${ssrInterpolate(unref(t)(field))}:</span> ${ssrInterpolate(item.extra_attributes[field])}</div>`);
            });
            _push(`<!--]--></div>`);
          } else {
            _push(`<!---->`);
          }
          _push(`</td><td class="${ssrRenderClass([{
            "pt-4 pb-2": ii == 0,
            "pb-4 pt-2": ii == __props.quotation.items.length - 1,
            "py-2": ii > 0 && ii + _ctx.i != __props.quotation.items.length
          }, "align-top px-6 w-32 text-right"])}">${ssrInterpolate(_ctx.$number(item.quantity))}</td><td class="${ssrRenderClass([{
            "pt-4 pb-2": ii == 0,
            "pb-4 pt-2": ii == __props.quotation.items.length - 1,
            "py-2": ii > 0 && ii + _ctx.i != __props.quotation.items.length
          }, "align-top px-6 w-32 text-right"])}">${ssrInterpolate(_ctx.$number(item.unit_price))}</td><td class="${ssrRenderClass([{
            "pt-4 pb-2": ii == 0,
            "pb-4 pt-2": ii == __props.quotation.items.length - 1,
            "py-2": ii > 0 && ii + _ctx.i != __props.quotation.items.length
          }, "align-top px-6 w-32 text-right"])}">${ssrInterpolate(_ctx.$number(item.total))}</td></tr>`);
        });
        _push(`<!--]--></tbody><tfoot><tr class="border-t-2 dark:border-gray-700"><th colspan="3" class="px-6 pt-4 pb-0.5 text-right">${ssrInterpolate(unref(t)("Total"))}</th><th class="px-6 pt-4 pb-0.5 w-32 text-right">${ssrInterpolate(_ctx.$currency(__props.quotation.total))}</th></tr>`);
        if (__props.quotation.product_discount_amount > 0) {
          _push(`<tr class=""><th colspan="3" class="px-6 py-0.5 text-right">${ssrInterpolate(unref(t)("Product Discount"))}</th><th class="px-6 py-0.5 w-32 text-right">${ssrInterpolate(_ctx.$currency(__props.quotation.product_discount_amount))}</th></tr>`);
        } else {
          _push(`<!---->`);
        }
        if (__props.quotation.product_tax_amount > 0) {
          _push(`<tr class=""><th colspan="3" class="px-6 py-0.5 text-right">${ssrInterpolate(unref(t)("Product Tax"))}</th><th class="px-6 py-0.5 w-32 text-right">${ssrInterpolate(_ctx.$currency(__props.quotation.product_tax_amount))}</th></tr>`);
        } else {
          _push(`<!---->`);
        }
        if (__props.quotation.order_discount_amount > 0) {
          _push(`<tr class=""><th colspan="3" class="px-6 py-0.5 text-right">${ssrInterpolate(unref(t)("Order Discount"))}</th><th class="px-6 py-0.5 w-32 text-right">${ssrInterpolate(_ctx.$currency(__props.quotation.order_discount_amount))}</th></tr>`);
        } else {
          _push(`<!---->`);
        }
        if (__props.quotation.order_tax_amount > 0) {
          _push(`<tr class=""><th colspan="3" class="px-6 py-0.5 text-right">${ssrInterpolate(unref(t)("Order Tax"))}</th><th class="px-6 py-0.5 w-32 text-right">${ssrInterpolate(_ctx.$currency(__props.quotation.order_tax_amount))}</th></tr>`);
        } else {
          _push(`<!---->`);
        }
        _push(`<tr class="text-lg"><th colspan="3" class="px-6 py-0.5 text-right">${ssrInterpolate(unref(t)("Grand Total"))}</th><th class="px-6 py-0.5 w-32 text-right">${ssrInterpolate(_ctx.$currency(__props.quotation.grand_total))}</th></tr></tfoot></table></div>`);
        if (__props.quotation.attachments && __props.quotation.attachments.length) {
          _push(`<div class="mt-6 py-4 w-full">`);
          _push(ssrRenderComponent(_sfc_main$1, {
            attachments: __props.quotation.attachments
          }, null, _parent));
          _push(`</div>`);
        } else {
          _push(`<!---->`);
        }
        if (__props.quotation.note) {
          _push(`<div class="mt-6 w-full">${ssrInterpolate(__props.quotation.note)}</div>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div><div class="mt-auto pt-4 w-full text-center text-sm text-gray-500 hidden print:block">${ssrInterpolate(unref(t)("This is computer generated document, no signature required."))}</div></div>`);
      } else {
        _push(`<!---->`);
      }
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Quotation/Details.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
