import { mergeProps, unref, withCtx, createTextVNode, toDisplayString, createVNode, useSSRContext } from "vue";
import { ssrRenderComponent, ssrInterpolate } from "vue/server-renderer";
import { useI18n } from "vue-i18n";
import { useForm } from "@inertiajs/vue3";
import { _ as _sfc_main$3 } from "./InputError-951c1c36.js";
import "./FileInput-d99860f3.js";
import { _ as _sfc_main$4 } from "./TextInput-f18b2e86.js";
import { _ as _sfc_main$1 } from "./AppLayout-9028b106.js";
import "./SelectInput-0eee531e.js";
import { _ as _sfc_main$5 } from "./CustomFields-6004e621.js";
import { _ as _sfc_main$7 } from "./AutoComplete-974a17ce.js";
import { _ as _sfc_main$2 } from "./FormSection-d5f140fc.js";
import { _ as _sfc_main$6 } from "./TextareaInput-651f7dc6.js";
import { _ as _sfc_main$8 } from "./ActionMessage-cdce5426.js";
import "../ssr.js";
import "@vue/server-renderer";
import "@inertiajs/vue3/server";
import "uuid";
import "./Input-fb927b71.js";
import "./Modal-4ced3d7d.js";
import "lodash/debounce.js";
import "axios";
import "lodash/throttle.js";
const _sfc_main = {
  __name: "Form",
  __ssrInlineRender: true,
  props: ["edit", "fields", "tax_rates"],
  setup(__props) {
    const props = __props;
    const form = useForm({
      name: null,
      price: null,
      details: null,
      taxes: [],
      tax_method: "exclusive",
      extra_attributes: {}
    });
    if (props.edit) {
      if (props.edit.data.extra_attributes && props.fields) {
        Object.keys(props.edit.data.extra_attributes).filter((k) => {
          var _a;
          return !((_a = props.fields) == null ? void 0 : _a.find((f) => f.name == k));
        }).map((k) => delete props.edit.data.extra_attributes[k]);
      }
      form.name = props.edit.data.name;
      form.price = Number(props.edit.data.price);
      form.details = props.edit.data.details;
      form.taxes = props.edit.data.taxes.map((t2) => t2.id);
      form.tax_method = props.edit.data.tax_method;
      form.extra_attributes = props.edit.data.extra_attributes || {};
    }
    const { t } = useI18n({});
    function submit() {
      let method = props.edit ? "put" : "post";
      let url = props.edit ? route("products.update", props.edit.data.id) : route("products.store");
      form.transform((data) => ({ ...data, _method: method, extra_attributes: { ...data.extra_attributes } })).post(url, {
        preserveScroll: true,
        onSuccess: () => {
          props.edit ? "" : form.reset();
        },
        onError: () => {
          if (form.errors.price) {
            document.getElementById("price").focus();
          }
          if (form.errors.name) {
            document.getElementById("name").focus();
          }
        }
      });
    }
    return (_ctx, _push, _parent, _attrs) => {
      _push(ssrRenderComponent(_sfc_main$1, mergeProps({
        title: props.edit ? unref(t)("Edit Product") : unref(t)("Add New Product")
      }, _attrs), {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="max-w-7xl mx-auto py-10 sm:px-6 lg:px-8"${_scopeId}>`);
            _push2(ssrRenderComponent(_sfc_main$2, {
              onSubmitted: submit,
              autocomplete: "off"
            }, {
              title: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`${ssrInterpolate(props.edit ? unref(t)("Edit Product") : unref(t)("Add New Product"))}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(props.edit ? unref(t)("Edit Product") : unref(t)("Add New Product")), 1)
                  ];
                }
              }),
              description: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`${ssrInterpolate(unref(t)("Please fill the form below to {x}.", {
                    x: props.edit ? unref(t)("update {x}", { x: unref(t)("product") }) : unref(t)("add {x}", { x: unref(t)("product") })
                  }))} <div${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$3, {
                    href: _ctx.route("products.index"),
                    class: "mt-4"
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`${ssrInterpolate(unref(t)("List Products"))}`);
                      } else {
                        return [
                          createTextVNode(toDisplayString(unref(t)("List Products")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(`</div>`);
                } else {
                  return [
                    createTextVNode(toDisplayString(unref(t)("Please fill the form below to {x}.", {
                      x: props.edit ? unref(t)("update {x}", { x: unref(t)("product") }) : unref(t)("add {x}", { x: unref(t)("product") })
                    })) + " ", 1),
                    createVNode("div", null, [
                      createVNode(_sfc_main$3, {
                        href: _ctx.route("products.index"),
                        class: "mt-4"
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString(unref(t)("List Products")), 1)
                        ]),
                        _: 1
                      }, 8, ["href"])
                    ])
                  ];
                }
              }),
              form: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$4, {
                    modelValue: unref(form).name,
                    "onUpdate:modelValue": ($event) => unref(form).name = $event,
                    id: "name",
                    error: unref(form).errors.name,
                    label: unref(t)("Name")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$4, {
                    type: "number",
                    modelValue: unref(form).price,
                    "onUpdate:modelValue": ($event) => unref(form).price = $event,
                    id: "price",
                    error: unref(form).errors.price,
                    label: unref(t)("Price")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div>`);
                  _push3(ssrRenderComponent(_sfc_main$5, {
                    fields: __props.fields,
                    errors: unref(form).errors,
                    modelValue: unref(form).extra_attributes,
                    "onUpdate:modelValue": ($event) => unref(form).extra_attributes = $event,
                    className: "col-span-6 sm:col-span-3"
                  }, null, _parent3, _scopeId2));
                  _push3(`<div class="col-span-full"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$6, {
                    modelValue: unref(form).details,
                    "onUpdate:modelValue": ($event) => unref(form).details = $event,
                    id: "details",
                    error: unref(form).errors.details,
                    label: unref(t)("Details")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-4"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$7, {
                    json: true,
                    id: "tax_rates",
                    multiple: true,
                    searchable: false,
                    modelValue: unref(form).taxes,
                    "onUpdate:modelValue": ($event) => unref(form).taxes = $event,
                    label: unref(t)("Tax Rates"),
                    suggestions: __props.tax_rates,
                    error: unref(form).errors.taxes
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-2"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$7, {
                    id: "tax_method",
                    searchable: false,
                    label: unref(t)("Tax Method"),
                    modelValue: unref(form).tax_method,
                    "onUpdate:modelValue": ($event) => unref(form).tax_method = $event,
                    error: unref(form).errors.tax_method,
                    suggestions: [
                      { value: "inclusive", label: unref(t)("inclusive") },
                      { value: "exclusive", label: unref(t)("exclusive") }
                    ]
                  }, null, _parent3, _scopeId2));
                  _push3(`</div>`);
                } else {
                  return [
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$4, {
                        modelValue: unref(form).name,
                        "onUpdate:modelValue": ($event) => unref(form).name = $event,
                        id: "name",
                        error: unref(form).errors.name,
                        label: unref(t)("Name")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$4, {
                        type: "number",
                        modelValue: unref(form).price,
                        "onUpdate:modelValue": ($event) => unref(form).price = $event,
                        id: "price",
                        error: unref(form).errors.price,
                        label: unref(t)("Price")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode(_sfc_main$5, {
                      fields: __props.fields,
                      errors: unref(form).errors,
                      modelValue: unref(form).extra_attributes,
                      "onUpdate:modelValue": ($event) => unref(form).extra_attributes = $event,
                      className: "col-span-6 sm:col-span-3"
                    }, null, 8, ["fields", "errors", "modelValue", "onUpdate:modelValue"]),
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(_sfc_main$6, {
                        modelValue: unref(form).details,
                        "onUpdate:modelValue": ($event) => unref(form).details = $event,
                        id: "details",
                        error: unref(form).errors.details,
                        label: unref(t)("Details")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-4" }, [
                      createVNode(_sfc_main$7, {
                        json: true,
                        id: "tax_rates",
                        multiple: true,
                        searchable: false,
                        modelValue: unref(form).taxes,
                        "onUpdate:modelValue": ($event) => unref(form).taxes = $event,
                        label: unref(t)("Tax Rates"),
                        suggestions: __props.tax_rates,
                        error: unref(form).errors.taxes
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "label", "suggestions", "error"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-2" }, [
                      createVNode(_sfc_main$7, {
                        id: "tax_method",
                        searchable: false,
                        label: unref(t)("Tax Method"),
                        modelValue: unref(form).tax_method,
                        "onUpdate:modelValue": ($event) => unref(form).tax_method = $event,
                        error: unref(form).errors.tax_method,
                        suggestions: [
                          { value: "inclusive", label: unref(t)("inclusive") },
                          { value: "exclusive", label: unref(t)("exclusive") }
                        ]
                      }, null, 8, ["label", "modelValue", "onUpdate:modelValue", "error", "suggestions"])
                    ])
                  ];
                }
              }),
              actions: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_sfc_main$8, {
                    on: unref(form).recentlySuccessful,
                    class: "mr-3"
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`${ssrInterpolate(unref(t)("Saved."))}`);
                      } else {
                        return [
                          createTextVNode(toDisplayString(unref(t)("Saved.")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(_sfc_main$3, {
                    type: "submit",
                    loading: unref(form).processing
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`${ssrInterpolate(unref(t)("Save"))}`);
                      } else {
                        return [
                          createTextVNode(toDisplayString(unref(t)("Save")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_sfc_main$8, {
                      on: unref(form).recentlySuccessful,
                      class: "mr-3"
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(t)("Saved.")), 1)
                      ]),
                      _: 1
                    }, 8, ["on"]),
                    createVNode(_sfc_main$3, {
                      type: "submit",
                      loading: unref(form).processing
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(t)("Save")), 1)
                      ]),
                      _: 1
                    }, 8, ["loading"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</div>`);
          } else {
            return [
              createVNode("div", { class: "max-w-7xl mx-auto py-10 sm:px-6 lg:px-8" }, [
                createVNode(_sfc_main$2, {
                  onSubmitted: submit,
                  autocomplete: "off"
                }, {
                  title: withCtx(() => [
                    createTextVNode(toDisplayString(props.edit ? unref(t)("Edit Product") : unref(t)("Add New Product")), 1)
                  ]),
                  description: withCtx(() => [
                    createTextVNode(toDisplayString(unref(t)("Please fill the form below to {x}.", {
                      x: props.edit ? unref(t)("update {x}", { x: unref(t)("product") }) : unref(t)("add {x}", { x: unref(t)("product") })
                    })) + " ", 1),
                    createVNode("div", null, [
                      createVNode(_sfc_main$3, {
                        href: _ctx.route("products.index"),
                        class: "mt-4"
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString(unref(t)("List Products")), 1)
                        ]),
                        _: 1
                      }, 8, ["href"])
                    ])
                  ]),
                  form: withCtx(() => [
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$4, {
                        modelValue: unref(form).name,
                        "onUpdate:modelValue": ($event) => unref(form).name = $event,
                        id: "name",
                        error: unref(form).errors.name,
                        label: unref(t)("Name")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$4, {
                        type: "number",
                        modelValue: unref(form).price,
                        "onUpdate:modelValue": ($event) => unref(form).price = $event,
                        id: "price",
                        error: unref(form).errors.price,
                        label: unref(t)("Price")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode(_sfc_main$5, {
                      fields: __props.fields,
                      errors: unref(form).errors,
                      modelValue: unref(form).extra_attributes,
                      "onUpdate:modelValue": ($event) => unref(form).extra_attributes = $event,
                      className: "col-span-6 sm:col-span-3"
                    }, null, 8, ["fields", "errors", "modelValue", "onUpdate:modelValue"]),
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(_sfc_main$6, {
                        modelValue: unref(form).details,
                        "onUpdate:modelValue": ($event) => unref(form).details = $event,
                        id: "details",
                        error: unref(form).errors.details,
                        label: unref(t)("Details")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-4" }, [
                      createVNode(_sfc_main$7, {
                        json: true,
                        id: "tax_rates",
                        multiple: true,
                        searchable: false,
                        modelValue: unref(form).taxes,
                        "onUpdate:modelValue": ($event) => unref(form).taxes = $event,
                        label: unref(t)("Tax Rates"),
                        suggestions: __props.tax_rates,
                        error: unref(form).errors.taxes
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "label", "suggestions", "error"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-2" }, [
                      createVNode(_sfc_main$7, {
                        id: "tax_method",
                        searchable: false,
                        label: unref(t)("Tax Method"),
                        modelValue: unref(form).tax_method,
                        "onUpdate:modelValue": ($event) => unref(form).tax_method = $event,
                        error: unref(form).errors.tax_method,
                        suggestions: [
                          { value: "inclusive", label: unref(t)("inclusive") },
                          { value: "exclusive", label: unref(t)("exclusive") }
                        ]
                      }, null, 8, ["label", "modelValue", "onUpdate:modelValue", "error", "suggestions"])
                    ])
                  ]),
                  actions: withCtx(() => [
                    createVNode(_sfc_main$8, {
                      on: unref(form).recentlySuccessful,
                      class: "mr-3"
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(t)("Saved.")), 1)
                      ]),
                      _: 1
                    }, 8, ["on"]),
                    createVNode(_sfc_main$3, {
                      type: "submit",
                      loading: unref(form).processing
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(t)("Save")), 1)
                      ]),
                      _: 1
                    }, 8, ["loading"])
                  ]),
                  _: 1
                })
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Product/Form.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
