import { mergeProps, unref, withCtx, createTextVNode, toDisplayString, createVNode, openBlock, createBlock, createCommentVNode, useSSRContext } from "vue";
import { ssrRenderComponent, ssrInterpolate } from "vue/server-renderer";
import { useI18n } from "vue-i18n";
import { useForm } from "@inertiajs/vue3";
import { _ as _sfc_main$3 } from "./InputError-951c1c36.js";
import { C as CheckBox, _ as _sfc_main$5 } from "./ActionMessage-cdce5426.js";
import { _ as _sfc_main$4 } from "./TextInput-f18b2e86.js";
import { _ as _sfc_main$1 } from "./AppLayout-9028b106.js";
import { _ as _sfc_main$2 } from "./FormSection-d5f140fc.js";
import "../ssr.js";
import "@vue/server-renderer";
import "@inertiajs/vue3/server";
import "uuid";
import "./Input-fb927b71.js";
import "./Modal-4ced3d7d.js";
const _sfc_main = {
  __name: "Form",
  __ssrInlineRender: true,
  props: ["edit", "roles"],
  setup(__props) {
    const props = __props;
    const form = useForm({ name: null, permissions: [] });
    if (props.edit) {
      form.name = props.edit.data.name;
      form.permissions = props.edit.data.permissions || [];
    }
    const { t } = useI18n({});
    const updatePermissions = (v) => {
      if (form.permissions.includes(v)) {
        form.permissions = form.permissions.filter((r) => r != v);
      } else {
        form.permissions = [...form.permissions, v];
      }
    };
    function submit() {
      let method = props.edit ? "put" : "post";
      let url = props.edit ? route("roles.update", props.edit.data.id) : route("roles.store");
      form[method](url, {
        preserveScroll: true,
        onSuccess: () => {
          props.edit ? "" : form.reset();
        },
        onError: () => {
          if (form.errors.name) {
            document.getElementById("name").focus();
          }
        }
      });
    }
    return (_ctx, _push, _parent, _attrs) => {
      _push(ssrRenderComponent(_sfc_main$1, mergeProps({
        title: props.edit ? unref(t)("Edit Role") : unref(t)("Add New Role")
      }, _attrs), {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="max-w-7xl mx-auto py-10 sm:px-6 lg:px-8"${_scopeId}>`);
            _push2(ssrRenderComponent(_sfc_main$2, {
              onSubmitted: submit,
              autocomplete: "off"
            }, {
              title: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`${ssrInterpolate(props.edit ? unref(t)("Edit Role") : unref(t)("Add New Role"))}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(props.edit ? unref(t)("Edit Role") : unref(t)("Add New Role")), 1)
                  ];
                }
              }),
              description: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`${ssrInterpolate(unref(t)("Please fill the form below to {x}.", {
                    x: props.edit ? unref(t)("update {x}", { x: unref(t)("role") }) : unref(t)("add {x}", { x: unref(t)("role") })
                  }))} <div${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$3, {
                    href: _ctx.route("roles.index"),
                    class: "mt-4"
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`${ssrInterpolate(unref(t)("List Roles"))}`);
                      } else {
                        return [
                          createTextVNode(toDisplayString(unref(t)("List Roles")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(`</div>`);
                } else {
                  return [
                    createTextVNode(toDisplayString(unref(t)("Please fill the form below to {x}.", {
                      x: props.edit ? unref(t)("update {x}", { x: unref(t)("role") }) : unref(t)("add {x}", { x: unref(t)("role") })
                    })) + " ", 1),
                    createVNode("div", null, [
                      createVNode(_sfc_main$3, {
                        href: _ctx.route("roles.index"),
                        class: "mt-4"
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString(unref(t)("List Roles")), 1)
                        ]),
                        _: 1
                      }, 8, ["href"])
                    ])
                  ];
                }
              }),
              form: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div class="col-span-full"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$4, {
                    modelValue: unref(form).name,
                    "onUpdate:modelValue": ($event) => unref(form).name = $event,
                    id: "name",
                    error: unref(form).errors.name,
                    label: unref(t)("Name")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div>`);
                  if (__props.edit) {
                    _push3(`<div class="col-span-full"${_scopeId2}><div class="mt-6"${_scopeId2}><label class="block w-full font-bold mb-2"${_scopeId2}>${ssrInterpolate(unref(t)("Invoices"))}</label><div class="flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "read-invoices",
                      value: "read-invoices",
                      onInput: ($event) => updatePermissions("read-invoices"),
                      label: unref(t)("View {x}", { x: unref(t)("Invoices") }),
                      checked: unref(form).permissions.includes("read-invoices")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "create-invoices",
                      value: "create-invoices",
                      onInput: ($event) => updatePermissions("create-invoices"),
                      label: unref(t)("Create {x}", { x: unref(t)("Invoices") }),
                      checked: unref(form).permissions.includes("create-invoices")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "update-invoices",
                      value: "update-invoices",
                      onInput: ($event) => updatePermissions("update-invoices"),
                      label: unref(t)("Update {x}", { x: unref(t)("Invoices") }),
                      checked: unref(form).permissions.includes("update-invoices")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "delete-invoices",
                      value: "delete-invoices",
                      onInput: ($event) => updatePermissions("delete-invoices"),
                      label: unref(t)("Delete {x}", { x: unref(t)("Invoices") }),
                      checked: unref(form).permissions.includes("delete-invoices")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div></div><div class="mt-6"${_scopeId2}><label class="block w-full font-bold mb-2"${_scopeId2}>${ssrInterpolate(unref(t)("Payments"))}</label><div class="flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "read-payments",
                      value: "read-payments",
                      onInput: ($event) => updatePermissions("read-payments"),
                      label: unref(t)("View {x}", { x: unref(t)("Payments") }),
                      checked: unref(form).permissions.includes("read-payments")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "create-payments",
                      value: "create-payments",
                      onInput: ($event) => updatePermissions("create-payments"),
                      label: unref(t)("Create {x}", { x: unref(t)("Payments") }),
                      checked: unref(form).permissions.includes("create-payments")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "update-payments",
                      value: "update-payments",
                      onInput: ($event) => updatePermissions("update-payments"),
                      label: unref(t)("Update {x}", { x: unref(t)("Payments") }),
                      checked: unref(form).permissions.includes("update-payments")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "delete-payments",
                      value: "delete-payments",
                      onInput: ($event) => updatePermissions("delete-payments"),
                      label: unref(t)("Delete {x}", { x: unref(t)("Payments") }),
                      checked: unref(form).permissions.includes("delete-payments")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div></div><div class="my-6"${_scopeId2}><label class="block w-full font-bold mb-2"${_scopeId2}>${ssrInterpolate(unref(t)("Quotations"))}</label><div class="flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "read-quotations",
                      value: "read-quotations",
                      onInput: ($event) => updatePermissions("read-quotations"),
                      label: unref(t)("View {x}", { x: unref(t)("Quotations") }),
                      checked: unref(form).permissions.includes("read-quotations")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "create-quotations",
                      value: "create-quotations",
                      onInput: ($event) => updatePermissions("create-quotations"),
                      label: unref(t)("Create {x}", { x: unref(t)("Quotations") }),
                      checked: unref(form).permissions.includes("create-quotations")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "update-quotations",
                      value: "update-quotations",
                      onInput: ($event) => updatePermissions("update-quotations"),
                      label: unref(t)("Update {x}", { x: unref(t)("Quotations") }),
                      checked: unref(form).permissions.includes("update-quotations")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "delete-quotations",
                      value: "delete-quotations",
                      onInput: ($event) => updatePermissions("delete-quotations"),
                      label: unref(t)("Delete {x}", { x: unref(t)("Quotations") }),
                      checked: unref(form).permissions.includes("delete-quotations")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div></div><div class="my-6"${_scopeId2}><label class="block w-full font-bold mb-2"${_scopeId2}>${ssrInterpolate(unref(t)("Products"))}</label><div class="flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "read-items",
                      value: "read-items",
                      onInput: ($event) => updatePermissions("read-items"),
                      label: unref(t)("View {x}", { x: unref(t)("Products") }),
                      checked: unref(form).permissions.includes("read-items")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "create-items",
                      value: "create-items",
                      onInput: ($event) => updatePermissions("create-items"),
                      label: unref(t)("Create {x}", { x: unref(t)("Products") }),
                      checked: unref(form).permissions.includes("create-items")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "update-items",
                      value: "update-items",
                      onInput: ($event) => updatePermissions("update-items"),
                      label: unref(t)("Update {x}", { x: unref(t)("Products") }),
                      checked: unref(form).permissions.includes("update-items")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "import-items",
                      value: "import-items",
                      onInput: ($event) => updatePermissions("import-items"),
                      label: unref(t)("Import {x}", { x: unref(t)("Products") }),
                      checked: unref(form).permissions.includes("import-items")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "delete-items",
                      value: "delete-items",
                      onInput: ($event) => updatePermissions("delete-items"),
                      label: unref(t)("Delete {x}", { x: unref(t)("Products") }),
                      checked: unref(form).permissions.includes("delete-items")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div></div><div class="my-6"${_scopeId2}><label class="block w-full font-bold mb-2"${_scopeId2}>${ssrInterpolate(unref(t)("Customers"))}</label><div class="flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "read-customers",
                      value: "read-customers",
                      onInput: ($event) => updatePermissions("read-customers"),
                      label: unref(t)("View {x}", { x: unref(t)("Customers") }),
                      checked: unref(form).permissions.includes("read-customers")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "create-customers",
                      value: "create-customers",
                      onInput: ($event) => updatePermissions("create-customers"),
                      label: unref(t)("Create {x}", { x: unref(t)("Customers") }),
                      checked: unref(form).permissions.includes("create-customers")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "update-customers",
                      value: "update-customers",
                      onInput: ($event) => updatePermissions("update-customers"),
                      label: unref(t)("Update {x}", { x: unref(t)("Customers") }),
                      checked: unref(form).permissions.includes("update-customers")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "import-customers",
                      value: "import-customers",
                      onInput: ($event) => updatePermissions("import-customers"),
                      label: unref(t)("Import {x}", { x: unref(t)("Customers") }),
                      checked: unref(form).permissions.includes("import-customers")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "delete-customers",
                      value: "delete-customers",
                      onInput: ($event) => updatePermissions("delete-customers"),
                      label: unref(t)("Delete {x}", { x: unref(t)("Customers") }),
                      checked: unref(form).permissions.includes("delete-customers")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div></div><div class="my-6"${_scopeId2}><label class="block w-full font-bold mb-2"${_scopeId2}>${ssrInterpolate(unref(t)("Companies"))}</label><div class="flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "read-companies",
                      value: "read-companies",
                      onInput: ($event) => updatePermissions("read-companies"),
                      label: unref(t)("View {x}", { x: unref(t)("Companies") }),
                      checked: unref(form).permissions.includes("read-companies")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "create-companies",
                      value: "create-companies",
                      onInput: ($event) => updatePermissions("create-companies"),
                      label: unref(t)("Create {x}", { x: unref(t)("Companies") }),
                      checked: unref(form).permissions.includes("create-companies")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "update-companies",
                      value: "update-companies",
                      onInput: ($event) => updatePermissions("update-companies"),
                      label: unref(t)("Update {x}", { x: unref(t)("Companies") }),
                      checked: unref(form).permissions.includes("update-companies")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "delete-companies",
                      value: "delete-companies",
                      onInput: ($event) => updatePermissions("delete-companies"),
                      label: unref(t)("Delete {x}", { x: unref(t)("Companies") }),
                      checked: unref(form).permissions.includes("delete-companies")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div></div><div class="my-6"${_scopeId2}><label class="block w-full font-bold mb-2"${_scopeId2}>${ssrInterpolate(unref(t)("Tax Rates"))}</label><div class="flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "read-tax-rates",
                      value: "read-tax-rates",
                      onInput: ($event) => updatePermissions("read-tax-rates"),
                      label: unref(t)("View {x}", { x: unref(t)("Tax Rates") }),
                      checked: unref(form).permissions.includes("read-tax-rates")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "create-tax-rates",
                      value: "create-tax-rates",
                      onInput: ($event) => updatePermissions("create-tax-rates"),
                      label: unref(t)("Create {x}", { x: unref(t)("Tax Rates") }),
                      checked: unref(form).permissions.includes("create-tax-rates")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "update-tax-rates",
                      value: "update-tax-rates",
                      onInput: ($event) => updatePermissions("update-tax-rates"),
                      label: unref(t)("Update {x}", { x: unref(t)("Tax Rates") }),
                      checked: unref(form).permissions.includes("update-tax-rates")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "delete-tax-rates",
                      value: "delete-tax-rates",
                      onInput: ($event) => updatePermissions("delete-tax-rates"),
                      label: unref(t)("Delete {x}", { x: unref(t)("Tax Rates") }),
                      checked: unref(form).permissions.includes("delete-tax-rates")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div></div><div class="my-6"${_scopeId2}><label class="block w-full font-bold mb-2"${_scopeId2}>${ssrInterpolate(unref(t)("Notes"))}</label><div class="flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "read-notes",
                      value: "read-notes",
                      onInput: ($event) => updatePermissions("read-notes"),
                      label: unref(t)("View {x}", { x: unref(t)("Notes") }),
                      checked: unref(form).permissions.includes("read-notes")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "create-notes",
                      value: "create-notes",
                      onInput: ($event) => updatePermissions("create-notes"),
                      label: unref(t)("Create {x}", { x: unref(t)("Notes") }),
                      checked: unref(form).permissions.includes("create-notes")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "update-notes",
                      value: "update-notes",
                      onInput: ($event) => updatePermissions("update-notes"),
                      label: unref(t)("Update {x}", { x: unref(t)("Notes") }),
                      checked: unref(form).permissions.includes("update-notes")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "delete-notes",
                      value: "delete-notes",
                      onInput: ($event) => updatePermissions("delete-notes"),
                      label: unref(t)("Delete {x}", { x: unref(t)("Notes") }),
                      checked: unref(form).permissions.includes("delete-notes")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div></div><div class="my-6"${_scopeId2}><label class="block w-full font-bold mb-2"${_scopeId2}>${ssrInterpolate(unref(t)("Custom Fields"))}</label><div class="flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "read-fields",
                      value: "read-fields",
                      onInput: ($event) => updatePermissions("read-fields"),
                      label: unref(t)("View {x}", { x: unref(t)("Custom Fields") }),
                      checked: unref(form).permissions.includes("read-fields")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "create-fields",
                      value: "create-fields",
                      onInput: ($event) => updatePermissions("create-fields"),
                      label: unref(t)("Create {x}", { x: unref(t)("Custom Fields") }),
                      checked: unref(form).permissions.includes("create-fields")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "update-fields",
                      value: "update-fields",
                      onInput: ($event) => updatePermissions("update-fields"),
                      label: unref(t)("Update {x}", { x: unref(t)("Custom Fields") }),
                      checked: unref(form).permissions.includes("update-fields")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "delete-fields",
                      value: "delete-fields",
                      onInput: ($event) => updatePermissions("delete-fields"),
                      label: unref(t)("Delete {x}", { x: unref(t)("Custom Fields") }),
                      checked: unref(form).permissions.includes("delete-fields")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div></div><div class="my-6"${_scopeId2}><label class="block w-full font-bold mb-2"${_scopeId2}>${ssrInterpolate(unref(t)("Users"))}</label><div class="flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "read-users",
                      value: "read-users",
                      onInput: ($event) => updatePermissions("read-users"),
                      label: unref(t)("View {x}", { x: unref(t)("Users") }),
                      checked: unref(form).permissions.includes("read-users")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "create-users",
                      value: "create-users",
                      onInput: ($event) => updatePermissions("create-users"),
                      label: unref(t)("Create {x}", { x: unref(t)("Users") }),
                      checked: unref(form).permissions.includes("create-users")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "update-users",
                      value: "update-users",
                      onInput: ($event) => updatePermissions("update-users"),
                      label: unref(t)("Update {x}", { x: unref(t)("Users") }),
                      checked: unref(form).permissions.includes("update-users")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "delete-users",
                      value: "delete-users",
                      onInput: ($event) => updatePermissions("delete-users"),
                      label: unref(t)("Delete {x}", { x: unref(t)("Users") }),
                      checked: unref(form).permissions.includes("delete-users")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div></div><div class="my-6"${_scopeId2}><label class="block w-full font-bold mb-2"${_scopeId2}>${ssrInterpolate(unref(t)("Roles"))}</label><div class="flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "read-roles",
                      value: "read-roles",
                      onInput: ($event) => updatePermissions("read-roles"),
                      label: unref(t)("View {x}", { x: unref(t)("Roles") }),
                      checked: unref(form).permissions.includes("read-roles")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "create-roles",
                      value: "create-roles",
                      onInput: ($event) => updatePermissions("create-roles"),
                      label: unref(t)("Create {x}", { x: unref(t)("Roles") }),
                      checked: unref(form).permissions.includes("create-roles")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "update-roles",
                      value: "update-roles",
                      onInput: ($event) => updatePermissions("update-roles"),
                      label: unref(t)("Update {x}", { x: unref(t)("Roles") }),
                      checked: unref(form).permissions.includes("update-roles")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "delete-roles",
                      value: "delete-roles",
                      onInput: ($event) => updatePermissions("delete-roles"),
                      label: unref(t)("Delete {x}", { x: unref(t)("Roles") }),
                      checked: unref(form).permissions.includes("delete-roles")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div></div><div class="mt-6"${_scopeId2}><label class="block w-full font-bold mb-2"${_scopeId2}>${ssrInterpolate(unref(t)("Attachments"))}</label><div class="flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "delete-attachments",
                      value: "delete-attachments",
                      onInput: ($event) => updatePermissions("delete-attachments"),
                      label: unref(t)("Delete {x}", { x: unref(t)("Attachments") }),
                      checked: unref(form).permissions.includes("delete-attachments")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div></div><div class="mt-6"${_scopeId2}><label class="block w-full font-bold mb-2"${_scopeId2}>${ssrInterpolate(unref(t)("Activity Logs"))}</label><div class="flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "read-activity",
                      value: "read-activity",
                      onInput: ($event) => updatePermissions("read-activity"),
                      label: unref(t)("View {x}", { x: unref(t)("Activity Logs") }),
                      checked: unref(form).permissions.includes("read-activity")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div></div><div class="mt-6"${_scopeId2}><label class="block w-full font-bold mb-2"${_scopeId2}>${ssrInterpolate(unref(t)("Settings"))}</label><div class="flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "read-settings",
                      value: "read-settings",
                      onInput: ($event) => updatePermissions("read-settings"),
                      label: unref(t)("View {x}", { x: unref(t)("Settings") }),
                      checked: unref(form).permissions.includes("read-settings")
                    }, null, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(CheckBox, {
                      id: "create-settings",
                      value: "create-settings",
                      onInput: ($event) => updatePermissions("create-settings"),
                      label: unref(t)("Update {x}", { x: unref(t)("Settings") }),
                      checked: unref(form).permissions.includes("create-settings")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div></div></div>`);
                  } else {
                    _push3(`<!---->`);
                  }
                } else {
                  return [
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(_sfc_main$4, {
                        modelValue: unref(form).name,
                        "onUpdate:modelValue": ($event) => unref(form).name = $event,
                        id: "name",
                        error: unref(form).errors.name,
                        label: unref(t)("Name")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    __props.edit ? (openBlock(), createBlock("div", {
                      key: 0,
                      class: "col-span-full"
                    }, [
                      createVNode("div", { class: "mt-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Invoices")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-invoices",
                            value: "read-invoices",
                            onInput: ($event) => updatePermissions("read-invoices"),
                            label: unref(t)("View {x}", { x: unref(t)("Invoices") }),
                            checked: unref(form).permissions.includes("read-invoices")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-invoices",
                            value: "create-invoices",
                            onInput: ($event) => updatePermissions("create-invoices"),
                            label: unref(t)("Create {x}", { x: unref(t)("Invoices") }),
                            checked: unref(form).permissions.includes("create-invoices")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-invoices",
                            value: "update-invoices",
                            onInput: ($event) => updatePermissions("update-invoices"),
                            label: unref(t)("Update {x}", { x: unref(t)("Invoices") }),
                            checked: unref(form).permissions.includes("update-invoices")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-invoices",
                            value: "delete-invoices",
                            onInput: ($event) => updatePermissions("delete-invoices"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Invoices") }),
                            checked: unref(form).permissions.includes("delete-invoices")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "mt-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Payments")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-payments",
                            value: "read-payments",
                            onInput: ($event) => updatePermissions("read-payments"),
                            label: unref(t)("View {x}", { x: unref(t)("Payments") }),
                            checked: unref(form).permissions.includes("read-payments")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-payments",
                            value: "create-payments",
                            onInput: ($event) => updatePermissions("create-payments"),
                            label: unref(t)("Create {x}", { x: unref(t)("Payments") }),
                            checked: unref(form).permissions.includes("create-payments")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-payments",
                            value: "update-payments",
                            onInput: ($event) => updatePermissions("update-payments"),
                            label: unref(t)("Update {x}", { x: unref(t)("Payments") }),
                            checked: unref(form).permissions.includes("update-payments")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-payments",
                            value: "delete-payments",
                            onInput: ($event) => updatePermissions("delete-payments"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Payments") }),
                            checked: unref(form).permissions.includes("delete-payments")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Quotations")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-quotations",
                            value: "read-quotations",
                            onInput: ($event) => updatePermissions("read-quotations"),
                            label: unref(t)("View {x}", { x: unref(t)("Quotations") }),
                            checked: unref(form).permissions.includes("read-quotations")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-quotations",
                            value: "create-quotations",
                            onInput: ($event) => updatePermissions("create-quotations"),
                            label: unref(t)("Create {x}", { x: unref(t)("Quotations") }),
                            checked: unref(form).permissions.includes("create-quotations")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-quotations",
                            value: "update-quotations",
                            onInput: ($event) => updatePermissions("update-quotations"),
                            label: unref(t)("Update {x}", { x: unref(t)("Quotations") }),
                            checked: unref(form).permissions.includes("update-quotations")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-quotations",
                            value: "delete-quotations",
                            onInput: ($event) => updatePermissions("delete-quotations"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Quotations") }),
                            checked: unref(form).permissions.includes("delete-quotations")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Products")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-items",
                            value: "read-items",
                            onInput: ($event) => updatePermissions("read-items"),
                            label: unref(t)("View {x}", { x: unref(t)("Products") }),
                            checked: unref(form).permissions.includes("read-items")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-items",
                            value: "create-items",
                            onInput: ($event) => updatePermissions("create-items"),
                            label: unref(t)("Create {x}", { x: unref(t)("Products") }),
                            checked: unref(form).permissions.includes("create-items")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-items",
                            value: "update-items",
                            onInput: ($event) => updatePermissions("update-items"),
                            label: unref(t)("Update {x}", { x: unref(t)("Products") }),
                            checked: unref(form).permissions.includes("update-items")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "import-items",
                            value: "import-items",
                            onInput: ($event) => updatePermissions("import-items"),
                            label: unref(t)("Import {x}", { x: unref(t)("Products") }),
                            checked: unref(form).permissions.includes("import-items")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-items",
                            value: "delete-items",
                            onInput: ($event) => updatePermissions("delete-items"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Products") }),
                            checked: unref(form).permissions.includes("delete-items")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Customers")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-customers",
                            value: "read-customers",
                            onInput: ($event) => updatePermissions("read-customers"),
                            label: unref(t)("View {x}", { x: unref(t)("Customers") }),
                            checked: unref(form).permissions.includes("read-customers")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-customers",
                            value: "create-customers",
                            onInput: ($event) => updatePermissions("create-customers"),
                            label: unref(t)("Create {x}", { x: unref(t)("Customers") }),
                            checked: unref(form).permissions.includes("create-customers")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-customers",
                            value: "update-customers",
                            onInput: ($event) => updatePermissions("update-customers"),
                            label: unref(t)("Update {x}", { x: unref(t)("Customers") }),
                            checked: unref(form).permissions.includes("update-customers")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "import-customers",
                            value: "import-customers",
                            onInput: ($event) => updatePermissions("import-customers"),
                            label: unref(t)("Import {x}", { x: unref(t)("Customers") }),
                            checked: unref(form).permissions.includes("import-customers")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-customers",
                            value: "delete-customers",
                            onInput: ($event) => updatePermissions("delete-customers"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Customers") }),
                            checked: unref(form).permissions.includes("delete-customers")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Companies")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-companies",
                            value: "read-companies",
                            onInput: ($event) => updatePermissions("read-companies"),
                            label: unref(t)("View {x}", { x: unref(t)("Companies") }),
                            checked: unref(form).permissions.includes("read-companies")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-companies",
                            value: "create-companies",
                            onInput: ($event) => updatePermissions("create-companies"),
                            label: unref(t)("Create {x}", { x: unref(t)("Companies") }),
                            checked: unref(form).permissions.includes("create-companies")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-companies",
                            value: "update-companies",
                            onInput: ($event) => updatePermissions("update-companies"),
                            label: unref(t)("Update {x}", { x: unref(t)("Companies") }),
                            checked: unref(form).permissions.includes("update-companies")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-companies",
                            value: "delete-companies",
                            onInput: ($event) => updatePermissions("delete-companies"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Companies") }),
                            checked: unref(form).permissions.includes("delete-companies")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Tax Rates")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-tax-rates",
                            value: "read-tax-rates",
                            onInput: ($event) => updatePermissions("read-tax-rates"),
                            label: unref(t)("View {x}", { x: unref(t)("Tax Rates") }),
                            checked: unref(form).permissions.includes("read-tax-rates")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-tax-rates",
                            value: "create-tax-rates",
                            onInput: ($event) => updatePermissions("create-tax-rates"),
                            label: unref(t)("Create {x}", { x: unref(t)("Tax Rates") }),
                            checked: unref(form).permissions.includes("create-tax-rates")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-tax-rates",
                            value: "update-tax-rates",
                            onInput: ($event) => updatePermissions("update-tax-rates"),
                            label: unref(t)("Update {x}", { x: unref(t)("Tax Rates") }),
                            checked: unref(form).permissions.includes("update-tax-rates")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-tax-rates",
                            value: "delete-tax-rates",
                            onInput: ($event) => updatePermissions("delete-tax-rates"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Tax Rates") }),
                            checked: unref(form).permissions.includes("delete-tax-rates")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Notes")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-notes",
                            value: "read-notes",
                            onInput: ($event) => updatePermissions("read-notes"),
                            label: unref(t)("View {x}", { x: unref(t)("Notes") }),
                            checked: unref(form).permissions.includes("read-notes")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-notes",
                            value: "create-notes",
                            onInput: ($event) => updatePermissions("create-notes"),
                            label: unref(t)("Create {x}", { x: unref(t)("Notes") }),
                            checked: unref(form).permissions.includes("create-notes")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-notes",
                            value: "update-notes",
                            onInput: ($event) => updatePermissions("update-notes"),
                            label: unref(t)("Update {x}", { x: unref(t)("Notes") }),
                            checked: unref(form).permissions.includes("update-notes")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-notes",
                            value: "delete-notes",
                            onInput: ($event) => updatePermissions("delete-notes"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Notes") }),
                            checked: unref(form).permissions.includes("delete-notes")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Custom Fields")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-fields",
                            value: "read-fields",
                            onInput: ($event) => updatePermissions("read-fields"),
                            label: unref(t)("View {x}", { x: unref(t)("Custom Fields") }),
                            checked: unref(form).permissions.includes("read-fields")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-fields",
                            value: "create-fields",
                            onInput: ($event) => updatePermissions("create-fields"),
                            label: unref(t)("Create {x}", { x: unref(t)("Custom Fields") }),
                            checked: unref(form).permissions.includes("create-fields")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-fields",
                            value: "update-fields",
                            onInput: ($event) => updatePermissions("update-fields"),
                            label: unref(t)("Update {x}", { x: unref(t)("Custom Fields") }),
                            checked: unref(form).permissions.includes("update-fields")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-fields",
                            value: "delete-fields",
                            onInput: ($event) => updatePermissions("delete-fields"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Custom Fields") }),
                            checked: unref(form).permissions.includes("delete-fields")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Users")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-users",
                            value: "read-users",
                            onInput: ($event) => updatePermissions("read-users"),
                            label: unref(t)("View {x}", { x: unref(t)("Users") }),
                            checked: unref(form).permissions.includes("read-users")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-users",
                            value: "create-users",
                            onInput: ($event) => updatePermissions("create-users"),
                            label: unref(t)("Create {x}", { x: unref(t)("Users") }),
                            checked: unref(form).permissions.includes("create-users")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-users",
                            value: "update-users",
                            onInput: ($event) => updatePermissions("update-users"),
                            label: unref(t)("Update {x}", { x: unref(t)("Users") }),
                            checked: unref(form).permissions.includes("update-users")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-users",
                            value: "delete-users",
                            onInput: ($event) => updatePermissions("delete-users"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Users") }),
                            checked: unref(form).permissions.includes("delete-users")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Roles")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-roles",
                            value: "read-roles",
                            onInput: ($event) => updatePermissions("read-roles"),
                            label: unref(t)("View {x}", { x: unref(t)("Roles") }),
                            checked: unref(form).permissions.includes("read-roles")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-roles",
                            value: "create-roles",
                            onInput: ($event) => updatePermissions("create-roles"),
                            label: unref(t)("Create {x}", { x: unref(t)("Roles") }),
                            checked: unref(form).permissions.includes("create-roles")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-roles",
                            value: "update-roles",
                            onInput: ($event) => updatePermissions("update-roles"),
                            label: unref(t)("Update {x}", { x: unref(t)("Roles") }),
                            checked: unref(form).permissions.includes("update-roles")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-roles",
                            value: "delete-roles",
                            onInput: ($event) => updatePermissions("delete-roles"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Roles") }),
                            checked: unref(form).permissions.includes("delete-roles")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "mt-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Attachments")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "delete-attachments",
                            value: "delete-attachments",
                            onInput: ($event) => updatePermissions("delete-attachments"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Attachments") }),
                            checked: unref(form).permissions.includes("delete-attachments")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "mt-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Activity Logs")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-activity",
                            value: "read-activity",
                            onInput: ($event) => updatePermissions("read-activity"),
                            label: unref(t)("View {x}", { x: unref(t)("Activity Logs") }),
                            checked: unref(form).permissions.includes("read-activity")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "mt-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Settings")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-settings",
                            value: "read-settings",
                            onInput: ($event) => updatePermissions("read-settings"),
                            label: unref(t)("View {x}", { x: unref(t)("Settings") }),
                            checked: unref(form).permissions.includes("read-settings")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-settings",
                            value: "create-settings",
                            onInput: ($event) => updatePermissions("create-settings"),
                            label: unref(t)("Update {x}", { x: unref(t)("Settings") }),
                            checked: unref(form).permissions.includes("create-settings")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ])
                    ])) : createCommentVNode("", true)
                  ];
                }
              }),
              actions: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_sfc_main$5, {
                    on: unref(form).recentlySuccessful,
                    class: "mr-3"
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`${ssrInterpolate(unref(t)("Saved."))}`);
                      } else {
                        return [
                          createTextVNode(toDisplayString(unref(t)("Saved.")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(_sfc_main$3, {
                    type: "submit",
                    loading: unref(form).processing
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`${ssrInterpolate(unref(t)("Save"))}`);
                      } else {
                        return [
                          createTextVNode(toDisplayString(unref(t)("Save")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_sfc_main$5, {
                      on: unref(form).recentlySuccessful,
                      class: "mr-3"
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(t)("Saved.")), 1)
                      ]),
                      _: 1
                    }, 8, ["on"]),
                    createVNode(_sfc_main$3, {
                      type: "submit",
                      loading: unref(form).processing
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(t)("Save")), 1)
                      ]),
                      _: 1
                    }, 8, ["loading"])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</div>`);
          } else {
            return [
              createVNode("div", { class: "max-w-7xl mx-auto py-10 sm:px-6 lg:px-8" }, [
                createVNode(_sfc_main$2, {
                  onSubmitted: submit,
                  autocomplete: "off"
                }, {
                  title: withCtx(() => [
                    createTextVNode(toDisplayString(props.edit ? unref(t)("Edit Role") : unref(t)("Add New Role")), 1)
                  ]),
                  description: withCtx(() => [
                    createTextVNode(toDisplayString(unref(t)("Please fill the form below to {x}.", {
                      x: props.edit ? unref(t)("update {x}", { x: unref(t)("role") }) : unref(t)("add {x}", { x: unref(t)("role") })
                    })) + " ", 1),
                    createVNode("div", null, [
                      createVNode(_sfc_main$3, {
                        href: _ctx.route("roles.index"),
                        class: "mt-4"
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString(unref(t)("List Roles")), 1)
                        ]),
                        _: 1
                      }, 8, ["href"])
                    ])
                  ]),
                  form: withCtx(() => [
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(_sfc_main$4, {
                        modelValue: unref(form).name,
                        "onUpdate:modelValue": ($event) => unref(form).name = $event,
                        id: "name",
                        error: unref(form).errors.name,
                        label: unref(t)("Name")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    __props.edit ? (openBlock(), createBlock("div", {
                      key: 0,
                      class: "col-span-full"
                    }, [
                      createVNode("div", { class: "mt-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Invoices")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-invoices",
                            value: "read-invoices",
                            onInput: ($event) => updatePermissions("read-invoices"),
                            label: unref(t)("View {x}", { x: unref(t)("Invoices") }),
                            checked: unref(form).permissions.includes("read-invoices")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-invoices",
                            value: "create-invoices",
                            onInput: ($event) => updatePermissions("create-invoices"),
                            label: unref(t)("Create {x}", { x: unref(t)("Invoices") }),
                            checked: unref(form).permissions.includes("create-invoices")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-invoices",
                            value: "update-invoices",
                            onInput: ($event) => updatePermissions("update-invoices"),
                            label: unref(t)("Update {x}", { x: unref(t)("Invoices") }),
                            checked: unref(form).permissions.includes("update-invoices")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-invoices",
                            value: "delete-invoices",
                            onInput: ($event) => updatePermissions("delete-invoices"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Invoices") }),
                            checked: unref(form).permissions.includes("delete-invoices")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "mt-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Payments")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-payments",
                            value: "read-payments",
                            onInput: ($event) => updatePermissions("read-payments"),
                            label: unref(t)("View {x}", { x: unref(t)("Payments") }),
                            checked: unref(form).permissions.includes("read-payments")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-payments",
                            value: "create-payments",
                            onInput: ($event) => updatePermissions("create-payments"),
                            label: unref(t)("Create {x}", { x: unref(t)("Payments") }),
                            checked: unref(form).permissions.includes("create-payments")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-payments",
                            value: "update-payments",
                            onInput: ($event) => updatePermissions("update-payments"),
                            label: unref(t)("Update {x}", { x: unref(t)("Payments") }),
                            checked: unref(form).permissions.includes("update-payments")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-payments",
                            value: "delete-payments",
                            onInput: ($event) => updatePermissions("delete-payments"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Payments") }),
                            checked: unref(form).permissions.includes("delete-payments")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Quotations")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-quotations",
                            value: "read-quotations",
                            onInput: ($event) => updatePermissions("read-quotations"),
                            label: unref(t)("View {x}", { x: unref(t)("Quotations") }),
                            checked: unref(form).permissions.includes("read-quotations")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-quotations",
                            value: "create-quotations",
                            onInput: ($event) => updatePermissions("create-quotations"),
                            label: unref(t)("Create {x}", { x: unref(t)("Quotations") }),
                            checked: unref(form).permissions.includes("create-quotations")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-quotations",
                            value: "update-quotations",
                            onInput: ($event) => updatePermissions("update-quotations"),
                            label: unref(t)("Update {x}", { x: unref(t)("Quotations") }),
                            checked: unref(form).permissions.includes("update-quotations")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-quotations",
                            value: "delete-quotations",
                            onInput: ($event) => updatePermissions("delete-quotations"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Quotations") }),
                            checked: unref(form).permissions.includes("delete-quotations")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Products")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-items",
                            value: "read-items",
                            onInput: ($event) => updatePermissions("read-items"),
                            label: unref(t)("View {x}", { x: unref(t)("Products") }),
                            checked: unref(form).permissions.includes("read-items")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-items",
                            value: "create-items",
                            onInput: ($event) => updatePermissions("create-items"),
                            label: unref(t)("Create {x}", { x: unref(t)("Products") }),
                            checked: unref(form).permissions.includes("create-items")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-items",
                            value: "update-items",
                            onInput: ($event) => updatePermissions("update-items"),
                            label: unref(t)("Update {x}", { x: unref(t)("Products") }),
                            checked: unref(form).permissions.includes("update-items")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "import-items",
                            value: "import-items",
                            onInput: ($event) => updatePermissions("import-items"),
                            label: unref(t)("Import {x}", { x: unref(t)("Products") }),
                            checked: unref(form).permissions.includes("import-items")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-items",
                            value: "delete-items",
                            onInput: ($event) => updatePermissions("delete-items"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Products") }),
                            checked: unref(form).permissions.includes("delete-items")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Customers")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-customers",
                            value: "read-customers",
                            onInput: ($event) => updatePermissions("read-customers"),
                            label: unref(t)("View {x}", { x: unref(t)("Customers") }),
                            checked: unref(form).permissions.includes("read-customers")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-customers",
                            value: "create-customers",
                            onInput: ($event) => updatePermissions("create-customers"),
                            label: unref(t)("Create {x}", { x: unref(t)("Customers") }),
                            checked: unref(form).permissions.includes("create-customers")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-customers",
                            value: "update-customers",
                            onInput: ($event) => updatePermissions("update-customers"),
                            label: unref(t)("Update {x}", { x: unref(t)("Customers") }),
                            checked: unref(form).permissions.includes("update-customers")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "import-customers",
                            value: "import-customers",
                            onInput: ($event) => updatePermissions("import-customers"),
                            label: unref(t)("Import {x}", { x: unref(t)("Customers") }),
                            checked: unref(form).permissions.includes("import-customers")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-customers",
                            value: "delete-customers",
                            onInput: ($event) => updatePermissions("delete-customers"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Customers") }),
                            checked: unref(form).permissions.includes("delete-customers")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Companies")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-companies",
                            value: "read-companies",
                            onInput: ($event) => updatePermissions("read-companies"),
                            label: unref(t)("View {x}", { x: unref(t)("Companies") }),
                            checked: unref(form).permissions.includes("read-companies")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-companies",
                            value: "create-companies",
                            onInput: ($event) => updatePermissions("create-companies"),
                            label: unref(t)("Create {x}", { x: unref(t)("Companies") }),
                            checked: unref(form).permissions.includes("create-companies")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-companies",
                            value: "update-companies",
                            onInput: ($event) => updatePermissions("update-companies"),
                            label: unref(t)("Update {x}", { x: unref(t)("Companies") }),
                            checked: unref(form).permissions.includes("update-companies")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-companies",
                            value: "delete-companies",
                            onInput: ($event) => updatePermissions("delete-companies"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Companies") }),
                            checked: unref(form).permissions.includes("delete-companies")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Tax Rates")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-tax-rates",
                            value: "read-tax-rates",
                            onInput: ($event) => updatePermissions("read-tax-rates"),
                            label: unref(t)("View {x}", { x: unref(t)("Tax Rates") }),
                            checked: unref(form).permissions.includes("read-tax-rates")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-tax-rates",
                            value: "create-tax-rates",
                            onInput: ($event) => updatePermissions("create-tax-rates"),
                            label: unref(t)("Create {x}", { x: unref(t)("Tax Rates") }),
                            checked: unref(form).permissions.includes("create-tax-rates")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-tax-rates",
                            value: "update-tax-rates",
                            onInput: ($event) => updatePermissions("update-tax-rates"),
                            label: unref(t)("Update {x}", { x: unref(t)("Tax Rates") }),
                            checked: unref(form).permissions.includes("update-tax-rates")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-tax-rates",
                            value: "delete-tax-rates",
                            onInput: ($event) => updatePermissions("delete-tax-rates"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Tax Rates") }),
                            checked: unref(form).permissions.includes("delete-tax-rates")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Notes")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-notes",
                            value: "read-notes",
                            onInput: ($event) => updatePermissions("read-notes"),
                            label: unref(t)("View {x}", { x: unref(t)("Notes") }),
                            checked: unref(form).permissions.includes("read-notes")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-notes",
                            value: "create-notes",
                            onInput: ($event) => updatePermissions("create-notes"),
                            label: unref(t)("Create {x}", { x: unref(t)("Notes") }),
                            checked: unref(form).permissions.includes("create-notes")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-notes",
                            value: "update-notes",
                            onInput: ($event) => updatePermissions("update-notes"),
                            label: unref(t)("Update {x}", { x: unref(t)("Notes") }),
                            checked: unref(form).permissions.includes("update-notes")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-notes",
                            value: "delete-notes",
                            onInput: ($event) => updatePermissions("delete-notes"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Notes") }),
                            checked: unref(form).permissions.includes("delete-notes")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Custom Fields")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-fields",
                            value: "read-fields",
                            onInput: ($event) => updatePermissions("read-fields"),
                            label: unref(t)("View {x}", { x: unref(t)("Custom Fields") }),
                            checked: unref(form).permissions.includes("read-fields")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-fields",
                            value: "create-fields",
                            onInput: ($event) => updatePermissions("create-fields"),
                            label: unref(t)("Create {x}", { x: unref(t)("Custom Fields") }),
                            checked: unref(form).permissions.includes("create-fields")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-fields",
                            value: "update-fields",
                            onInput: ($event) => updatePermissions("update-fields"),
                            label: unref(t)("Update {x}", { x: unref(t)("Custom Fields") }),
                            checked: unref(form).permissions.includes("update-fields")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-fields",
                            value: "delete-fields",
                            onInput: ($event) => updatePermissions("delete-fields"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Custom Fields") }),
                            checked: unref(form).permissions.includes("delete-fields")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Users")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-users",
                            value: "read-users",
                            onInput: ($event) => updatePermissions("read-users"),
                            label: unref(t)("View {x}", { x: unref(t)("Users") }),
                            checked: unref(form).permissions.includes("read-users")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-users",
                            value: "create-users",
                            onInput: ($event) => updatePermissions("create-users"),
                            label: unref(t)("Create {x}", { x: unref(t)("Users") }),
                            checked: unref(form).permissions.includes("create-users")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-users",
                            value: "update-users",
                            onInput: ($event) => updatePermissions("update-users"),
                            label: unref(t)("Update {x}", { x: unref(t)("Users") }),
                            checked: unref(form).permissions.includes("update-users")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-users",
                            value: "delete-users",
                            onInput: ($event) => updatePermissions("delete-users"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Users") }),
                            checked: unref(form).permissions.includes("delete-users")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "my-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Roles")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-roles",
                            value: "read-roles",
                            onInput: ($event) => updatePermissions("read-roles"),
                            label: unref(t)("View {x}", { x: unref(t)("Roles") }),
                            checked: unref(form).permissions.includes("read-roles")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-roles",
                            value: "create-roles",
                            onInput: ($event) => updatePermissions("create-roles"),
                            label: unref(t)("Create {x}", { x: unref(t)("Roles") }),
                            checked: unref(form).permissions.includes("create-roles")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "update-roles",
                            value: "update-roles",
                            onInput: ($event) => updatePermissions("update-roles"),
                            label: unref(t)("Update {x}", { x: unref(t)("Roles") }),
                            checked: unref(form).permissions.includes("update-roles")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "delete-roles",
                            value: "delete-roles",
                            onInput: ($event) => updatePermissions("delete-roles"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Roles") }),
                            checked: unref(form).permissions.includes("delete-roles")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "mt-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Attachments")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "delete-attachments",
                            value: "delete-attachments",
                            onInput: ($event) => updatePermissions("delete-attachments"),
                            label: unref(t)("Delete {x}", { x: unref(t)("Attachments") }),
                            checked: unref(form).permissions.includes("delete-attachments")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "mt-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Activity Logs")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-activity",
                            value: "read-activity",
                            onInput: ($event) => updatePermissions("read-activity"),
                            label: unref(t)("View {x}", { x: unref(t)("Activity Logs") }),
                            checked: unref(form).permissions.includes("read-activity")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ]),
                      createVNode("div", { class: "mt-6" }, [
                        createVNode("label", { class: "block w-full font-bold mb-2" }, toDisplayString(unref(t)("Settings")), 1),
                        createVNode("div", { class: "flex flex-wrap sm:flex-row items-start gap-x-6 gap-y-2 sm:gap-y-6" }, [
                          createVNode(CheckBox, {
                            id: "read-settings",
                            value: "read-settings",
                            onInput: ($event) => updatePermissions("read-settings"),
                            label: unref(t)("View {x}", { x: unref(t)("Settings") }),
                            checked: unref(form).permissions.includes("read-settings")
                          }, null, 8, ["onInput", "label", "checked"]),
                          createVNode(CheckBox, {
                            id: "create-settings",
                            value: "create-settings",
                            onInput: ($event) => updatePermissions("create-settings"),
                            label: unref(t)("Update {x}", { x: unref(t)("Settings") }),
                            checked: unref(form).permissions.includes("create-settings")
                          }, null, 8, ["onInput", "label", "checked"])
                        ])
                      ])
                    ])) : createCommentVNode("", true)
                  ]),
                  actions: withCtx(() => [
                    createVNode(_sfc_main$5, {
                      on: unref(form).recentlySuccessful,
                      class: "mr-3"
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(t)("Saved.")), 1)
                      ]),
                      _: 1
                    }, 8, ["on"]),
                    createVNode(_sfc_main$3, {
                      type: "submit",
                      loading: unref(form).processing
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(t)("Save")), 1)
                      ]),
                      _: 1
                    }, 8, ["loading"])
                  ]),
                  _: 1
                })
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Role/Form.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
