import { ref, mergeProps, unref, withCtx, createSlots, createTextVNode, toDisplayString, createVNode, withDirectives, vShow, withModifiers, openBlock, createBlock, createCommentVNode, useSSRContext } from "vue";
import { ssrRenderComponent, ssrInterpolate, ssrRenderStyle, ssrRenderAttr } from "vue/server-renderer";
import { useI18n } from "vue-i18n";
import { useForm } from "@inertiajs/vue3";
import { i as i18n } from "../ssr.js";
import { a as _sfc_main$3, b as _sfc_main$5, _ as _sfc_main$9 } from "./InputError-951c1c36.js";
import { C as CheckBox, _ as _sfc_main$8 } from "./ActionMessage-cdce5426.js";
import { _ as _sfc_main$6 } from "./TextInput-f18b2e86.js";
import { _ as _sfc_main$1 } from "./AppLayout-9028b106.js";
import "./SelectInput-0eee531e.js";
import { _ as _sfc_main$2 } from "./FormSection-d5f140fc.js";
import { _ as _sfc_main$7 } from "./AutoComplete-974a17ce.js";
import { _ as _sfc_main$4 } from "./SecondaryButton-910b0895.js";
import "@vue/server-renderer";
import "@inertiajs/vue3/server";
import "uuid";
import "./Input-fb927b71.js";
import "./Modal-4ced3d7d.js";
import "axios";
import "lodash/throttle.js";
const _sfc_main = {
  __name: "Index",
  __ssrInlineRender: true,
  props: ["current", "languages"],
  setup(__props) {
    var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o;
    const props = __props;
    const { t } = useI18n({});
    const logoInput = ref(null);
    const logoPreview = ref(null);
    const invoiceLogoInput = ref(null);
    const invoiceLogoPreview = ref(null);
    const form = useForm({
      name: (_a = props.current) == null ? void 0 : _a.name,
      language: ((_b = props.current) == null ? void 0 : _b.language) || "en",
      per_page: ((_c = props.current) == null ? void 0 : _c.per_page) || 10,
      fraction: props.current.fraction,
      hour12: props.current.hour12 || "1",
      reference: ((_d = props.current) == null ? void 0 : _d.reference) || "ulid",
      initial_rows: (_e = props.current) == null ? void 0 : _e.initial_rows,
      invoice_status: (_f = props.current) == null ? void 0 : _f.invoice_status,
      currency_code: ((_g = props.current) == null ? void 0 : _g.currency_code) || "USD",
      default_locale: ((_h = props.current) == null ? void 0 : _h.default_locale) || "en-US",
      paypal: ((_i = props.current) == null ? void 0 : _i.paypal) || { enabled: false },
      stripe: ((_j = props.current) == null ? void 0 : _j.stripe) || { enabled: false },
      product_discount: ((_k = props.current) == null ? void 0 : _k.product_discount) == 1,
      impersonation: ((_l = props.current) == null ? void 0 : _l.impersonation) == 1,
      create_user: ((_m = props.current) == null ? void 0 : _m.create_user) == 1,
      login_logo: ((_n = props.current) == null ? void 0 : _n.login_logo) || null,
      invoice_logo: ((_o = props.current) == null ? void 0 : _o.invoice_logo) || null,
      attachment_exts: props.current.attachment_exts || "jpg,png,pdf,xlsx,docx,zip"
    });
    const submit = () => {
      if (logoInput.value) {
        form.login_logo = logoInput.value.files[0];
      }
      if (invoiceLogoInput.value) {
        form.invoice_logo = invoiceLogoInput.value.files[0];
      }
      form.post(route("settings.store"), {
        onSuccess: (p) => {
          i18n.global.locale.value = p.props.settings.language;
          document.querySelector("html").setAttribute("lang", p.props.settings.language);
        }
      });
    };
    const selectNewLogo = () => {
      logoInput.value.click();
    };
    const selectNewInvoiceLogo = () => {
      invoiceLogoInput.value.click();
    };
    const updateLogoPreview = () => {
      const photo = logoInput.value.files[0];
      if (!photo)
        return;
      const reader = new FileReader();
      reader.onload = (e) => {
        logoPreview.value = e.target.result;
      };
      reader.readAsDataURL(photo);
    };
    const updateInvoiceLogoPreview = () => {
      const photo = invoiceLogoInput.value.files[0];
      if (!photo)
        return;
      const reader = new FileReader();
      reader.onload = (e) => {
        invoiceLogoPreview.value = e.target.result;
      };
      reader.readAsDataURL(photo);
    };
    return (_ctx, _push, _parent, _attrs) => {
      _push(ssrRenderComponent(_sfc_main$1, mergeProps({
        title: unref(t)("Settings")
      }, _attrs), {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          var _a2, _b2;
          if (_push2) {
            _push2(`<div class="max-w-7xl mx-auto py-10 sm:px-6 lg:px-8"${_scopeId}>`);
            _push2(ssrRenderComponent(_sfc_main$2, {
              onSubmitted: submit,
              autocomplete: "off"
            }, createSlots({
              title: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`${ssrInterpolate(unref(t)("Settings"))}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(unref(t)("Settings")), 1)
                  ];
                }
              }),
              description: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`${ssrInterpolate(unref(t)("Please fill the form below to update settings."))}`);
                } else {
                  return [
                    createTextVNode(toDisplayString(unref(t)("Please fill the form below to update settings.")), 1)
                  ];
                }
              }),
              form: withCtx((_2, _push3, _parent3, _scopeId2) => {
                var _a3, _b3, _c2, _d2, _e2, _f2, _g2, _h2, _i2, _j2, _k2, _l2, _m2, _n2, _o2, _p, _q, _r, _s, _t, _u, _v, _w, _x;
                if (_push3) {
                  _push3(`<div class="col-span-6 sm:col-span-3"${_scopeId2}><input type="file" class="hidden" accept=".png,.jpg,.jpeg,.svg"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$3, {
                    for: "logo",
                    value: unref(t)("Login Logo")
                  }, null, _parent3, _scopeId2));
                  _push3(`<div style="${ssrRenderStyle(!logoPreview.value && unref(form).login_logo ? null : { display: "none" })}" class="my-2 rounded-md bg-white p-2"${_scopeId2}><img${ssrRenderAttr("src", unref(form).login_logo)}${ssrRenderAttr("alt", unref(form).name)} class="block rounded w-80 h-20 mx-auto bg-contain"${_scopeId2}></div><div style="${ssrRenderStyle(logoPreview.value ? null : { display: "none" })}" class="my-2 rounded-md bg-white p-2"${_scopeId2}><span class="block rounded w-80 h-20 mx-auto bg-contain bg-no-repeat bg-center" style="${ssrRenderStyle("background-image: url('" + logoPreview.value + "');")}"${_scopeId2}></span></div>`);
                  _push3(ssrRenderComponent(_sfc_main$4, {
                    class: "mt-2 mr-2",
                    type: "button",
                    onClick: selectNewLogo
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`${ssrInterpolate(unref(t)("Select Login Logo"))}`);
                      } else {
                        return [
                          createTextVNode(toDisplayString(unref(t)("Select Login Logo")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(_sfc_main$5, {
                    message: unref(form).errors.login_logo,
                    class: "mt-2"
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}><input type="file" class="hidden" accept=".png,.jpg,.jpeg,.svg"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$3, {
                    for: "invoice_logo",
                    value: unref(t)("Invoice Logo")
                  }, null, _parent3, _scopeId2));
                  _push3(`<div style="${ssrRenderStyle(!invoiceLogoPreview.value && unref(form).invoice_logo ? null : { display: "none" })}" class="my-2 rounded-md bg-white p-2"${_scopeId2}><img${ssrRenderAttr("src", unref(form).invoice_logo)}${ssrRenderAttr("alt", unref(form).name)} class="block rounded w-80 h-20 mx-auto bg-contain"${_scopeId2}></div><div style="${ssrRenderStyle(invoiceLogoPreview.value ? null : { display: "none" })}" class="my-2 rounded-md bg-white p-2"${_scopeId2}><span class="block rounded w-80 h-20 mx-auto bg-contain bg-no-repeat bg-center" style="${ssrRenderStyle("background-image: url('" + invoiceLogoPreview.value + "');")}"${_scopeId2}></span></div>`);
                  _push3(ssrRenderComponent(_sfc_main$4, {
                    class: "mt-2 mr-2",
                    type: "button",
                    onClick: selectNewInvoiceLogo
                  }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(`${ssrInterpolate(unref(t)("Select Invoice Logo"))}`);
                      } else {
                        return [
                          createTextVNode(toDisplayString(unref(t)("Select Invoice Logo")), 1)
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                  _push3(ssrRenderComponent(_sfc_main$5, {
                    message: unref(form).errors.invoice_logo,
                    class: "mt-2"
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$6, {
                    modelValue: unref(form).name,
                    "onUpdate:modelValue": ($event) => unref(form).name = $event,
                    error: unref(form).errors.name,
                    label: unref(t)("Site Name")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$7, {
                    json: true,
                    id: "language",
                    searchable: false,
                    modelValue: unref(form).language,
                    "onUpdate:modelValue": ($event) => unref(form).language = $event,
                    label: unref(t)("Language"),
                    error: unref(form).errors.language,
                    suggestions: props.languages
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$7, {
                    json: true,
                    id: "reference",
                    searchable: false,
                    modelValue: unref(form).reference,
                    "onUpdate:modelValue": ($event) => unref(form).reference = $event,
                    label: unref(t)("Reference"),
                    error: unref(form).errors.reference,
                    suggestions: [
                      { value: "ulid", label: "ULID - Universally Unique Lexicographically Sortable Identifier" },
                      { value: "ai", label: "Auto Increment (MYSQL only)" },
                      { value: "uniqid", label: "Uniqid - PHP Generate a Unique ID" },
                      { value: "uuid", label: "UUID - Universally Unique Identifier" }
                    ]
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$6, {
                    modelValue: unref(form).currency_code,
                    "onUpdate:modelValue": ($event) => unref(form).currency_code = $event,
                    error: unref(form).errors.currency_code,
                    label: unref(t)("Currency Code")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$6, {
                    modelValue: unref(form).default_locale,
                    "onUpdate:modelValue": ($event) => unref(form).default_locale = $event,
                    error: unref(form).errors.default_locale,
                    label: unref(t)("Date & Number Locale")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$7, {
                    id: "hour12",
                    json: true,
                    searchable: false,
                    modelValue: unref(form).hour12,
                    "onUpdate:modelValue": ($event) => unref(form).hour12 = $event,
                    label: unref(t)("Time Format"),
                    error: unref(form).errors.hour12,
                    suggestions: [
                      { value: "0", label: "24 Hours (23:30)" },
                      { value: "1", label: "12 Hours (11:30 PM)" }
                    ]
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$7, {
                    id: "fraction",
                    searchable: false,
                    modelValue: unref(form).fraction,
                    "onUpdate:modelValue": ($event) => unref(form).fraction = $event,
                    suggestions: [0, 1, 2],
                    error: unref(form).errors.fraction,
                    label: unref(t)("Decimal Fractions")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$7, {
                    id: "per_page",
                    searchable: false,
                    modelValue: unref(form).per_page,
                    "onUpdate:modelValue": ($event) => unref(form).per_page = $event,
                    error: unref(form).errors.per_page,
                    label: unref(t)("Table rows per page"),
                    suggestions: [10, 15, 25, 50, 100]
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$7, {
                    id: "initial_rows",
                    searchable: false,
                    modelValue: unref(form).initial_rows,
                    "onUpdate:modelValue": ($event) => unref(form).initial_rows = $event,
                    suggestions: [2, 5, 10, 20],
                    error: unref(form).errors.initial_rows,
                    label: unref(t)("Initial rows on order form")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6 sm:col-span-3"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$7, {
                    json: true,
                    id: "invoice_status",
                    searchable: false,
                    label: unref(t)("Invoice Status"),
                    modelValue: unref(form).invoice_status,
                    "onUpdate:modelValue": ($event) => unref(form).invoice_status = $event,
                    suggestions: [
                      { value: "badge", label: unref(t)("As Badge") },
                      { value: "text", label: unref(t)("As Text") }
                    ],
                    error: unref(form).errors.invoice_status
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-6"${_scopeId2}>`);
                  _push3(ssrRenderComponent(_sfc_main$6, {
                    modelValue: unref(form).attachment_exts,
                    "onUpdate:modelValue": ($event) => unref(form).attachment_exts = $event,
                    error: unref(form).errors.attachment_exts,
                    label: unref(t)("Allowed attachments")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div><div class="col-span-full"${_scopeId2}>`);
                  _push3(ssrRenderComponent(CheckBox, {
                    id: "paypal-enabled",
                    label: unref(t)("Enable PayPal Payments"),
                    checked: unref(form).paypal.enabled,
                    "onUpdate:checked": ($event) => unref(form).paypal.enabled = $event,
                    error: (_a3 = unref(form).errors.paypal) == null ? void 0 : _a3.enabled
                  }, null, _parent3, _scopeId2));
                  if (unref(form).paypal.enabled) {
                    _push3(`<div class="my-4 grid grid-cols-1 sm:grid-cols-6 gap-4"${_scopeId2}><div class="col-span-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_sfc_main$6, {
                      modelValue: unref(form).paypal.client_id,
                      "onUpdate:modelValue": ($event) => unref(form).paypal.client_id = $event,
                      error: (_b3 = unref(form).errors.paypal) == null ? void 0 : _b3.client_id,
                      label: unref(t)("PayPal Client Id")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div><div class="col-span-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_sfc_main$6, {
                      modelValue: unref(form).paypal.secret,
                      "onUpdate:modelValue": ($event) => unref(form).paypal.secret = $event,
                      error: (_c2 = unref(form).errors.paypal) == null ? void 0 : _c2.secret,
                      label: unref(t)("PayPal Secret")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div><div class="col-span-2"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_sfc_main$6, {
                      modelValue: unref(form).paypal.fixed,
                      "onUpdate:modelValue": ($event) => unref(form).paypal.fixed = $event,
                      error: (_d2 = unref(form).errors.paypal) == null ? void 0 : _d2.fixed,
                      label: unref(t)("Fixed Fee Amount")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div><div class="col-span-2"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_sfc_main$6, {
                      modelValue: unref(form).paypal.same_country,
                      "onUpdate:modelValue": ($event) => unref(form).paypal.same_country = $event,
                      error: (_e2 = unref(form).errors.paypal) == null ? void 0 : _e2.same_country,
                      label: unref(t)("Same Country Percentage")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div><div class="col-span-2"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_sfc_main$6, {
                      modelValue: unref(form).paypal.other_countries,
                      "onUpdate:modelValue": ($event) => unref(form).paypal.other_countries = $event,
                      error: (_f2 = unref(form).errors.paypal) == null ? void 0 : _f2.other_countries,
                      label: unref(t)("Other Countries Percentage")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div></div>`);
                  } else {
                    _push3(`<!---->`);
                  }
                  _push3(`</div><div class="col-span-full"${_scopeId2}>`);
                  _push3(ssrRenderComponent(CheckBox, {
                    id: "stripe-enabled",
                    label: unref(t)("Enable Stripe Payments"),
                    checked: unref(form).stripe.enabled,
                    "onUpdate:checked": ($event) => unref(form).stripe.enabled = $event,
                    error: (_g2 = unref(form).errors.stripe) == null ? void 0 : _g2.enabled
                  }, null, _parent3, _scopeId2));
                  if (unref(form).stripe.enabled) {
                    _push3(`<div class="my-4 grid grid-cols-1 sm:grid-cols-6 gap-4"${_scopeId2}><div class="col-span-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_sfc_main$6, {
                      modelValue: unref(form).stripe.publishable_key,
                      "onUpdate:modelValue": ($event) => unref(form).stripe.publishable_key = $event,
                      error: (_h2 = unref(form).errors.stripe) == null ? void 0 : _h2.publishable_key,
                      label: unref(t)("Stripe Publishable Key")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div><div class="col-span-6"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_sfc_main$6, {
                      modelValue: unref(form).stripe.secret_key,
                      "onUpdate:modelValue": ($event) => unref(form).stripe.secret_key = $event,
                      error: (_i2 = unref(form).errors.stripe) == null ? void 0 : _i2.secret_key,
                      label: unref(t)("Stripe Secret Key")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div><div class="col-span-2"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_sfc_main$6, {
                      modelValue: unref(form).stripe.fixed,
                      "onUpdate:modelValue": ($event) => unref(form).stripe.fixed = $event,
                      error: (_j2 = unref(form).errors.stripe) == null ? void 0 : _j2.fixed,
                      label: unref(t)("Fixed Fee Amount")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div><div class="col-span-2"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_sfc_main$6, {
                      modelValue: unref(form).stripe.same_country,
                      "onUpdate:modelValue": ($event) => unref(form).stripe.same_country = $event,
                      error: (_k2 = unref(form).errors.stripe) == null ? void 0 : _k2.same_country,
                      label: unref(t)("Same Country Percentage")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div><div class="col-span-2"${_scopeId2}>`);
                    _push3(ssrRenderComponent(_sfc_main$6, {
                      modelValue: unref(form).stripe.other_countries,
                      "onUpdate:modelValue": ($event) => unref(form).stripe.other_countries = $event,
                      error: (_l2 = unref(form).errors.stripe) == null ? void 0 : _l2.other_countries,
                      label: unref(t)("Other Countries Percentage")
                    }, null, _parent3, _scopeId2));
                    _push3(`</div></div>`);
                  } else {
                    _push3(`<!---->`);
                  }
                  _push3(`</div><div class="col-span-full flex flex-col gap-4"${_scopeId2}>`);
                  _push3(ssrRenderComponent(CheckBox, {
                    id: "impersonation",
                    error: unref(form).errors.impersonation,
                    checked: unref(form).impersonation,
                    "onUpdate:checked": ($event) => unref(form).impersonation = $event,
                    label: unref(t)("Enable impersonation of customer user")
                  }, null, _parent3, _scopeId2));
                  _push3(`</div>`);
                } else {
                  return [
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode("input", {
                        ref_key: "logoInput",
                        ref: logoInput,
                        type: "file",
                        class: "hidden",
                        accept: ".png,.jpg,.jpeg,.svg",
                        onChange: updateLogoPreview
                      }, null, 544),
                      createVNode(_sfc_main$3, {
                        for: "logo",
                        value: unref(t)("Login Logo")
                      }, null, 8, ["value"]),
                      withDirectives(createVNode("div", { class: "my-2 rounded-md bg-white p-2" }, [
                        createVNode("img", {
                          src: unref(form).login_logo,
                          alt: unref(form).name,
                          class: "block rounded w-80 h-20 mx-auto bg-contain"
                        }, null, 8, ["src", "alt"])
                      ], 512), [
                        [vShow, !logoPreview.value && unref(form).login_logo]
                      ]),
                      withDirectives(createVNode("div", { class: "my-2 rounded-md bg-white p-2" }, [
                        createVNode("span", {
                          class: "block rounded w-80 h-20 mx-auto bg-contain bg-no-repeat bg-center",
                          style: "background-image: url('" + logoPreview.value + "');"
                        }, null, 4)
                      ], 512), [
                        [vShow, logoPreview.value]
                      ]),
                      createVNode(_sfc_main$4, {
                        class: "mt-2 mr-2",
                        type: "button",
                        onClick: withModifiers(selectNewLogo, ["prevent"])
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString(unref(t)("Select Login Logo")), 1)
                        ]),
                        _: 1
                      }, 8, ["onClick"]),
                      createVNode(_sfc_main$5, {
                        message: unref(form).errors.login_logo,
                        class: "mt-2"
                      }, null, 8, ["message"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode("input", {
                        ref_key: "invoiceLogoInput",
                        ref: invoiceLogoInput,
                        type: "file",
                        class: "hidden",
                        accept: ".png,.jpg,.jpeg,.svg",
                        onChange: updateInvoiceLogoPreview
                      }, null, 544),
                      createVNode(_sfc_main$3, {
                        for: "invoice_logo",
                        value: unref(t)("Invoice Logo")
                      }, null, 8, ["value"]),
                      withDirectives(createVNode("div", { class: "my-2 rounded-md bg-white p-2" }, [
                        createVNode("img", {
                          src: unref(form).invoice_logo,
                          alt: unref(form).name,
                          class: "block rounded w-80 h-20 mx-auto bg-contain"
                        }, null, 8, ["src", "alt"])
                      ], 512), [
                        [vShow, !invoiceLogoPreview.value && unref(form).invoice_logo]
                      ]),
                      withDirectives(createVNode("div", { class: "my-2 rounded-md bg-white p-2" }, [
                        createVNode("span", {
                          class: "block rounded w-80 h-20 mx-auto bg-contain bg-no-repeat bg-center",
                          style: "background-image: url('" + invoiceLogoPreview.value + "');"
                        }, null, 4)
                      ], 512), [
                        [vShow, invoiceLogoPreview.value]
                      ]),
                      createVNode(_sfc_main$4, {
                        class: "mt-2 mr-2",
                        type: "button",
                        onClick: withModifiers(selectNewInvoiceLogo, ["prevent"])
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString(unref(t)("Select Invoice Logo")), 1)
                        ]),
                        _: 1
                      }, 8, ["onClick"]),
                      createVNode(_sfc_main$5, {
                        message: unref(form).errors.invoice_logo,
                        class: "mt-2"
                      }, null, 8, ["message"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$6, {
                        modelValue: unref(form).name,
                        "onUpdate:modelValue": ($event) => unref(form).name = $event,
                        error: unref(form).errors.name,
                        label: unref(t)("Site Name")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$7, {
                        json: true,
                        id: "language",
                        searchable: false,
                        modelValue: unref(form).language,
                        "onUpdate:modelValue": ($event) => unref(form).language = $event,
                        label: unref(t)("Language"),
                        error: unref(form).errors.language,
                        suggestions: props.languages
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "label", "error", "suggestions"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$7, {
                        json: true,
                        id: "reference",
                        searchable: false,
                        modelValue: unref(form).reference,
                        "onUpdate:modelValue": ($event) => unref(form).reference = $event,
                        label: unref(t)("Reference"),
                        error: unref(form).errors.reference,
                        suggestions: [
                          { value: "ulid", label: "ULID - Universally Unique Lexicographically Sortable Identifier" },
                          { value: "ai", label: "Auto Increment (MYSQL only)" },
                          { value: "uniqid", label: "Uniqid - PHP Generate a Unique ID" },
                          { value: "uuid", label: "UUID - Universally Unique Identifier" }
                        ]
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "label", "error", "suggestions"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$6, {
                        modelValue: unref(form).currency_code,
                        "onUpdate:modelValue": ($event) => unref(form).currency_code = $event,
                        error: unref(form).errors.currency_code,
                        label: unref(t)("Currency Code")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$6, {
                        modelValue: unref(form).default_locale,
                        "onUpdate:modelValue": ($event) => unref(form).default_locale = $event,
                        error: unref(form).errors.default_locale,
                        label: unref(t)("Date & Number Locale")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$7, {
                        id: "hour12",
                        json: true,
                        searchable: false,
                        modelValue: unref(form).hour12,
                        "onUpdate:modelValue": ($event) => unref(form).hour12 = $event,
                        label: unref(t)("Time Format"),
                        error: unref(form).errors.hour12,
                        suggestions: [
                          { value: "0", label: "24 Hours (23:30)" },
                          { value: "1", label: "12 Hours (11:30 PM)" }
                        ]
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "label", "error", "suggestions"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$7, {
                        id: "fraction",
                        searchable: false,
                        modelValue: unref(form).fraction,
                        "onUpdate:modelValue": ($event) => unref(form).fraction = $event,
                        suggestions: [0, 1, 2],
                        error: unref(form).errors.fraction,
                        label: unref(t)("Decimal Fractions")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$7, {
                        id: "per_page",
                        searchable: false,
                        modelValue: unref(form).per_page,
                        "onUpdate:modelValue": ($event) => unref(form).per_page = $event,
                        error: unref(form).errors.per_page,
                        label: unref(t)("Table rows per page"),
                        suggestions: [10, 15, 25, 50, 100]
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$7, {
                        id: "initial_rows",
                        searchable: false,
                        modelValue: unref(form).initial_rows,
                        "onUpdate:modelValue": ($event) => unref(form).initial_rows = $event,
                        suggestions: [2, 5, 10, 20],
                        error: unref(form).errors.initial_rows,
                        label: unref(t)("Initial rows on order form")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                      createVNode(_sfc_main$7, {
                        json: true,
                        id: "invoice_status",
                        searchable: false,
                        label: unref(t)("Invoice Status"),
                        modelValue: unref(form).invoice_status,
                        "onUpdate:modelValue": ($event) => unref(form).invoice_status = $event,
                        suggestions: [
                          { value: "badge", label: unref(t)("As Badge") },
                          { value: "text", label: unref(t)("As Text") }
                        ],
                        error: unref(form).errors.invoice_status
                      }, null, 8, ["label", "modelValue", "onUpdate:modelValue", "suggestions", "error"])
                    ]),
                    createVNode("div", { class: "col-span-6" }, [
                      createVNode(_sfc_main$6, {
                        modelValue: unref(form).attachment_exts,
                        "onUpdate:modelValue": ($event) => unref(form).attachment_exts = $event,
                        error: unref(form).errors.attachment_exts,
                        label: unref(t)("Allowed attachments")
                      }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                    ]),
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(CheckBox, {
                        id: "paypal-enabled",
                        label: unref(t)("Enable PayPal Payments"),
                        checked: unref(form).paypal.enabled,
                        "onUpdate:checked": ($event) => unref(form).paypal.enabled = $event,
                        error: (_m2 = unref(form).errors.paypal) == null ? void 0 : _m2.enabled
                      }, null, 8, ["label", "checked", "onUpdate:checked", "error"]),
                      unref(form).paypal.enabled ? (openBlock(), createBlock("div", {
                        key: 0,
                        class: "my-4 grid grid-cols-1 sm:grid-cols-6 gap-4"
                      }, [
                        createVNode("div", { class: "col-span-6" }, [
                          createVNode(_sfc_main$6, {
                            modelValue: unref(form).paypal.client_id,
                            "onUpdate:modelValue": ($event) => unref(form).paypal.client_id = $event,
                            error: (_n2 = unref(form).errors.paypal) == null ? void 0 : _n2.client_id,
                            label: unref(t)("PayPal Client Id")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                        ]),
                        createVNode("div", { class: "col-span-6" }, [
                          createVNode(_sfc_main$6, {
                            modelValue: unref(form).paypal.secret,
                            "onUpdate:modelValue": ($event) => unref(form).paypal.secret = $event,
                            error: (_o2 = unref(form).errors.paypal) == null ? void 0 : _o2.secret,
                            label: unref(t)("PayPal Secret")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                        ]),
                        createVNode("div", { class: "col-span-2" }, [
                          createVNode(_sfc_main$6, {
                            modelValue: unref(form).paypal.fixed,
                            "onUpdate:modelValue": ($event) => unref(form).paypal.fixed = $event,
                            error: (_p = unref(form).errors.paypal) == null ? void 0 : _p.fixed,
                            label: unref(t)("Fixed Fee Amount")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                        ]),
                        createVNode("div", { class: "col-span-2" }, [
                          createVNode(_sfc_main$6, {
                            modelValue: unref(form).paypal.same_country,
                            "onUpdate:modelValue": ($event) => unref(form).paypal.same_country = $event,
                            error: (_q = unref(form).errors.paypal) == null ? void 0 : _q.same_country,
                            label: unref(t)("Same Country Percentage")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                        ]),
                        createVNode("div", { class: "col-span-2" }, [
                          createVNode(_sfc_main$6, {
                            modelValue: unref(form).paypal.other_countries,
                            "onUpdate:modelValue": ($event) => unref(form).paypal.other_countries = $event,
                            error: (_r = unref(form).errors.paypal) == null ? void 0 : _r.other_countries,
                            label: unref(t)("Other Countries Percentage")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                        ])
                      ])) : createCommentVNode("", true)
                    ]),
                    createVNode("div", { class: "col-span-full" }, [
                      createVNode(CheckBox, {
                        id: "stripe-enabled",
                        label: unref(t)("Enable Stripe Payments"),
                        checked: unref(form).stripe.enabled,
                        "onUpdate:checked": ($event) => unref(form).stripe.enabled = $event,
                        error: (_s = unref(form).errors.stripe) == null ? void 0 : _s.enabled
                      }, null, 8, ["label", "checked", "onUpdate:checked", "error"]),
                      unref(form).stripe.enabled ? (openBlock(), createBlock("div", {
                        key: 0,
                        class: "my-4 grid grid-cols-1 sm:grid-cols-6 gap-4"
                      }, [
                        createVNode("div", { class: "col-span-6" }, [
                          createVNode(_sfc_main$6, {
                            modelValue: unref(form).stripe.publishable_key,
                            "onUpdate:modelValue": ($event) => unref(form).stripe.publishable_key = $event,
                            error: (_t = unref(form).errors.stripe) == null ? void 0 : _t.publishable_key,
                            label: unref(t)("Stripe Publishable Key")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                        ]),
                        createVNode("div", { class: "col-span-6" }, [
                          createVNode(_sfc_main$6, {
                            modelValue: unref(form).stripe.secret_key,
                            "onUpdate:modelValue": ($event) => unref(form).stripe.secret_key = $event,
                            error: (_u = unref(form).errors.stripe) == null ? void 0 : _u.secret_key,
                            label: unref(t)("Stripe Secret Key")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                        ]),
                        createVNode("div", { class: "col-span-2" }, [
                          createVNode(_sfc_main$6, {
                            modelValue: unref(form).stripe.fixed,
                            "onUpdate:modelValue": ($event) => unref(form).stripe.fixed = $event,
                            error: (_v = unref(form).errors.stripe) == null ? void 0 : _v.fixed,
                            label: unref(t)("Fixed Fee Amount")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                        ]),
                        createVNode("div", { class: "col-span-2" }, [
                          createVNode(_sfc_main$6, {
                            modelValue: unref(form).stripe.same_country,
                            "onUpdate:modelValue": ($event) => unref(form).stripe.same_country = $event,
                            error: (_w = unref(form).errors.stripe) == null ? void 0 : _w.same_country,
                            label: unref(t)("Same Country Percentage")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                        ]),
                        createVNode("div", { class: "col-span-2" }, [
                          createVNode(_sfc_main$6, {
                            modelValue: unref(form).stripe.other_countries,
                            "onUpdate:modelValue": ($event) => unref(form).stripe.other_countries = $event,
                            error: (_x = unref(form).errors.stripe) == null ? void 0 : _x.other_countries,
                            label: unref(t)("Other Countries Percentage")
                          }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                        ])
                      ])) : createCommentVNode("", true)
                    ]),
                    createVNode("div", { class: "col-span-full flex flex-col gap-4" }, [
                      createVNode(CheckBox, {
                        id: "impersonation",
                        error: unref(form).errors.impersonation,
                        checked: unref(form).impersonation,
                        "onUpdate:checked": ($event) => unref(form).impersonation = $event,
                        label: unref(t)("Enable impersonation of customer user")
                      }, null, 8, ["error", "checked", "onUpdate:checked", "label"])
                    ])
                  ];
                }
              }),
              _: 2
            }, [
              _ctx.$can("create-settings") ? {
                name: "actions",
                fn: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(ssrRenderComponent(_sfc_main$8, {
                      on: unref(form).recentlySuccessful,
                      class: "mr-3"
                    }, {
                      default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                        if (_push4) {
                          _push4(`${ssrInterpolate(unref(t)("Saved."))}`);
                        } else {
                          return [
                            createTextVNode(toDisplayString(unref(t)("Saved.")), 1)
                          ];
                        }
                      }),
                      _: 1
                    }, _parent3, _scopeId2));
                    _push3(ssrRenderComponent(_sfc_main$9, {
                      type: _ctx.$can("create-settings") ? "submit" : "button",
                      loading: unref(form).processing
                    }, {
                      default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                        if (_push4) {
                          _push4(`${ssrInterpolate(unref(t)("Save"))}`);
                        } else {
                          return [
                            createTextVNode(toDisplayString(unref(t)("Save")), 1)
                          ];
                        }
                      }),
                      _: 1
                    }, _parent3, _scopeId2));
                  } else {
                    return [
                      createVNode(_sfc_main$8, {
                        on: unref(form).recentlySuccessful,
                        class: "mr-3"
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString(unref(t)("Saved.")), 1)
                        ]),
                        _: 1
                      }, 8, ["on"]),
                      createVNode(_sfc_main$9, {
                        type: _ctx.$can("create-settings") ? "submit" : "button",
                        loading: unref(form).processing
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString(unref(t)("Save")), 1)
                        ]),
                        _: 1
                      }, 8, ["type", "loading"])
                    ];
                  }
                }),
                key: "0"
              } : void 0
            ]), _parent2, _scopeId));
            if (unref(form) && ((_a2 = unref(form)) == null ? void 0 : _a2.default_locale)) {
              _push2(`<div class="mt-8"${_scopeId}>`);
              _push2(ssrRenderComponent(_sfc_main$2, null, {
                title: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`${ssrInterpolate(unref(t)("Preview"))}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(unref(t)("Preview")), 1)
                    ];
                  }
                }),
                description: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`${ssrInterpolate(unref(t)("Number and Date Format"))}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(unref(t)("Number and Date Format")), 1)
                    ];
                  }
                }),
                form: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`<div class="col-span-full -m-6 rounded-md overflow-hidden"${_scopeId2}><dl${_scopeId2}><div class="odd:bg-white dark:odd:bg-gray-900 even:bg-gray-50 dark:even:bg-black/20 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6"${_scopeId2}><dt class="font-medium text-gray-500 dark:text-gray-400"${_scopeId2}>${ssrInterpolate(unref(t)("Currency"))}</dt><dd class="mt-1 sm:mt-0 sm:col-span-2"${_scopeId2}>${ssrInterpolate(_ctx.$currency(200000005e-1, unref(form).default_locale, {
                      minimumFractionDigits: unref(form).fraction
                    }))}</dd></div><div class="odd:bg-white dark:odd:bg-gray-900 even:bg-gray-50 dark:even:bg-black/20 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6"${_scopeId2}><dt class="font-medium text-gray-500 dark:text-gray-400"${_scopeId2}>${ssrInterpolate(unref(t)("Number"))}</dt><dd class="mt-1 sm:mt-0 sm:col-span-2"${_scopeId2}>${ssrInterpolate(_ctx.$number(200000005e-1, unref(form).default_locale, {
                      minimumFractionDigits: unref(form).fraction
                    }))}</dd></div><div class="odd:bg-white dark:odd:bg-gray-900 even:bg-gray-50 dark:even:bg-black/20 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6"${_scopeId2}><dt class="font-medium text-gray-500 dark:text-gray-400"${_scopeId2}>${ssrInterpolate(unref(t)("Date"))}</dt><dd class="mt-1 sm:mt-0 sm:col-span-2"${_scopeId2}>${ssrInterpolate(_ctx.$date(/* @__PURE__ */ new Date(), unref(form).default_locale))}</dd></div><div class="odd:bg-white dark:odd:bg-gray-900 even:bg-gray-50 dark:even:bg-black/20 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6"${_scopeId2}><dt class="font-medium text-gray-500 dark:text-gray-400"${_scopeId2}>${ssrInterpolate(unref(t)("Date Time"))}</dt><dd class="mt-1 sm:mt-0 sm:col-span-2"${_scopeId2}>${ssrInterpolate(_ctx.$datetime(/* @__PURE__ */ new Date(), unref(form).default_locale))}</dd></div></dl></div>`);
                  } else {
                    return [
                      createVNode("div", { class: "col-span-full -m-6 rounded-md overflow-hidden" }, [
                        createVNode("dl", null, [
                          createVNode("div", { class: "odd:bg-white dark:odd:bg-gray-900 even:bg-gray-50 dark:even:bg-black/20 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6" }, [
                            createVNode("dt", { class: "font-medium text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Currency")), 1),
                            createVNode("dd", { class: "mt-1 sm:mt-0 sm:col-span-2" }, toDisplayString(_ctx.$currency(200000005e-1, unref(form).default_locale, {
                              minimumFractionDigits: unref(form).fraction
                            })), 1)
                          ]),
                          createVNode("div", { class: "odd:bg-white dark:odd:bg-gray-900 even:bg-gray-50 dark:even:bg-black/20 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6" }, [
                            createVNode("dt", { class: "font-medium text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Number")), 1),
                            createVNode("dd", { class: "mt-1 sm:mt-0 sm:col-span-2" }, toDisplayString(_ctx.$number(200000005e-1, unref(form).default_locale, {
                              minimumFractionDigits: unref(form).fraction
                            })), 1)
                          ]),
                          createVNode("div", { class: "odd:bg-white dark:odd:bg-gray-900 even:bg-gray-50 dark:even:bg-black/20 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6" }, [
                            createVNode("dt", { class: "font-medium text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Date")), 1),
                            createVNode("dd", { class: "mt-1 sm:mt-0 sm:col-span-2" }, toDisplayString(_ctx.$date(/* @__PURE__ */ new Date(), unref(form).default_locale)), 1)
                          ]),
                          createVNode("div", { class: "odd:bg-white dark:odd:bg-gray-900 even:bg-gray-50 dark:even:bg-black/20 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6" }, [
                            createVNode("dt", { class: "font-medium text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Date Time")), 1),
                            createVNode("dd", { class: "mt-1 sm:mt-0 sm:col-span-2" }, toDisplayString(_ctx.$datetime(/* @__PURE__ */ new Date(), unref(form).default_locale)), 1)
                          ])
                        ])
                      ])
                    ];
                  }
                }),
                _: 1
              }, _parent2, _scopeId));
              _push2(`</div>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`</div>`);
          } else {
            return [
              createVNode("div", { class: "max-w-7xl mx-auto py-10 sm:px-6 lg:px-8" }, [
                createVNode(_sfc_main$2, {
                  onSubmitted: submit,
                  autocomplete: "off"
                }, createSlots({
                  title: withCtx(() => [
                    createTextVNode(toDisplayString(unref(t)("Settings")), 1)
                  ]),
                  description: withCtx(() => [
                    createTextVNode(toDisplayString(unref(t)("Please fill the form below to update settings.")), 1)
                  ]),
                  form: withCtx(() => {
                    var _a3, _b3, _c2, _d2, _e2, _f2, _g2, _h2, _i2, _j2, _k2, _l2;
                    return [
                      createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                        createVNode("input", {
                          ref_key: "logoInput",
                          ref: logoInput,
                          type: "file",
                          class: "hidden",
                          accept: ".png,.jpg,.jpeg,.svg",
                          onChange: updateLogoPreview
                        }, null, 544),
                        createVNode(_sfc_main$3, {
                          for: "logo",
                          value: unref(t)("Login Logo")
                        }, null, 8, ["value"]),
                        withDirectives(createVNode("div", { class: "my-2 rounded-md bg-white p-2" }, [
                          createVNode("img", {
                            src: unref(form).login_logo,
                            alt: unref(form).name,
                            class: "block rounded w-80 h-20 mx-auto bg-contain"
                          }, null, 8, ["src", "alt"])
                        ], 512), [
                          [vShow, !logoPreview.value && unref(form).login_logo]
                        ]),
                        withDirectives(createVNode("div", { class: "my-2 rounded-md bg-white p-2" }, [
                          createVNode("span", {
                            class: "block rounded w-80 h-20 mx-auto bg-contain bg-no-repeat bg-center",
                            style: "background-image: url('" + logoPreview.value + "');"
                          }, null, 4)
                        ], 512), [
                          [vShow, logoPreview.value]
                        ]),
                        createVNode(_sfc_main$4, {
                          class: "mt-2 mr-2",
                          type: "button",
                          onClick: withModifiers(selectNewLogo, ["prevent"])
                        }, {
                          default: withCtx(() => [
                            createTextVNode(toDisplayString(unref(t)("Select Login Logo")), 1)
                          ]),
                          _: 1
                        }, 8, ["onClick"]),
                        createVNode(_sfc_main$5, {
                          message: unref(form).errors.login_logo,
                          class: "mt-2"
                        }, null, 8, ["message"])
                      ]),
                      createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                        createVNode("input", {
                          ref_key: "invoiceLogoInput",
                          ref: invoiceLogoInput,
                          type: "file",
                          class: "hidden",
                          accept: ".png,.jpg,.jpeg,.svg",
                          onChange: updateInvoiceLogoPreview
                        }, null, 544),
                        createVNode(_sfc_main$3, {
                          for: "invoice_logo",
                          value: unref(t)("Invoice Logo")
                        }, null, 8, ["value"]),
                        withDirectives(createVNode("div", { class: "my-2 rounded-md bg-white p-2" }, [
                          createVNode("img", {
                            src: unref(form).invoice_logo,
                            alt: unref(form).name,
                            class: "block rounded w-80 h-20 mx-auto bg-contain"
                          }, null, 8, ["src", "alt"])
                        ], 512), [
                          [vShow, !invoiceLogoPreview.value && unref(form).invoice_logo]
                        ]),
                        withDirectives(createVNode("div", { class: "my-2 rounded-md bg-white p-2" }, [
                          createVNode("span", {
                            class: "block rounded w-80 h-20 mx-auto bg-contain bg-no-repeat bg-center",
                            style: "background-image: url('" + invoiceLogoPreview.value + "');"
                          }, null, 4)
                        ], 512), [
                          [vShow, invoiceLogoPreview.value]
                        ]),
                        createVNode(_sfc_main$4, {
                          class: "mt-2 mr-2",
                          type: "button",
                          onClick: withModifiers(selectNewInvoiceLogo, ["prevent"])
                        }, {
                          default: withCtx(() => [
                            createTextVNode(toDisplayString(unref(t)("Select Invoice Logo")), 1)
                          ]),
                          _: 1
                        }, 8, ["onClick"]),
                        createVNode(_sfc_main$5, {
                          message: unref(form).errors.invoice_logo,
                          class: "mt-2"
                        }, null, 8, ["message"])
                      ]),
                      createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                        createVNode(_sfc_main$6, {
                          modelValue: unref(form).name,
                          "onUpdate:modelValue": ($event) => unref(form).name = $event,
                          error: unref(form).errors.name,
                          label: unref(t)("Site Name")
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                      ]),
                      createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                        createVNode(_sfc_main$7, {
                          json: true,
                          id: "language",
                          searchable: false,
                          modelValue: unref(form).language,
                          "onUpdate:modelValue": ($event) => unref(form).language = $event,
                          label: unref(t)("Language"),
                          error: unref(form).errors.language,
                          suggestions: props.languages
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "label", "error", "suggestions"])
                      ]),
                      createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                        createVNode(_sfc_main$7, {
                          json: true,
                          id: "reference",
                          searchable: false,
                          modelValue: unref(form).reference,
                          "onUpdate:modelValue": ($event) => unref(form).reference = $event,
                          label: unref(t)("Reference"),
                          error: unref(form).errors.reference,
                          suggestions: [
                            { value: "ulid", label: "ULID - Universally Unique Lexicographically Sortable Identifier" },
                            { value: "ai", label: "Auto Increment (MYSQL only)" },
                            { value: "uniqid", label: "Uniqid - PHP Generate a Unique ID" },
                            { value: "uuid", label: "UUID - Universally Unique Identifier" }
                          ]
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "label", "error", "suggestions"])
                      ]),
                      createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                        createVNode(_sfc_main$6, {
                          modelValue: unref(form).currency_code,
                          "onUpdate:modelValue": ($event) => unref(form).currency_code = $event,
                          error: unref(form).errors.currency_code,
                          label: unref(t)("Currency Code")
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                      ]),
                      createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                        createVNode(_sfc_main$6, {
                          modelValue: unref(form).default_locale,
                          "onUpdate:modelValue": ($event) => unref(form).default_locale = $event,
                          error: unref(form).errors.default_locale,
                          label: unref(t)("Date & Number Locale")
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                      ]),
                      createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                        createVNode(_sfc_main$7, {
                          id: "hour12",
                          json: true,
                          searchable: false,
                          modelValue: unref(form).hour12,
                          "onUpdate:modelValue": ($event) => unref(form).hour12 = $event,
                          label: unref(t)("Time Format"),
                          error: unref(form).errors.hour12,
                          suggestions: [
                            { value: "0", label: "24 Hours (23:30)" },
                            { value: "1", label: "12 Hours (11:30 PM)" }
                          ]
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "label", "error", "suggestions"])
                      ]),
                      createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                        createVNode(_sfc_main$7, {
                          id: "fraction",
                          searchable: false,
                          modelValue: unref(form).fraction,
                          "onUpdate:modelValue": ($event) => unref(form).fraction = $event,
                          suggestions: [0, 1, 2],
                          error: unref(form).errors.fraction,
                          label: unref(t)("Decimal Fractions")
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                      ]),
                      createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                        createVNode(_sfc_main$7, {
                          id: "per_page",
                          searchable: false,
                          modelValue: unref(form).per_page,
                          "onUpdate:modelValue": ($event) => unref(form).per_page = $event,
                          error: unref(form).errors.per_page,
                          label: unref(t)("Table rows per page"),
                          suggestions: [10, 15, 25, 50, 100]
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                      ]),
                      createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                        createVNode(_sfc_main$7, {
                          id: "initial_rows",
                          searchable: false,
                          modelValue: unref(form).initial_rows,
                          "onUpdate:modelValue": ($event) => unref(form).initial_rows = $event,
                          suggestions: [2, 5, 10, 20],
                          error: unref(form).errors.initial_rows,
                          label: unref(t)("Initial rows on order form")
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                      ]),
                      createVNode("div", { class: "col-span-6 sm:col-span-3" }, [
                        createVNode(_sfc_main$7, {
                          json: true,
                          id: "invoice_status",
                          searchable: false,
                          label: unref(t)("Invoice Status"),
                          modelValue: unref(form).invoice_status,
                          "onUpdate:modelValue": ($event) => unref(form).invoice_status = $event,
                          suggestions: [
                            { value: "badge", label: unref(t)("As Badge") },
                            { value: "text", label: unref(t)("As Text") }
                          ],
                          error: unref(form).errors.invoice_status
                        }, null, 8, ["label", "modelValue", "onUpdate:modelValue", "suggestions", "error"])
                      ]),
                      createVNode("div", { class: "col-span-6" }, [
                        createVNode(_sfc_main$6, {
                          modelValue: unref(form).attachment_exts,
                          "onUpdate:modelValue": ($event) => unref(form).attachment_exts = $event,
                          error: unref(form).errors.attachment_exts,
                          label: unref(t)("Allowed attachments")
                        }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                      ]),
                      createVNode("div", { class: "col-span-full" }, [
                        createVNode(CheckBox, {
                          id: "paypal-enabled",
                          label: unref(t)("Enable PayPal Payments"),
                          checked: unref(form).paypal.enabled,
                          "onUpdate:checked": ($event) => unref(form).paypal.enabled = $event,
                          error: (_a3 = unref(form).errors.paypal) == null ? void 0 : _a3.enabled
                        }, null, 8, ["label", "checked", "onUpdate:checked", "error"]),
                        unref(form).paypal.enabled ? (openBlock(), createBlock("div", {
                          key: 0,
                          class: "my-4 grid grid-cols-1 sm:grid-cols-6 gap-4"
                        }, [
                          createVNode("div", { class: "col-span-6" }, [
                            createVNode(_sfc_main$6, {
                              modelValue: unref(form).paypal.client_id,
                              "onUpdate:modelValue": ($event) => unref(form).paypal.client_id = $event,
                              error: (_b3 = unref(form).errors.paypal) == null ? void 0 : _b3.client_id,
                              label: unref(t)("PayPal Client Id")
                            }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                          ]),
                          createVNode("div", { class: "col-span-6" }, [
                            createVNode(_sfc_main$6, {
                              modelValue: unref(form).paypal.secret,
                              "onUpdate:modelValue": ($event) => unref(form).paypal.secret = $event,
                              error: (_c2 = unref(form).errors.paypal) == null ? void 0 : _c2.secret,
                              label: unref(t)("PayPal Secret")
                            }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                          ]),
                          createVNode("div", { class: "col-span-2" }, [
                            createVNode(_sfc_main$6, {
                              modelValue: unref(form).paypal.fixed,
                              "onUpdate:modelValue": ($event) => unref(form).paypal.fixed = $event,
                              error: (_d2 = unref(form).errors.paypal) == null ? void 0 : _d2.fixed,
                              label: unref(t)("Fixed Fee Amount")
                            }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                          ]),
                          createVNode("div", { class: "col-span-2" }, [
                            createVNode(_sfc_main$6, {
                              modelValue: unref(form).paypal.same_country,
                              "onUpdate:modelValue": ($event) => unref(form).paypal.same_country = $event,
                              error: (_e2 = unref(form).errors.paypal) == null ? void 0 : _e2.same_country,
                              label: unref(t)("Same Country Percentage")
                            }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                          ]),
                          createVNode("div", { class: "col-span-2" }, [
                            createVNode(_sfc_main$6, {
                              modelValue: unref(form).paypal.other_countries,
                              "onUpdate:modelValue": ($event) => unref(form).paypal.other_countries = $event,
                              error: (_f2 = unref(form).errors.paypal) == null ? void 0 : _f2.other_countries,
                              label: unref(t)("Other Countries Percentage")
                            }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                          ])
                        ])) : createCommentVNode("", true)
                      ]),
                      createVNode("div", { class: "col-span-full" }, [
                        createVNode(CheckBox, {
                          id: "stripe-enabled",
                          label: unref(t)("Enable Stripe Payments"),
                          checked: unref(form).stripe.enabled,
                          "onUpdate:checked": ($event) => unref(form).stripe.enabled = $event,
                          error: (_g2 = unref(form).errors.stripe) == null ? void 0 : _g2.enabled
                        }, null, 8, ["label", "checked", "onUpdate:checked", "error"]),
                        unref(form).stripe.enabled ? (openBlock(), createBlock("div", {
                          key: 0,
                          class: "my-4 grid grid-cols-1 sm:grid-cols-6 gap-4"
                        }, [
                          createVNode("div", { class: "col-span-6" }, [
                            createVNode(_sfc_main$6, {
                              modelValue: unref(form).stripe.publishable_key,
                              "onUpdate:modelValue": ($event) => unref(form).stripe.publishable_key = $event,
                              error: (_h2 = unref(form).errors.stripe) == null ? void 0 : _h2.publishable_key,
                              label: unref(t)("Stripe Publishable Key")
                            }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                          ]),
                          createVNode("div", { class: "col-span-6" }, [
                            createVNode(_sfc_main$6, {
                              modelValue: unref(form).stripe.secret_key,
                              "onUpdate:modelValue": ($event) => unref(form).stripe.secret_key = $event,
                              error: (_i2 = unref(form).errors.stripe) == null ? void 0 : _i2.secret_key,
                              label: unref(t)("Stripe Secret Key")
                            }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                          ]),
                          createVNode("div", { class: "col-span-2" }, [
                            createVNode(_sfc_main$6, {
                              modelValue: unref(form).stripe.fixed,
                              "onUpdate:modelValue": ($event) => unref(form).stripe.fixed = $event,
                              error: (_j2 = unref(form).errors.stripe) == null ? void 0 : _j2.fixed,
                              label: unref(t)("Fixed Fee Amount")
                            }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                          ]),
                          createVNode("div", { class: "col-span-2" }, [
                            createVNode(_sfc_main$6, {
                              modelValue: unref(form).stripe.same_country,
                              "onUpdate:modelValue": ($event) => unref(form).stripe.same_country = $event,
                              error: (_k2 = unref(form).errors.stripe) == null ? void 0 : _k2.same_country,
                              label: unref(t)("Same Country Percentage")
                            }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                          ]),
                          createVNode("div", { class: "col-span-2" }, [
                            createVNode(_sfc_main$6, {
                              modelValue: unref(form).stripe.other_countries,
                              "onUpdate:modelValue": ($event) => unref(form).stripe.other_countries = $event,
                              error: (_l2 = unref(form).errors.stripe) == null ? void 0 : _l2.other_countries,
                              label: unref(t)("Other Countries Percentage")
                            }, null, 8, ["modelValue", "onUpdate:modelValue", "error", "label"])
                          ])
                        ])) : createCommentVNode("", true)
                      ]),
                      createVNode("div", { class: "col-span-full flex flex-col gap-4" }, [
                        createVNode(CheckBox, {
                          id: "impersonation",
                          error: unref(form).errors.impersonation,
                          checked: unref(form).impersonation,
                          "onUpdate:checked": ($event) => unref(form).impersonation = $event,
                          label: unref(t)("Enable impersonation of customer user")
                        }, null, 8, ["error", "checked", "onUpdate:checked", "label"])
                      ])
                    ];
                  }),
                  _: 2
                }, [
                  _ctx.$can("create-settings") ? {
                    name: "actions",
                    fn: withCtx(() => [
                      createVNode(_sfc_main$8, {
                        on: unref(form).recentlySuccessful,
                        class: "mr-3"
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString(unref(t)("Saved.")), 1)
                        ]),
                        _: 1
                      }, 8, ["on"]),
                      createVNode(_sfc_main$9, {
                        type: _ctx.$can("create-settings") ? "submit" : "button",
                        loading: unref(form).processing
                      }, {
                        default: withCtx(() => [
                          createTextVNode(toDisplayString(unref(t)("Save")), 1)
                        ]),
                        _: 1
                      }, 8, ["type", "loading"])
                    ]),
                    key: "0"
                  } : void 0
                ]), 1024),
                unref(form) && ((_b2 = unref(form)) == null ? void 0 : _b2.default_locale) ? (openBlock(), createBlock("div", {
                  key: 0,
                  class: "mt-8"
                }, [
                  createVNode(_sfc_main$2, null, {
                    title: withCtx(() => [
                      createTextVNode(toDisplayString(unref(t)("Preview")), 1)
                    ]),
                    description: withCtx(() => [
                      createTextVNode(toDisplayString(unref(t)("Number and Date Format")), 1)
                    ]),
                    form: withCtx(() => [
                      createVNode("div", { class: "col-span-full -m-6 rounded-md overflow-hidden" }, [
                        createVNode("dl", null, [
                          createVNode("div", { class: "odd:bg-white dark:odd:bg-gray-900 even:bg-gray-50 dark:even:bg-black/20 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6" }, [
                            createVNode("dt", { class: "font-medium text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Currency")), 1),
                            createVNode("dd", { class: "mt-1 sm:mt-0 sm:col-span-2" }, toDisplayString(_ctx.$currency(200000005e-1, unref(form).default_locale, {
                              minimumFractionDigits: unref(form).fraction
                            })), 1)
                          ]),
                          createVNode("div", { class: "odd:bg-white dark:odd:bg-gray-900 even:bg-gray-50 dark:even:bg-black/20 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6" }, [
                            createVNode("dt", { class: "font-medium text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Number")), 1),
                            createVNode("dd", { class: "mt-1 sm:mt-0 sm:col-span-2" }, toDisplayString(_ctx.$number(200000005e-1, unref(form).default_locale, {
                              minimumFractionDigits: unref(form).fraction
                            })), 1)
                          ]),
                          createVNode("div", { class: "odd:bg-white dark:odd:bg-gray-900 even:bg-gray-50 dark:even:bg-black/20 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6" }, [
                            createVNode("dt", { class: "font-medium text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Date")), 1),
                            createVNode("dd", { class: "mt-1 sm:mt-0 sm:col-span-2" }, toDisplayString(_ctx.$date(/* @__PURE__ */ new Date(), unref(form).default_locale)), 1)
                          ]),
                          createVNode("div", { class: "odd:bg-white dark:odd:bg-gray-900 even:bg-gray-50 dark:even:bg-black/20 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6" }, [
                            createVNode("dt", { class: "font-medium text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Date Time")), 1),
                            createVNode("dd", { class: "mt-1 sm:mt-0 sm:col-span-2" }, toDisplayString(_ctx.$datetime(/* @__PURE__ */ new Date(), unref(form).default_locale)), 1)
                          ])
                        ])
                      ])
                    ]),
                    _: 1
                  })
                ])) : createCommentVNode("", true)
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Setting/Index.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
