import { ref, onMounted, resolveComponent, mergeProps, unref, withCtx, openBlock, createBlock, createVNode, toDisplayString, useSSRContext } from "vue";
import { ssrRenderComponent, ssrInterpolate, ssrRenderAttr } from "vue/server-renderer";
import { useI18n } from "vue-i18n";
import { router } from "@inertiajs/vue3";
import { _ as _sfc_main$2 } from "./Modal-4ced3d7d.js";
import { _ as _sfc_main$1 } from "./AppLayout-9028b106.js";
import "../ssr.js";
import "@vue/server-renderer";
import "@inertiajs/vue3/server";
const MonthlyInvoices_vue_vue_type_style_index_0_lang = "";
const _sfc_main = {
  __name: "MonthlyInvoices",
  __ssrInlineRender: true,
  props: ["data", "html", "current_year", "prev_year_link", "next_year_link"],
  setup(__props) {
    const props = __props;
    const { t } = useI18n({});
    const year = ref(null);
    const show = ref(false);
    const yearData = ref(null);
    year.value = props.current_year;
    onMounted(async () => {
      document.querySelectorAll(".amount").forEach((item) => {
        item.addEventListener("click", (event) => {
          yearData.value = props.data[event.target.dataset.month] || {};
          if (yearData.value.month) {
            show.value = true;
          }
        });
      });
    });
    const yearChanged = (e) => {
      router.visit(route("reports.monthly_sales", { year: e.target.value }), { preserveScroll: true });
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_Link = resolveComponent("Link");
      _push(ssrRenderComponent(_sfc_main$1, mergeProps({
        title: unref(t)("Monthly Invoices")
      }, _attrs), {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="py-8"${_scopeId}><div class="max-w-7xl mx-auto sm:px-6 lg:px-8"${_scopeId}><div class="bg-white dark:bg-gray-900 shadow sm:rounded-lg"${_scopeId}><div class="sm:rounded-lg"${_scopeId}><div class="p-6 sm:rounded-t-lg border-b border-gray-200 dark:border-gray-700 block md:flex md:items-center md:justify-between"${_scopeId}><div${_scopeId}><div class="text-2xl"${_scopeId}>${ssrInterpolate(unref(t)("Monthly Invoices"))}</div><div class="mt-1 text-gray-500 dark:text-gray-400"${_scopeId}>${ssrInterpolate(unref(t)("Please review the result below"))}</div></div></div><div class="monthly-sales bg-white dark:bg-gray-900 border-b dark:border-gray-700 sm:rounded-b-lg"${_scopeId}><div class="flex items-center justify-between px-4 mt-6"${_scopeId}>`);
            _push2(ssrRenderComponent(_component_Link, {
              href: __props.prev_year_link,
              class: "p-1.5 hover:bg-gray-200 dark:hover:bg-gray-700 border-2 dark:border-gray-700 rounded-md"
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5"${_scopeId2}><path stroke-linecap="round" stroke-linejoin="round" d="M15.75 19.5L8.25 12l7.5-7.5"${_scopeId2}></path></svg>`);
                } else {
                  return [
                    (openBlock(), createBlock("svg", {
                      xmlns: "http://www.w3.org/2000/svg",
                      fill: "none",
                      viewBox: "0 0 24 24",
                      "stroke-width": "1.5",
                      stroke: "currentColor",
                      class: "w-5 h-5"
                    }, [
                      createVNode("path", {
                        "stroke-linecap": "round",
                        "stroke-linejoin": "round",
                        d: "M15.75 19.5L8.25 12l7.5-7.5"
                      })
                    ]))
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`<input step="1" id="year" min="1900" max="2099" name="year" type="number"${ssrRenderAttr("value", __props.current_year)} class="appearance-none border-0 w-auto min-w-0 max-w-full bg-white dark:bg-gray-900 text-gray-700 dark:text-gray-300 text-lg font-bold py-1 px-2 focus:outline-none focus:ring-1 focus:ring-inset focus:ring-blue-500"${_scopeId}>`);
            _push2(ssrRenderComponent(_component_Link, {
              href: __props.next_year_link,
              class: "p-1.5 hover:bg-gray-200 dark:hover:bg-gray-700 border-2 dark:border-gray-700 rounded-md"
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5"${_scopeId2}><path stroke-linecap="round" stroke-linejoin="round" d="M8.25 4.5l7.5 7.5-7.5 7.5"${_scopeId2}></path></svg>`);
                } else {
                  return [
                    (openBlock(), createBlock("svg", {
                      xmlns: "http://www.w3.org/2000/svg",
                      fill: "none",
                      viewBox: "0 0 24 24",
                      "stroke-width": "1.5",
                      stroke: "currentColor",
                      class: "w-5 h-5"
                    }, [
                      createVNode("path", {
                        "stroke-linecap": "round",
                        "stroke-linejoin": "round",
                        d: "M8.25 4.5l7.5 7.5-7.5 7.5"
                      })
                    ]))
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(`</div><div${_scopeId}>${__props.html}</div></div></div></div></div></div>`);
            _push2(ssrRenderComponent(_sfc_main$2, {
              show: show.value,
              closeable: true,
              onClose: ($event) => show.value = false,
              maxWidth: "sm"
            }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`<div class="px-6 pt-3 pb-6 print:px-0 bg-gray-100 dark:bg-gray-800"${_scopeId2}><div class="text-lg font-bold capitalize"${_scopeId2}>${ssrInterpolate(_ctx.$month(new Date(yearData.value.year, yearData.value.month - 1)))}</div><div${_scopeId2}><div class="mt-4"${_scopeId2}><table class="w-full divide-y dark:divide-gray-700"${_scopeId2}><tr${_scopeId2}><td${_scopeId2}>${ssrInterpolate(unref(t)("Total"))}</td><td class="text-right"${_scopeId2}>${ssrInterpolate(_ctx.$number(yearData.value.total))}</td></tr><tr${_scopeId2}><td${_scopeId2}>${ssrInterpolate(unref(t)("Tax"))}</td><td class="text-right"${_scopeId2}>${ssrInterpolate(_ctx.$number(yearData.value.total_tax_amount))}</td></tr><tr class="font-bold"${_scopeId2}><td${_scopeId2}>${ssrInterpolate(unref(t)("Grand Total"))}</td><td class="text-right"${_scopeId2}>${ssrInterpolate(_ctx.$number(yearData.value.grand_total))}</td></tr><tr${_scopeId2}><td${_scopeId2}>${ssrInterpolate(unref(t)("Received"))}</td><td class="text-right"${_scopeId2}>${ssrInterpolate(_ctx.$number(yearData.value.paid))}</td></tr><tr class="font-bold"${_scopeId2}><td${_scopeId2}>${ssrInterpolate(unref(t)("Balance"))}</td><td class="text-right"${_scopeId2}>${ssrInterpolate(_ctx.$number(yearData.value.grand_total - yearData.value.paid))}</td></tr></table></div></div></div>`);
                } else {
                  return [
                    createVNode("div", { class: "px-6 pt-3 pb-6 print:px-0 bg-gray-100 dark:bg-gray-800" }, [
                      createVNode("div", { class: "text-lg font-bold capitalize" }, toDisplayString(_ctx.$month(new Date(yearData.value.year, yearData.value.month - 1))), 1),
                      createVNode("div", null, [
                        createVNode("div", { class: "mt-4" }, [
                          createVNode("table", { class: "w-full divide-y dark:divide-gray-700" }, [
                            createVNode("tr", null, [
                              createVNode("td", null, toDisplayString(unref(t)("Total")), 1),
                              createVNode("td", { class: "text-right" }, toDisplayString(_ctx.$number(yearData.value.total)), 1)
                            ]),
                            createVNode("tr", null, [
                              createVNode("td", null, toDisplayString(unref(t)("Tax")), 1),
                              createVNode("td", { class: "text-right" }, toDisplayString(_ctx.$number(yearData.value.total_tax_amount)), 1)
                            ]),
                            createVNode("tr", { class: "font-bold" }, [
                              createVNode("td", null, toDisplayString(unref(t)("Grand Total")), 1),
                              createVNode("td", { class: "text-right" }, toDisplayString(_ctx.$number(yearData.value.grand_total)), 1)
                            ]),
                            createVNode("tr", null, [
                              createVNode("td", null, toDisplayString(unref(t)("Received")), 1),
                              createVNode("td", { class: "text-right" }, toDisplayString(_ctx.$number(yearData.value.paid)), 1)
                            ]),
                            createVNode("tr", { class: "font-bold" }, [
                              createVNode("td", null, toDisplayString(unref(t)("Balance")), 1),
                              createVNode("td", { class: "text-right" }, toDisplayString(_ctx.$number(yearData.value.grand_total - yearData.value.paid)), 1)
                            ])
                          ])
                        ])
                      ])
                    ])
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode("div", { class: "py-8" }, [
                createVNode("div", { class: "max-w-7xl mx-auto sm:px-6 lg:px-8" }, [
                  createVNode("div", { class: "bg-white dark:bg-gray-900 shadow sm:rounded-lg" }, [
                    createVNode("div", { class: "sm:rounded-lg" }, [
                      createVNode("div", { class: "p-6 sm:rounded-t-lg border-b border-gray-200 dark:border-gray-700 block md:flex md:items-center md:justify-between" }, [
                        createVNode("div", null, [
                          createVNode("div", { class: "text-2xl" }, toDisplayString(unref(t)("Monthly Invoices")), 1),
                          createVNode("div", { class: "mt-1 text-gray-500 dark:text-gray-400" }, toDisplayString(unref(t)("Please review the result below")), 1)
                        ])
                      ]),
                      createVNode("div", { class: "monthly-sales bg-white dark:bg-gray-900 border-b dark:border-gray-700 sm:rounded-b-lg" }, [
                        createVNode("div", { class: "flex items-center justify-between px-4 mt-6" }, [
                          createVNode(_component_Link, {
                            href: __props.prev_year_link,
                            class: "p-1.5 hover:bg-gray-200 dark:hover:bg-gray-700 border-2 dark:border-gray-700 rounded-md"
                          }, {
                            default: withCtx(() => [
                              (openBlock(), createBlock("svg", {
                                xmlns: "http://www.w3.org/2000/svg",
                                fill: "none",
                                viewBox: "0 0 24 24",
                                "stroke-width": "1.5",
                                stroke: "currentColor",
                                class: "w-5 h-5"
                              }, [
                                createVNode("path", {
                                  "stroke-linecap": "round",
                                  "stroke-linejoin": "round",
                                  d: "M15.75 19.5L8.25 12l7.5-7.5"
                                })
                              ]))
                            ]),
                            _: 1
                          }, 8, ["href"]),
                          createVNode("input", {
                            step: "1",
                            id: "year",
                            min: "1900",
                            max: "2099",
                            name: "year",
                            type: "number",
                            value: __props.current_year,
                            onChange: yearChanged,
                            class: "appearance-none border-0 w-auto min-w-0 max-w-full bg-white dark:bg-gray-900 text-gray-700 dark:text-gray-300 text-lg font-bold py-1 px-2 focus:outline-none focus:ring-1 focus:ring-inset focus:ring-blue-500"
                          }, null, 40, ["value"]),
                          createVNode(_component_Link, {
                            href: __props.next_year_link,
                            class: "p-1.5 hover:bg-gray-200 dark:hover:bg-gray-700 border-2 dark:border-gray-700 rounded-md"
                          }, {
                            default: withCtx(() => [
                              (openBlock(), createBlock("svg", {
                                xmlns: "http://www.w3.org/2000/svg",
                                fill: "none",
                                viewBox: "0 0 24 24",
                                "stroke-width": "1.5",
                                stroke: "currentColor",
                                class: "w-5 h-5"
                              }, [
                                createVNode("path", {
                                  "stroke-linecap": "round",
                                  "stroke-linejoin": "round",
                                  d: "M8.25 4.5l7.5 7.5-7.5 7.5"
                                })
                              ]))
                            ]),
                            _: 1
                          }, 8, ["href"])
                        ]),
                        createVNode("div", { innerHTML: __props.html }, null, 8, ["innerHTML"])
                      ])
                    ])
                  ])
                ])
              ]),
              createVNode(_sfc_main$2, {
                show: show.value,
                closeable: true,
                onClose: ($event) => show.value = false,
                maxWidth: "sm"
              }, {
                default: withCtx(() => [
                  createVNode("div", { class: "px-6 pt-3 pb-6 print:px-0 bg-gray-100 dark:bg-gray-800" }, [
                    createVNode("div", { class: "text-lg font-bold capitalize" }, toDisplayString(_ctx.$month(new Date(yearData.value.year, yearData.value.month - 1))), 1),
                    createVNode("div", null, [
                      createVNode("div", { class: "mt-4" }, [
                        createVNode("table", { class: "w-full divide-y dark:divide-gray-700" }, [
                          createVNode("tr", null, [
                            createVNode("td", null, toDisplayString(unref(t)("Total")), 1),
                            createVNode("td", { class: "text-right" }, toDisplayString(_ctx.$number(yearData.value.total)), 1)
                          ]),
                          createVNode("tr", null, [
                            createVNode("td", null, toDisplayString(unref(t)("Tax")), 1),
                            createVNode("td", { class: "text-right" }, toDisplayString(_ctx.$number(yearData.value.total_tax_amount)), 1)
                          ]),
                          createVNode("tr", { class: "font-bold" }, [
                            createVNode("td", null, toDisplayString(unref(t)("Grand Total")), 1),
                            createVNode("td", { class: "text-right" }, toDisplayString(_ctx.$number(yearData.value.grand_total)), 1)
                          ]),
                          createVNode("tr", null, [
                            createVNode("td", null, toDisplayString(unref(t)("Received")), 1),
                            createVNode("td", { class: "text-right" }, toDisplayString(_ctx.$number(yearData.value.paid)), 1)
                          ]),
                          createVNode("tr", { class: "font-bold" }, [
                            createVNode("td", null, toDisplayString(unref(t)("Balance")), 1),
                            createVNode("td", { class: "text-right" }, toDisplayString(_ctx.$number(yearData.value.grand_total - yearData.value.paid)), 1)
                          ])
                        ])
                      ])
                    ])
                  ])
                ]),
                _: 1
              }, 8, ["show", "onClose"])
            ];
          }
        }),
        _: 1
      }, _parent));
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Report/MonthlyInvoices.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
