import { ref, mergeProps, useSSRContext } from "vue";
import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate } from "vue/server-renderer";
import { v4 } from "uuid";
import { a as _sfc_main$1, b as _sfc_main$3 } from "./InputError-951c1c36.js";
import { _ as _sfc_main$2 } from "./Input-fb927b71.js";
const _sfc_main = {
  __name: "TextInput",
  __ssrInlineRender: true,
  props: {
    id: {
      type: String,
      default() {
        return v4();
      }
    },
    type: {
      type: String,
      default: "text"
    },
    modelValue: String,
    label: String,
    error: String,
    pattern: String,
    title: String,
    action: Function,
    actionText: String,
    selectOnFocus: Boolean
  },
  emits: ["blur", "focus", "update:modelValue"],
  setup(__props, { emit }) {
    const props = __props;
    const input = ref(null);
    const focused = () => {
      if (props.selectOnFocus) {
        $event.target.select();
      }
      emit("focus");
    };
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "col-span-6 sm:col-span-4" }, _attrs))}><div class="flex items-center justify-between">`);
      _push(ssrRenderComponent(_sfc_main$1, {
        for: __props.id,
        value: __props.label,
        class: "flex-1"
      }, null, _parent));
      if (__props.actionText && __props.action) {
        _push(`<button type="button" class="link text-sm">${ssrInterpolate(__props.actionText)}</button>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
      _push(ssrRenderComponent(_sfc_main$2, {
        id: __props.id,
        step: ".01",
        ref_key: "input",
        ref: input,
        type: __props.type,
        title: __props.title,
        onFocus: focused,
        pattern: __props.pattern,
        value: __props.modelValue,
        onBlur: ($event2) => _ctx.$emit("blur"),
        class: [{ error: __props.error }, "mt-1 block w-full placeholder:text-gray-400 dark:placeholder:text-gray-500"],
        placeholder: _ctx.placeholder || __props.label || "",
        onInput: ($event2) => _ctx.$emit("update:modelValue", $event2.target.value)
      }, null, _parent));
      if (__props.error) {
        _push(ssrRenderComponent(_sfc_main$3, {
          message: __props.error,
          class: "mt-1"
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Shared/TextInput.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as _
};
